#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_f0hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|hf) integrals */

void d1hrr_order_f0hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[3][7][11] = int_stack + 490;
 Libderiv->deriv_classes[3][8][11] = int_stack + 850;
 Libderiv->deriv_classes[3][5][10] = int_stack + 1300;
 Libderiv->deriv_classes[3][6][10] = int_stack + 1510;
 Libderiv->deriv_classes[3][7][10] = int_stack + 1790;
 Libderiv->deriv_classes[3][8][10] = int_stack + 2150;
 Libderiv->deriv_classes[3][5][9] = int_stack + 2600;
 Libderiv->deriv_classes[3][6][9] = int_stack + 2810;
 Libderiv->deriv_classes[3][7][9] = int_stack + 3090;
 Libderiv->deriv_classes[3][8][9] = int_stack + 3450;
 Libderiv->deriv_classes[3][5][8] = int_stack + 3900;
 Libderiv->deriv_classes[3][6][8] = int_stack + 4110;
 Libderiv->deriv_classes[3][7][8] = int_stack + 4390;
 Libderiv->deriv_classes[3][8][8] = int_stack + 4750;
 Libderiv->deriv_classes[3][5][7] = int_stack + 5200;
 Libderiv->deriv_classes[3][6][7] = int_stack + 5410;
 Libderiv->deriv_classes[3][7][7] = int_stack + 5690;
 Libderiv->deriv_classes[3][8][7] = int_stack + 6050;
 Libderiv->dvrr_classes[3][5] = int_stack + 6500;
 Libderiv->deriv_classes[3][5][6] = int_stack + 6710;
 Libderiv->dvrr_classes[3][6] = int_stack + 6920;
 Libderiv->deriv_classes[3][6][6] = int_stack + 7200;
 Libderiv->dvrr_classes[3][7] = int_stack + 7480;
 Libderiv->deriv_classes[3][7][6] = int_stack + 7840;
 Libderiv->deriv_classes[3][8][6] = int_stack + 8200;
 Libderiv->deriv_classes[3][5][2] = int_stack + 8650;
 Libderiv->deriv_classes[3][6][2] = int_stack + 8860;
 Libderiv->deriv_classes[3][7][2] = int_stack + 9140;
 Libderiv->deriv_classes[3][8][2] = int_stack + 9500;
 Libderiv->deriv_classes[3][5][1] = int_stack + 9950;
 Libderiv->deriv_classes[3][6][1] = int_stack + 10160;
 Libderiv->deriv_classes[3][7][1] = int_stack + 10440;
 Libderiv->deriv_classes[3][8][1] = int_stack + 10800;
 Libderiv->deriv_classes[3][5][0] = int_stack + 11250;
 Libderiv->deriv_classes[3][6][0] = int_stack + 11460;
 Libderiv->deriv_classes[3][7][0] = int_stack + 11740;
 Libderiv->deriv_classes[3][8][0] = int_stack + 12100;
 memset(int_stack,0,100400);

 Libderiv->dvrr_stack = int_stack + 34210;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_f0hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+12550,int_stack+6920,int_stack+6500,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+13180,int_stack+7480,int_stack+6920,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+14020,int_stack+13180,int_stack+12550,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15280,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6500,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15910,int_stack+490,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6920,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+16750,int_stack+15910,int_stack+15280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12550,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+850,int_stack+490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7480,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19090,int_stack+18010,int_stack+15910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13180,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18010,int_stack+1510,int_stack+1300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6500, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15280,int_stack+1790,int_stack+1510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6920, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+15280,int_stack+18010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12550, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+2150,int_stack+1790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7480, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+20770,int_stack+18010,int_stack+15280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13180, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15280,int_stack+2810,int_stack+2600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6500, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15910,int_stack+3090,int_stack+2810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6920, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1260,int_stack+15910,int_stack+15280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12550, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+3450,int_stack+3090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7480, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+22450,int_stack+18010,int_stack+15910, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13180, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18010,int_stack+4110,int_stack+3900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15280,int_stack+4390,int_stack+4110, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2520,int_stack+15280,int_stack+18010, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+4750,int_stack+4390, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+24130,int_stack+18010,int_stack+15280, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15280,int_stack+5410,int_stack+5200, 0.0, zero_stack, 1.0, int_stack+6500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15910,int_stack+5690,int_stack+5410, 0.0, zero_stack, 1.0, int_stack+6920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3780,int_stack+15910,int_stack+15280, 0.0, zero_stack, 1.0, int_stack+12550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+6050,int_stack+5690, 0.0, zero_stack, 1.0, int_stack+7480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25810,int_stack+18010,int_stack+15910, 0.0, zero_stack, 1.0, int_stack+13180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+18010,int_stack+7200,int_stack+6710, 1.0, int_stack+6500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+15280,int_stack+7840,int_stack+7200, 1.0, int_stack+6920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5040,int_stack+15280,int_stack+18010, 1.0, int_stack+12550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+8200,int_stack+7840, 1.0, int_stack+7480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6300,int_stack+18010,int_stack+15280, 1.0, int_stack+13180, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+15280,int_stack+8860,int_stack+8650,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+15910,int_stack+9140,int_stack+8860,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+12550,int_stack+15910,int_stack+15280,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+9500,int_stack+9140,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7980,int_stack+18010,int_stack+15910,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+18010,int_stack+10160,int_stack+9950,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+15280,int_stack+10440,int_stack+10160,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27490,int_stack+15280,int_stack+18010,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+10800,int_stack+10440,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+28750,int_stack+18010,int_stack+15280,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+15280,int_stack+11460,int_stack+11250,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+15910,int_stack+11740,int_stack+11460,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+9660,int_stack+15910,int_stack+15280,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+18010,int_stack+12100,int_stack+11740,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+30430,int_stack+18010,int_stack+15910,10);
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+32110,int_stack+19090,int_stack+16750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14020,10);
     Libderiv->ABCD[11] = int_stack + 32110;
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+15280,int_stack+20770,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14020, 0.0, zero_stack,10);
     Libderiv->ABCD[10] = int_stack + 15280;
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+17380,int_stack+22450,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14020, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[9] = int_stack + 17380;
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+24130,int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+19480,int_stack+25810,int_stack+3780, 0.0, zero_stack, 1.0, int_stack+14020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[7] = int_stack + 19480;
 /*--- compute (f0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2100,int_stack+6300,int_stack+5040, 1.0, int_stack+14020, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
     Libderiv->ABCD[6] = int_stack + 2100;
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+4200,int_stack+7980,int_stack+12550,10);
     Libderiv->ABCD[2] = int_stack + 4200;
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+6300,int_stack+28750,int_stack+27490,10);
     Libderiv->ABCD[1] = int_stack + 6300;
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+21580,int_stack+30430,int_stack+9660,10);
     Libderiv->ABCD[0] = int_stack + 21580;

}
