#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fphd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|hd) integrals */

void d1hrr_order_fphd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][11] = int_stack + 210;
 Libderiv->deriv_classes[3][7][11] = int_stack + 490;
 Libderiv->deriv_classes[4][5][11] = int_stack + 850;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1165;
 Libderiv->deriv_classes[4][7][11] = int_stack + 1585;
 Libderiv->deriv_classes[3][5][10] = int_stack + 2125;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2335;
 Libderiv->deriv_classes[3][7][10] = int_stack + 2615;
 Libderiv->deriv_classes[4][5][10] = int_stack + 2975;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3290;
 Libderiv->deriv_classes[4][7][10] = int_stack + 3710;
 Libderiv->deriv_classes[3][5][9] = int_stack + 4250;
 Libderiv->deriv_classes[3][6][9] = int_stack + 4460;
 Libderiv->deriv_classes[3][7][9] = int_stack + 4740;
 Libderiv->deriv_classes[4][5][9] = int_stack + 5100;
 Libderiv->deriv_classes[4][6][9] = int_stack + 5415;
 Libderiv->deriv_classes[4][7][9] = int_stack + 5835;
 Libderiv->deriv_classes[3][5][8] = int_stack + 6375;
 Libderiv->deriv_classes[3][6][8] = int_stack + 6585;
 Libderiv->deriv_classes[3][7][8] = int_stack + 6865;
 Libderiv->deriv_classes[4][5][8] = int_stack + 7225;
 Libderiv->deriv_classes[4][6][8] = int_stack + 7540;
 Libderiv->deriv_classes[4][7][8] = int_stack + 7960;
 Libderiv->deriv_classes[3][5][7] = int_stack + 8500;
 Libderiv->deriv_classes[3][6][7] = int_stack + 8710;
 Libderiv->deriv_classes[3][7][7] = int_stack + 8990;
 Libderiv->deriv_classes[4][5][7] = int_stack + 9350;
 Libderiv->deriv_classes[4][6][7] = int_stack + 9665;
 Libderiv->deriv_classes[4][7][7] = int_stack + 10085;
 Libderiv->deriv_classes[3][5][6] = int_stack + 10625;
 Libderiv->deriv_classes[3][6][6] = int_stack + 10835;
 Libderiv->deriv_classes[3][7][6] = int_stack + 11115;
 Libderiv->dvrr_classes[4][5] = int_stack + 11475;
 Libderiv->deriv_classes[4][5][6] = int_stack + 11790;
 Libderiv->dvrr_classes[4][6] = int_stack + 12105;
 Libderiv->deriv_classes[4][6][6] = int_stack + 12525;
 Libderiv->deriv_classes[4][7][6] = int_stack + 12945;
 Libderiv->deriv_classes[3][5][2] = int_stack + 13485;
 Libderiv->deriv_classes[3][6][2] = int_stack + 13695;
 Libderiv->deriv_classes[3][7][2] = int_stack + 13975;
 Libderiv->deriv_classes[4][5][2] = int_stack + 14335;
 Libderiv->deriv_classes[4][6][2] = int_stack + 14650;
 Libderiv->deriv_classes[4][7][2] = int_stack + 15070;
 Libderiv->deriv_classes[3][5][1] = int_stack + 15610;
 Libderiv->deriv_classes[3][6][1] = int_stack + 15820;
 Libderiv->deriv_classes[3][7][1] = int_stack + 16100;
 Libderiv->deriv_classes[4][5][1] = int_stack + 16460;
 Libderiv->deriv_classes[4][6][1] = int_stack + 16775;
 Libderiv->deriv_classes[4][7][1] = int_stack + 17195;
 Libderiv->dvrr_classes[3][5] = int_stack + 17735;
 Libderiv->dvrr_classes[3][6] = int_stack + 17945;
 Libderiv->dvrr_classes[3][7] = int_stack + 18225;
 Libderiv->deriv_classes[3][5][0] = int_stack + 18585;
 Libderiv->deriv_classes[3][6][0] = int_stack + 18795;
 Libderiv->deriv_classes[3][7][0] = int_stack + 19075;
 Libderiv->deriv_classes[4][5][0] = int_stack + 19435;
 Libderiv->deriv_classes[4][6][0] = int_stack + 19750;
 Libderiv->deriv_classes[4][7][0] = int_stack + 20170;
 memset(int_stack,0,165680);

 Libderiv->dvrr_stack = int_stack + 48850;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fphd(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+17945,int_stack+17735,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21340,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17735,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21970,int_stack+490,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17945,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22810,int_stack+21970,int_stack+21340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20710,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21340,int_stack+12105,int_stack+11475,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+1165,int_stack+850, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11475,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+25015,int_stack+1585,int_stack+1165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12105,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+25015,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21340,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+2335,int_stack+2125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17735, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24700,int_stack+2615,int_stack+2335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17945, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25540,int_stack+24700,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20710, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+3290,int_stack+2975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11475, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1890,int_stack+3710,int_stack+3290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12105, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+26800,int_stack+1890,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21340, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+4460,int_stack+4250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17735, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24700,int_stack+4740,int_stack+4460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17945, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1890,int_stack+24700,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20710, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+5415,int_stack+5100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11475, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3150,int_stack+5835,int_stack+5415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12105, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4410,int_stack+3150,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21340, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+6585,int_stack+6375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24700,int_stack+6865,int_stack+6585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3150,int_stack+24700,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+7540,int_stack+7225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28690,int_stack+7960,int_stack+7540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6300,int_stack+28690,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+8710,int_stack+8500, 0.0, zero_stack, 1.0, int_stack+17735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24700,int_stack+8990,int_stack+8710, 0.0, zero_stack, 1.0, int_stack+17945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+28690,int_stack+24700,int_stack+24070, 0.0, zero_stack, 1.0, int_stack+20710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+9665,int_stack+9350, 0.0, zero_stack, 1.0, int_stack+11475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8190,int_stack+10085,int_stack+9665, 0.0, zero_stack, 1.0, int_stack+12105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+29950,int_stack+8190,int_stack+24070, 0.0, zero_stack, 1.0, int_stack+21340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+10835,int_stack+10625, 1.0, int_stack+17735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24700,int_stack+11115,int_stack+10835, 1.0, int_stack+17945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8190,int_stack+24700,int_stack+24070, 1.0, int_stack+20710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24070,int_stack+12525,int_stack+11790, 1.0, int_stack+11475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9450,int_stack+12945,int_stack+12525, 1.0, int_stack+12105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10710,int_stack+9450,int_stack+24070, 1.0, int_stack+21340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21340,int_stack+18225,int_stack+17945,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+9450,int_stack+21340,int_stack+20710,10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+13695,int_stack+13485,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21340,int_stack+13975,int_stack+13695,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+24070,int_stack+21340,int_stack+20710,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+14650,int_stack+14335,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12600,int_stack+15070,int_stack+14650,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+31840,int_stack+12600,int_stack+20710,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+15820,int_stack+15610,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21340,int_stack+16100,int_stack+15820,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+12600,int_stack+21340,int_stack+20710,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+16775,int_stack+16460,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+13860,int_stack+17195,int_stack+16775,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+15120,int_stack+13860,int_stack+20710,15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+18795,int_stack+18585,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21340,int_stack+19075,int_stack+18795,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+13860,int_stack+21340,int_stack+20710,10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+20710,int_stack+19750,int_stack+19435,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+17010,int_stack+20170,int_stack+19750,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+18270,int_stack+17010,int_stack+20710,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+33730,int_stack+0,int_stack+22810,126);
     Libderiv->ABCD[11] = int_stack + 33730;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+20160,int_stack+26800,int_stack+25540,126);
     Libderiv->ABCD[10] = int_stack + 20160;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+37510,int_stack+4410,int_stack+1890,126);
     Libderiv->ABCD[9] = int_stack + 37510;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+41290,int_stack+6300,int_stack+3150,126);
     Libderiv->ABCD[8] = int_stack + 41290;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+29950,int_stack+28690,126);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+3780,int_stack+10710,int_stack+8190,126);
     Libderiv->ABCD[6] = int_stack + 3780;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+25330,int_stack+31840,int_stack+24070, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 25330;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+29110,int_stack+15120,int_stack+12600, 0.0, zero_stack, 1.0, int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 29110;
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+45070,int_stack+18270,int_stack+13860, 1.0, int_stack+9450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 45070;

}
