#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_g0hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (g0|hf) integrals */

void d1hrr_order_g0hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 315;
 Libderiv->deriv_classes[4][7][11] = int_stack + 735;
 Libderiv->deriv_classes[4][8][11] = int_stack + 1275;
 Libderiv->deriv_classes[4][5][10] = int_stack + 1950;
 Libderiv->deriv_classes[4][6][10] = int_stack + 2265;
 Libderiv->deriv_classes[4][7][10] = int_stack + 2685;
 Libderiv->deriv_classes[4][8][10] = int_stack + 3225;
 Libderiv->deriv_classes[4][5][9] = int_stack + 3900;
 Libderiv->deriv_classes[4][6][9] = int_stack + 4215;
 Libderiv->deriv_classes[4][7][9] = int_stack + 4635;
 Libderiv->deriv_classes[4][8][9] = int_stack + 5175;
 Libderiv->deriv_classes[4][5][8] = int_stack + 5850;
 Libderiv->deriv_classes[4][6][8] = int_stack + 6165;
 Libderiv->deriv_classes[4][7][8] = int_stack + 6585;
 Libderiv->deriv_classes[4][8][8] = int_stack + 7125;
 Libderiv->deriv_classes[4][5][7] = int_stack + 7800;
 Libderiv->deriv_classes[4][6][7] = int_stack + 8115;
 Libderiv->deriv_classes[4][7][7] = int_stack + 8535;
 Libderiv->deriv_classes[4][8][7] = int_stack + 9075;
 Libderiv->dvrr_classes[4][5] = int_stack + 9750;
 Libderiv->deriv_classes[4][5][6] = int_stack + 10065;
 Libderiv->dvrr_classes[4][6] = int_stack + 10380;
 Libderiv->deriv_classes[4][6][6] = int_stack + 10800;
 Libderiv->dvrr_classes[4][7] = int_stack + 11220;
 Libderiv->deriv_classes[4][7][6] = int_stack + 11760;
 Libderiv->deriv_classes[4][8][6] = int_stack + 12300;
 Libderiv->deriv_classes[4][5][2] = int_stack + 12975;
 Libderiv->deriv_classes[4][6][2] = int_stack + 13290;
 Libderiv->deriv_classes[4][7][2] = int_stack + 13710;
 Libderiv->deriv_classes[4][8][2] = int_stack + 14250;
 Libderiv->deriv_classes[4][5][1] = int_stack + 14925;
 Libderiv->deriv_classes[4][6][1] = int_stack + 15240;
 Libderiv->deriv_classes[4][7][1] = int_stack + 15660;
 Libderiv->deriv_classes[4][8][1] = int_stack + 16200;
 Libderiv->deriv_classes[4][5][0] = int_stack + 16875;
 Libderiv->deriv_classes[4][6][0] = int_stack + 17190;
 Libderiv->deriv_classes[4][7][0] = int_stack + 17610;
 Libderiv->deriv_classes[4][8][0] = int_stack + 18150;
 memset(int_stack,0,150600);

 Libderiv->dvrr_stack = int_stack + 51315;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_g0hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+18825,int_stack+10380,int_stack+9750,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+19770,int_stack+11220,int_stack+10380,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21030,int_stack+19770,int_stack+18825,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22920,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9750,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23865,int_stack+735,int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10380,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25125,int_stack+23865,int_stack+22920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18825,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+1275,int_stack+735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11220,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+28635,int_stack+27015,int_stack+23865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19770,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27015,int_stack+2265,int_stack+1950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9750, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22920,int_stack+2685,int_stack+2265, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10380, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+22920,int_stack+27015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18825, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+3225,int_stack+2685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11220, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+31155,int_stack+27015,int_stack+22920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19770, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22920,int_stack+4215,int_stack+3900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9750, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23865,int_stack+4635,int_stack+4215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10380, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1890,int_stack+23865,int_stack+22920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18825, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+5175,int_stack+4635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11220, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33675,int_stack+27015,int_stack+23865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19770, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27015,int_stack+6165,int_stack+5850, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22920,int_stack+6585,int_stack+6165, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3780,int_stack+22920,int_stack+27015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+7125,int_stack+6585, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36195,int_stack+27015,int_stack+22920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22920,int_stack+8115,int_stack+7800, 0.0, zero_stack, 1.0, int_stack+9750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23865,int_stack+8535,int_stack+8115, 0.0, zero_stack, 1.0, int_stack+10380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5670,int_stack+23865,int_stack+22920, 0.0, zero_stack, 1.0, int_stack+18825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+9075,int_stack+8535, 0.0, zero_stack, 1.0, int_stack+11220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+38715,int_stack+27015,int_stack+23865, 0.0, zero_stack, 1.0, int_stack+19770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27015,int_stack+10800,int_stack+10065, 1.0, int_stack+9750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22920,int_stack+11760,int_stack+10800, 1.0, int_stack+10380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7560,int_stack+22920,int_stack+27015, 1.0, int_stack+18825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+12300,int_stack+11760, 1.0, int_stack+11220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9450,int_stack+27015,int_stack+22920, 1.0, int_stack+19770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+22920,int_stack+13290,int_stack+12975,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+23865,int_stack+13710,int_stack+13290,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+18825,int_stack+23865,int_stack+22920,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+14250,int_stack+13710,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+11970,int_stack+27015,int_stack+23865,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+27015,int_stack+15240,int_stack+14925,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+22920,int_stack+15660,int_stack+15240,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+41235,int_stack+22920,int_stack+27015,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+16200,int_stack+15660,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+43125,int_stack+27015,int_stack+22920,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+22920,int_stack+17190,int_stack+16875,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+23865,int_stack+17610,int_stack+17190,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+14490,int_stack+23865,int_stack+22920,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27015,int_stack+18150,int_stack+17610,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+45645,int_stack+27015,int_stack+23865,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+48165,int_stack+28635,int_stack+25125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21030,15);
     Libderiv->ABCD[11] = int_stack + 48165;
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+22920,int_stack+31155,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21030, 0.0, zero_stack,15);
     Libderiv->ABCD[10] = int_stack + 22920;
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+26070,int_stack+33675,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21030, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[9] = int_stack + 26070;
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+36195,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+29220,int_stack+38715,int_stack+5670, 0.0, zero_stack, 1.0, int_stack+21030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[7] = int_stack + 29220;
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+3150,int_stack+9450,int_stack+7560, 1.0, int_stack+21030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[6] = int_stack + 3150;
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+6300,int_stack+11970,int_stack+18825,15);
     Libderiv->ABCD[2] = int_stack + 6300;
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+9450,int_stack+43125,int_stack+41235,15);
     Libderiv->ABCD[1] = int_stack + 9450;
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+32370,int_stack+45645,int_stack+14490,15);
     Libderiv->ABCD[0] = int_stack + 32370;

}
