#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0fd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|fd) integrals */

void d1hrr_order_h0fd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][3][11] = int_stack + 0;
 Libderiv->deriv_classes[5][4][11] = int_stack + 210;
 Libderiv->deriv_classes[5][5][11] = int_stack + 525;
 Libderiv->deriv_classes[5][3][10] = int_stack + 966;
 Libderiv->deriv_classes[5][4][10] = int_stack + 1176;
 Libderiv->deriv_classes[5][5][10] = int_stack + 1491;
 Libderiv->deriv_classes[5][3][9] = int_stack + 1932;
 Libderiv->deriv_classes[5][4][9] = int_stack + 2142;
 Libderiv->deriv_classes[5][5][9] = int_stack + 2457;
 Libderiv->deriv_classes[5][3][8] = int_stack + 2898;
 Libderiv->deriv_classes[5][4][8] = int_stack + 3108;
 Libderiv->deriv_classes[5][5][8] = int_stack + 3423;
 Libderiv->deriv_classes[5][3][7] = int_stack + 3864;
 Libderiv->deriv_classes[5][4][7] = int_stack + 4074;
 Libderiv->deriv_classes[5][5][7] = int_stack + 4389;
 Libderiv->dvrr_classes[5][3] = int_stack + 4830;
 Libderiv->deriv_classes[5][3][6] = int_stack + 5040;
 Libderiv->dvrr_classes[5][4] = int_stack + 5250;
 Libderiv->deriv_classes[5][4][6] = int_stack + 5565;
 Libderiv->deriv_classes[5][5][6] = int_stack + 5880;
 Libderiv->deriv_classes[5][3][2] = int_stack + 6321;
 Libderiv->deriv_classes[5][4][2] = int_stack + 6531;
 Libderiv->deriv_classes[5][5][2] = int_stack + 6846;
 Libderiv->deriv_classes[5][3][1] = int_stack + 7287;
 Libderiv->deriv_classes[5][4][1] = int_stack + 7497;
 Libderiv->deriv_classes[5][5][1] = int_stack + 7812;
 Libderiv->deriv_classes[5][3][0] = int_stack + 8253;
 Libderiv->deriv_classes[5][4][0] = int_stack + 8463;
 Libderiv->deriv_classes[5][5][0] = int_stack + 8778;
 memset(int_stack,0,73752);

 Libderiv->dvrr_stack = int_stack + 16149;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0fd(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+9219,int_stack+5250,int_stack+4830,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+9849,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4830,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10479,int_stack+525,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5250,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+0,int_stack+1176,int_stack+966, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4830, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11424,int_stack+1491,int_stack+1176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5250, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+630,int_stack+2142,int_stack+1932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4830, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12369,int_stack+2457,int_stack+2142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5250, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+1260,int_stack+3108,int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1890,int_stack+3423,int_stack+3108, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+2835,int_stack+4074,int_stack+3864, 0.0, zero_stack, 1.0, int_stack+4830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13314,int_stack+4389,int_stack+4074, 0.0, zero_stack, 1.0, int_stack+5250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+3465,int_stack+5565,int_stack+5040, 1.0, int_stack+4830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4095,int_stack+5880,int_stack+5565, 1.0, int_stack+5250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+5040,int_stack+6531,int_stack+6321,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+14259,int_stack+6846,int_stack+6531,21);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+5670,int_stack+7497,int_stack+7287,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+6300,int_stack+7812,int_stack+7497,21);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+7245,int_stack+8463,int_stack+8253,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+15204,int_stack+8778,int_stack+8463,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+7875,int_stack+10479,int_stack+9849, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9219,21);
     Libderiv->ABCD[11] = int_stack + 7875;
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+9849,int_stack+11424,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9219, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 9849;
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+11109,int_stack+12369,int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9219, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 11109;
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+0,int_stack+1890,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+1260,int_stack+13314,int_stack+2835, 0.0, zero_stack, 1.0, int_stack+9219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 1260;
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+12369,int_stack+4095,int_stack+3465, 1.0, int_stack+9219, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 12369;
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+2520,int_stack+14259,int_stack+5040,21);
     Libderiv->ABCD[2] = int_stack + 2520;
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+3780,int_stack+6300,int_stack+5670,21);
     Libderiv->ABCD[1] = int_stack + 3780;
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+5040,int_stack+15204,int_stack+7245,21);
     Libderiv->ABCD[0] = int_stack + 5040;

}
