#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0ff(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|ff) integrals */

void d1hrr_order_h0ff(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][3][11] = int_stack + 0;
 Libderiv->deriv_classes[5][4][11] = int_stack + 210;
 Libderiv->deriv_classes[5][5][11] = int_stack + 525;
 Libderiv->deriv_classes[5][6][11] = int_stack + 966;
 Libderiv->deriv_classes[5][3][10] = int_stack + 1554;
 Libderiv->deriv_classes[5][4][10] = int_stack + 1764;
 Libderiv->deriv_classes[5][5][10] = int_stack + 2079;
 Libderiv->deriv_classes[5][6][10] = int_stack + 2520;
 Libderiv->deriv_classes[5][3][9] = int_stack + 3108;
 Libderiv->deriv_classes[5][4][9] = int_stack + 3318;
 Libderiv->deriv_classes[5][5][9] = int_stack + 3633;
 Libderiv->deriv_classes[5][6][9] = int_stack + 4074;
 Libderiv->deriv_classes[5][3][8] = int_stack + 4662;
 Libderiv->deriv_classes[5][4][8] = int_stack + 4872;
 Libderiv->deriv_classes[5][5][8] = int_stack + 5187;
 Libderiv->deriv_classes[5][6][8] = int_stack + 5628;
 Libderiv->deriv_classes[5][3][7] = int_stack + 6216;
 Libderiv->deriv_classes[5][4][7] = int_stack + 6426;
 Libderiv->deriv_classes[5][5][7] = int_stack + 6741;
 Libderiv->deriv_classes[5][6][7] = int_stack + 7182;
 Libderiv->dvrr_classes[5][3] = int_stack + 7770;
 Libderiv->deriv_classes[5][3][6] = int_stack + 7980;
 Libderiv->dvrr_classes[5][4] = int_stack + 8190;
 Libderiv->deriv_classes[5][4][6] = int_stack + 8505;
 Libderiv->dvrr_classes[5][5] = int_stack + 8820;
 Libderiv->deriv_classes[5][5][6] = int_stack + 9261;
 Libderiv->deriv_classes[5][6][6] = int_stack + 9702;
 Libderiv->deriv_classes[5][3][2] = int_stack + 10290;
 Libderiv->deriv_classes[5][4][2] = int_stack + 10500;
 Libderiv->deriv_classes[5][5][2] = int_stack + 10815;
 Libderiv->deriv_classes[5][6][2] = int_stack + 11256;
 Libderiv->deriv_classes[5][3][1] = int_stack + 11844;
 Libderiv->deriv_classes[5][4][1] = int_stack + 12054;
 Libderiv->deriv_classes[5][5][1] = int_stack + 12369;
 Libderiv->deriv_classes[5][6][1] = int_stack + 12810;
 Libderiv->deriv_classes[5][3][0] = int_stack + 13398;
 Libderiv->deriv_classes[5][4][0] = int_stack + 13608;
 Libderiv->deriv_classes[5][5][0] = int_stack + 13923;
 Libderiv->deriv_classes[5][6][0] = int_stack + 14364;
 memset(int_stack,0,119616);

 Libderiv->dvrr_stack = int_stack + 37023;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0ff(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+14952,int_stack+8190,int_stack+7770,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+15582,int_stack+8820,int_stack+8190,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+16527,int_stack+15582,int_stack+14952,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+17787,int_stack+210,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7770,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18417,int_stack+525,int_stack+210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8190,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+19362,int_stack+18417,int_stack+17787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20622,int_stack+966,int_stack+525, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8820,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+21945,int_stack+20622,int_stack+18417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15582,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+20622,int_stack+1764,int_stack+1554, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7770, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17787,int_stack+2079,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8190, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+0,int_stack+17787,int_stack+20622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20622,int_stack+2520,int_stack+2079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8820, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+23835,int_stack+20622,int_stack+17787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15582, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+17787,int_stack+3318,int_stack+3108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7770, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18417,int_stack+3633,int_stack+3318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8190, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+20622,int_stack+18417,int_stack+17787, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+4074,int_stack+3633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8820, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2583,int_stack+1260,int_stack+18417, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15582, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+1260,int_stack+4872,int_stack+4662, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17787,int_stack+5187,int_stack+4872, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+25725,int_stack+17787,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+5628,int_stack+5187, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+26985,int_stack+1260,int_stack+17787, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+17787,int_stack+6426,int_stack+6216, 0.0, zero_stack, 1.0, int_stack+7770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18417,int_stack+6741,int_stack+6426, 0.0, zero_stack, 1.0, int_stack+8190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+1260,int_stack+18417,int_stack+17787, 0.0, zero_stack, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4473,int_stack+7182,int_stack+6741, 0.0, zero_stack, 1.0, int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5796,int_stack+4473,int_stack+18417, 0.0, zero_stack, 1.0, int_stack+15582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   d1hrr3_build_fp(Libderiv->CD,int_stack+4473,int_stack+8505,int_stack+7980, 1.0, int_stack+7770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17787,int_stack+9261,int_stack+8505, 1.0, int_stack+8190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fd) ---*/
   d1hrr3_build_fd(Libderiv->CD,int_stack+28875,int_stack+17787,int_stack+4473, 1.0, int_stack+14952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4473,int_stack+9702,int_stack+9261, 1.0, int_stack+8820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7686,int_stack+4473,int_stack+17787, 1.0, int_stack+15582, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+17787,int_stack+10500,int_stack+10290,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+18417,int_stack+10815,int_stack+10500,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+4473,int_stack+18417,int_stack+17787,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+14952,int_stack+11256,int_stack+10815,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+9576,int_stack+14952,int_stack+18417,21);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+14952,int_stack+12054,int_stack+11844,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+15582,int_stack+12369,int_stack+12054,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+17787,int_stack+15582,int_stack+14952,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+30135,int_stack+12810,int_stack+12369,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+11466,int_stack+30135,int_stack+15582,21);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libderiv->CD,int_stack+30135,int_stack+13608,int_stack+13398,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+30765,int_stack+13923,int_stack+13608,21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libderiv->CD,int_stack+14952,int_stack+30765,int_stack+30135,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+31710,int_stack+14364,int_stack+13923,21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+33033,int_stack+31710,int_stack+30765,21);
 /*--- compute (h0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+30135,int_stack+21945,int_stack+19362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16527,21);
     Libderiv->ABCD[11] = int_stack + 30135;
 /*--- compute (h0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+34923,int_stack+23835,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16527, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 34923;
 /*--- compute (h0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+21882,int_stack+2583,int_stack+20622, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16527, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 21882;
 /*--- compute (h0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+19047,int_stack+26985,int_stack+25725, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 19047;
 /*--- compute (h0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+23982,int_stack+5796,int_stack+1260, 0.0, zero_stack, 1.0, int_stack+16527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 23982;
 /*--- compute (h0|ff) ---*/
   d1hrr3_build_ff(Libderiv->CD,int_stack+0,int_stack+7686,int_stack+28875, 1.0, int_stack+16527, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 0;
 /*--- compute (h0|ff) ---*/
   hrr3_build_ff(Libderiv->CD,int_stack+2100,int_stack+9576,int_stack+4473,21);
     Libderiv->ABCD[2] = int_stack + 2100;
 /*--- compute (h0|ff) ---*/
   hrr3_build_ff(Libderiv->CD,int_stack+4200,int_stack+11466,int_stack+17787,21);
     Libderiv->ABCD[1] = int_stack + 4200;
 /*--- compute (h0|ff) ---*/
   hrr3_build_ff(Libderiv->CD,int_stack+6300,int_stack+33033,int_stack+14952,21);
     Libderiv->ABCD[0] = int_stack + 6300;

}
