#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00gg(Libr12_t *, prim_data *);

  /* Computes (00|gg) integrals for linear R12-methods */

void hrr_grt_order_00gg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][4] = int_stack + 0;
 Libr12->t2vrr_classes[0][4] = int_stack + 45;
 Libr12->gvrr_classes[1][5] = int_stack + 60;
 Libr12->t2vrr_classes[0][5] = int_stack + 123;
 Libr12->gvrr_classes[1][6] = int_stack + 144;
 Libr12->t2vrr_classes[0][6] = int_stack + 228;
 Libr12->gvrr_classes[1][7] = int_stack + 256;
 Libr12->t2vrr_classes[0][7] = int_stack + 364;
 Libr12->t2vrr_classes[0][8] = int_stack + 400;
 Libr12->t1vrr_classes[0][4] = int_stack + 445;
 Libr12->t1vrr_classes[0][5] = int_stack + 460;
 Libr12->t1vrr_classes[0][6] = int_stack + 481;
 Libr12->t1vrr_classes[0][7] = int_stack + 509;
 Libr12->t1vrr_classes[0][8] = int_stack + 545;
 Libr12->rvrr_classes[0][4] = int_stack + 590;
 Libr12->rvrr_classes[0][5] = int_stack + 605;
 Libr12->rvrr_classes[0][6] = int_stack + 626;
 Libr12->rvrr_classes[0][7] = int_stack + 654;
 Libr12->rvrr_classes[0][8] = int_stack + 690;
 Libr12->gvrr_classes[0][4] = int_stack + 735;
 Libr12->gvrr_classes[0][5] = int_stack + 750;
 Libr12->gvrr_classes[0][6] = int_stack + 771;
 Libr12->gvrr_classes[0][7] = int_stack + 799;
 Libr12->gvrr_classes[0][8] = int_stack + 835;
 memset(int_stack,0,880*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00gg(Libr12, Data);
   Data++;
 }

 /*--- compute (00|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+880, int_stack+750, int_stack+735, 1);
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+925, int_stack+771, int_stack+750, 1);
 /*--- compute (00|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+988, int_stack+925, int_stack+880, 1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1078, int_stack+799, int_stack+771, 1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1162, int_stack+1078, int_stack+925, 1);
 /*--- compute (00|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+1288, int_stack+1162, int_stack+988, 1);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1438, int_stack+60, int_stack+0, 3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1573, int_stack+144, int_stack+60, 3);
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1762, int_stack+1573, int_stack+1438, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2032, int_stack+256, int_stack+144, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2284, int_stack+2032, int_stack+1573, 3);
 /*--- compute (p0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+2662, int_stack+2284, int_stack+1762, 3);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3112, int_stack+835, int_stack+799, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3220, int_stack+3112, int_stack+1078, 1);
 /*--- compute (00|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+3388, int_stack+3220, int_stack+1162, 1);
 /*--- compute (00|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3598, int_stack+123, int_stack+45, int_stack+750, int_stack+0, int_stack+735, 0, 0);
 /*--- compute (00|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3643, int_stack+228, int_stack+123, int_stack+771, int_stack+60, int_stack+750, 0, 0);
 /*--- compute (00|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3643, int_stack+3598, int_stack+925, int_stack+1438, int_stack+880, 0, 0);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1438, int_stack+364, int_stack+228, int_stack+799, int_stack+144, int_stack+771, 0, 0);
 /*--- compute (00|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90, int_stack+1438, int_stack+3643, int_stack+1078, int_stack+1573, int_stack+925, 0, 0);
 /*--- compute (00|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1522, int_stack+90, int_stack+0, int_stack+1162, int_stack+1762, int_stack+988, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+880, int_stack+400, int_stack+364, int_stack+835, int_stack+256, int_stack+799, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1672, int_stack+880, int_stack+1438, int_stack+3112, int_stack+2032, int_stack+1078, 0, 0);
 /*--- compute (00|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1840, int_stack+1672, int_stack+90, int_stack+3220, int_stack+2284, int_stack+1162, 0, 0);
 /*--- compute (00|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1672, int_stack+460, int_stack+445, 1);
 /*--- compute (00|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1717, int_stack+481, int_stack+460, 1);
 /*--- compute (00|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3112, int_stack+1717, int_stack+1672, 1);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1438, int_stack+509, int_stack+481, 1);
 /*--- compute (00|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3202, int_stack+1438, int_stack+1717, 1);
 /*--- compute (00|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+1672, int_stack+3202, int_stack+3112, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+545, int_stack+509, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108, int_stack+0, int_stack+1438, 1);
 /*--- compute (00|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+276, int_stack+108, int_stack+3202, 1);
 /*--- compute (00||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1438, int_stack+605, int_stack+590, 1);
 /*--- compute (00||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+626, int_stack+605, 1);
 /*--- compute (00||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+63, int_stack+0, int_stack+1438, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1438, int_stack+654, int_stack+626, 1);
 /*--- compute (00||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3112, int_stack+1438, int_stack+0, 1);
 /*--- compute (00||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+3238, int_stack+3112, int_stack+63, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+690, int_stack+654, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108, int_stack+0, int_stack+1438, 1);
 /*--- compute (00||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+486, int_stack+108, int_stack+3112, 1);
 /*--- compute (00|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1840, int_stack+1522, int_stack+3388, int_stack+2662, int_stack+1288, 0, 0);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (00|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+1438, int_stack+276, int_stack+1672, 1);
     Libr12->te_ptr[2] = int_stack + 1438;
 /*--- compute (00||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+1663, int_stack+486, int_stack+3238, 1);
     Libr12->te_ptr[1] = int_stack + 1663;
 /*--- compute (00|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+1888, int_stack+3388, int_stack+1288, 1);
     Libr12->te_ptr[0] = int_stack + 1888;

}
