#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0f0(Libr12_t *, prim_data *);

  /* Computes (d0|f0) integrals for linear R12-methods */

void hrr_grt_order_d0f0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][3] = int_stack + 0;
 Libr12->t1vrr_classes[2][3] = int_stack + 60;
 Libr12->rvrr_classes[2][3] = int_stack + 120;
 Libr12->gvrr_classes[2][3] = int_stack + 180;
 memset(int_stack,0,240*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0f0(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|[r12,T2]|f0) ---*/
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (d0|[r12,T1]|f0) ---*/
     Libr12->te_ptr[2] = int_stack + 60;
 /*--- compute (d0||f0) ---*/
     Libr12->te_ptr[1] = int_stack + 120;
 /*--- compute (d0|f0) ---*/
     Libr12->te_ptr[0] = int_stack + 180;

}
