#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddhd(Libr12_t *, prim_data *);

  /* Computes (dd|hd) integrals for linear R12-methods */

void hrr_grt_order_ddhd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 126;
 Libr12->t2vrr_classes[2][7] = int_stack + 294;
 Libr12->t2vrr_classes[3][5] = int_stack + 510;
 Libr12->t2vrr_classes[3][6] = int_stack + 720;
 Libr12->t2vrr_classes[3][7] = int_stack + 1000;
 Libr12->gvrr_classes[5][5] = int_stack + 1360;
 Libr12->t2vrr_classes[4][5] = int_stack + 1801;
 Libr12->gvrr_classes[5][6] = int_stack + 2116;
 Libr12->t2vrr_classes[4][6] = int_stack + 2704;
 Libr12->t2vrr_classes[4][7] = int_stack + 3124;
 Libr12->gvrr_classes[2][8] = int_stack + 3664;
 Libr12->t1vrr_classes[2][5] = int_stack + 3934;
 Libr12->t1vrr_classes[2][6] = int_stack + 4060;
 Libr12->t1vrr_classes[2][7] = int_stack + 4228;
 Libr12->gvrr_classes[3][8] = int_stack + 4444;
 Libr12->t1vrr_classes[3][5] = int_stack + 4894;
 Libr12->t1vrr_classes[3][6] = int_stack + 5104;
 Libr12->t1vrr_classes[3][7] = int_stack + 5384;
 Libr12->t1vrr_classes[4][5] = int_stack + 5744;
 Libr12->t1vrr_classes[4][6] = int_stack + 6059;
 Libr12->t1vrr_classes[4][7] = int_stack + 6479;
 Libr12->rvrr_classes[2][5] = int_stack + 7019;
 Libr12->rvrr_classes[2][6] = int_stack + 7145;
 Libr12->rvrr_classes[2][7] = int_stack + 7313;
 Libr12->rvrr_classes[3][5] = int_stack + 7529;
 Libr12->rvrr_classes[3][6] = int_stack + 7739;
 Libr12->rvrr_classes[3][7] = int_stack + 8019;
 Libr12->rvrr_classes[4][5] = int_stack + 8379;
 Libr12->rvrr_classes[4][6] = int_stack + 8694;
 Libr12->rvrr_classes[4][7] = int_stack + 9114;
 Libr12->gvrr_classes[2][5] = int_stack + 9654;
 Libr12->gvrr_classes[2][6] = int_stack + 9780;
 Libr12->gvrr_classes[2][7] = int_stack + 9948;
 Libr12->gvrr_classes[3][5] = int_stack + 10164;
 Libr12->gvrr_classes[3][6] = int_stack + 10374;
 Libr12->gvrr_classes[3][7] = int_stack + 10654;
 Libr12->gvrr_classes[4][5] = int_stack + 11014;
 Libr12->gvrr_classes[4][6] = int_stack + 11329;
 Libr12->gvrr_classes[4][7] = int_stack + 11749;
 memset(int_stack,0,12289*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 12289;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddhd(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12289, int_stack+9780, int_stack+9654, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12667, int_stack+10374, int_stack+10164, 10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13297, int_stack+9948, int_stack+9780, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13801, int_stack+126, int_stack+0, int_stack+9780, int_stack+10164, int_stack+9654, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14179, int_stack+294, int_stack+126, int_stack+9948, int_stack+10374, int_stack+9780, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14683, int_stack+14179, int_stack+13801, int_stack+13297, int_stack+12667, int_stack+12289, 2, 0);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15439, int_stack+11329, int_stack+11014, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13801, int_stack+10654, int_stack+10374, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16384, int_stack+720, int_stack+510, int_stack+10374, int_stack+11014, int_stack+10164, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17014, int_stack+1000, int_stack+720, int_stack+10654, int_stack+11329, int_stack+10374, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+17014, int_stack+16384, int_stack+13801, int_stack+15439, int_stack+12667, 3, 0);
 /*--- compute (dp|[r12,T2]|hd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+16384, int_stack+0, int_stack+14683, 126);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18652, int_stack+2116, int_stack+1360, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19975, int_stack+11749, int_stack+11329, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21235, int_stack+2704, int_stack+1801, int_stack+11329, int_stack+1360, int_stack+11014, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22180, int_stack+3124, int_stack+2704, int_stack+11749, int_stack+2116, int_stack+11329, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1260, int_stack+22180, int_stack+21235, int_stack+19975, int_stack+18652, int_stack+15439, 4, 0);
 /*--- compute (fp|[r12,T2]|hd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+21235, int_stack+1260, int_stack+0, 126);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13297, int_stack+12289, 6);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+756, int_stack+13801, int_stack+12667, 10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+11014, int_stack+756, int_stack+0, 126);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2016, int_stack+3664, int_stack+9948, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2664, int_stack+2016, int_stack+13297, 6);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18652, int_stack+4444, int_stack+10654, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25015, int_stack+18652, int_stack+13801, 10);
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+26695, int_stack+25015, int_stack+2664, 168);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+13282, int_stack+19975, int_stack+15439, 15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+29719, int_stack+13282, int_stack+756, 126);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18652, int_stack+4060, int_stack+3934, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19030, int_stack+4228, int_stack+4060, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+19534, int_stack+19030, int_stack+18652, 6);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18652, int_stack+5104, int_stack+4894, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20290, int_stack+5384, int_stack+5104, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3672, int_stack+20290, int_stack+18652, 10);
 /*--- compute (dp|[r12,T1]|hd) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+33499, int_stack+3672, int_stack+19534, int_stack+756, int_stack+2664, int_stack+0, 5, 2);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18652, int_stack+6059, int_stack+5744, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19597, int_stack+6479, int_stack+6059, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4932, int_stack+19597, int_stack+18652, 15);
 /*--- compute (fp|[r12,T1]|hd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+35767, int_stack+4932, int_stack+3672, int_stack+13282, int_stack+25015, int_stack+756, 5, 2);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+25015, int_stack+7145, int_stack+7019, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25393, int_stack+7313, int_stack+7145, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+25897, int_stack+25393, int_stack+25015, 6);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+25015, int_stack+7739, int_stack+7529, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13282, int_stack+8019, int_stack+7739, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14122, int_stack+13282, int_stack+25015, 10);
 /*--- compute (dp||hd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+18652, int_stack+14122, int_stack+25897, 126);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+25015, int_stack+8694, int_stack+8379, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9114, int_stack+8694, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+0, int_stack+25015, 15);
 /*--- compute (fp||hd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+3150, int_stack+1260, int_stack+14122, 126);
 /*--- compute (dd|[r12,T2]|hd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+39547, int_stack+21235, int_stack+16384, 126);
     Libr12->te_ptr[3] = int_stack + 39547;
 /*--- compute (dd|[r12,T1]|hd) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+13282, int_stack+35767, int_stack+33499, int_stack+29719, int_stack+26695, int_stack+11014, 5, 2);
     Libr12->te_ptr[2] = int_stack + 13282;
 /*--- compute (dd||hd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+33499, int_stack+3150, int_stack+18652, 126);
     Libr12->te_ptr[1] = int_stack + 33499;
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+29719, int_stack+11014, 126);
     Libr12->te_ptr[0] = int_stack + 0;

}
