#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpgf(Libr12_t *, prim_data *);

  /* Computes (fp|gf) integrals for linear R12-methods */

void hrr_grt_order_fpgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][5] = int_stack + 150;
 Libr12->t2vrr_classes[3][6] = int_stack + 360;
 Libr12->t2vrr_classes[3][7] = int_stack + 640;
 Libr12->gvrr_classes[5][4] = int_stack + 1000;
 Libr12->t2vrr_classes[4][4] = int_stack + 1315;
 Libr12->gvrr_classes[5][5] = int_stack + 1540;
 Libr12->t2vrr_classes[4][5] = int_stack + 1981;
 Libr12->gvrr_classes[5][6] = int_stack + 2296;
 Libr12->t2vrr_classes[4][6] = int_stack + 2884;
 Libr12->t2vrr_classes[4][7] = int_stack + 3304;
 Libr12->gvrr_classes[3][8] = int_stack + 3844;
 Libr12->t1vrr_classes[3][4] = int_stack + 4294;
 Libr12->t1vrr_classes[3][5] = int_stack + 4444;
 Libr12->t1vrr_classes[3][6] = int_stack + 4654;
 Libr12->t1vrr_classes[3][7] = int_stack + 4934;
 Libr12->t1vrr_classes[4][4] = int_stack + 5294;
 Libr12->t1vrr_classes[4][5] = int_stack + 5519;
 Libr12->t1vrr_classes[4][6] = int_stack + 5834;
 Libr12->t1vrr_classes[4][7] = int_stack + 6254;
 Libr12->rvrr_classes[3][4] = int_stack + 6794;
 Libr12->rvrr_classes[3][5] = int_stack + 6944;
 Libr12->rvrr_classes[3][6] = int_stack + 7154;
 Libr12->rvrr_classes[3][7] = int_stack + 7434;
 Libr12->rvrr_classes[4][4] = int_stack + 7794;
 Libr12->rvrr_classes[4][5] = int_stack + 8019;
 Libr12->rvrr_classes[4][6] = int_stack + 8334;
 Libr12->rvrr_classes[4][7] = int_stack + 8754;
 Libr12->gvrr_classes[3][4] = int_stack + 9294;
 Libr12->gvrr_classes[3][5] = int_stack + 9444;
 Libr12->gvrr_classes[3][6] = int_stack + 9654;
 Libr12->gvrr_classes[3][7] = int_stack + 9934;
 Libr12->gvrr_classes[4][4] = int_stack + 10294;
 Libr12->gvrr_classes[4][5] = int_stack + 10519;
 Libr12->gvrr_classes[4][6] = int_stack + 10834;
 Libr12->gvrr_classes[4][7] = int_stack + 11254;
 memset(int_stack,0,11794*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 11794;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpgf(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11794, int_stack+9444, int_stack+9294, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12244, int_stack+9654, int_stack+9444, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+12874, int_stack+12244, int_stack+11794, 10);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13774, int_stack+10519, int_stack+10294, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14449, int_stack+10834, int_stack+10519, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15394, int_stack+14449, int_stack+13774, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16744, int_stack+9934, int_stack+9654, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17584, int_stack+16744, int_stack+12244, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18844, int_stack+150, int_stack+0, int_stack+9444, int_stack+10294, int_stack+9294, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19294, int_stack+360, int_stack+150, int_stack+9654, int_stack+10519, int_stack+9444, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19924, int_stack+19294, int_stack+18844, int_stack+12244, int_stack+13774, int_stack+11794, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20824, int_stack+640, int_stack+360, int_stack+9934, int_stack+10834, int_stack+9654, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21664, int_stack+20824, int_stack+19294, int_stack+16744, int_stack+14449, int_stack+12244, 3, 0);
 /*--- compute (f0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22924, int_stack+21664, int_stack+19924, int_stack+17584, int_stack+15394, int_stack+12874, 3, 0);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11794, int_stack+1540, int_stack+1000, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18844, int_stack+2296, int_stack+1540, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+20167, int_stack+18844, int_stack+11794, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24424, int_stack+11254, int_stack+10834, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+25684, int_stack+24424, int_stack+14449, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22057, int_stack+1981, int_stack+1315, int_stack+10519, int_stack+1000, int_stack+10294, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2884, int_stack+1981, int_stack+10834, int_stack+1540, int_stack+10519, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+945, int_stack+0, int_stack+22057, int_stack+14449, int_stack+11794, int_stack+13774, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27574, int_stack+3304, int_stack+2884, int_stack+11254, int_stack+2296, int_stack+10834, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10294, int_stack+27574, int_stack+0, int_stack+24424, int_stack+18844, int_stack+14449, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27574, int_stack+10294, int_stack+945, int_stack+25684, int_stack+20167, int_stack+15394, 4, 0);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+10294, int_stack+17584, int_stack+12874, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11794, int_stack+3844, int_stack+9934, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12874, int_stack+11794, int_stack+16744, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+18844, int_stack+12874, int_stack+17584, 10);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+11794, int_stack+25684, int_stack+15394, 15);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+4444, int_stack+4294, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14494, int_stack+4654, int_stack+4444, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15124, int_stack+14494, int_stack+14044, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16024, int_stack+4934, int_stack+4654, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+16864, int_stack+16024, int_stack+14494, 10);
 /*--- compute (f0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+20944, int_stack+16864, int_stack+15124, 10);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+5519, int_stack+5294, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14719, int_stack+5834, int_stack+5519, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15664, int_stack+14719, int_stack+14044, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17014, int_stack+6254, int_stack+5834, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+24424, int_stack+17014, int_stack+14719, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24424, int_stack+15664, 15);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+24424, int_stack+6944, int_stack+6794, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+24874, int_stack+7154, int_stack+6944, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+25504, int_stack+24874, int_stack+24424, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26404, int_stack+7434, int_stack+7154, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+26404, int_stack+24874, 10);
 /*--- compute (f0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+15304, int_stack+14044, int_stack+25504, 10);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+8019, int_stack+7794, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+24424, int_stack+8334, int_stack+8019, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+25369, int_stack+24424, int_stack+14044, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+8754, int_stack+8334, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+16804, int_stack+14044, int_stack+24424, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+2250, int_stack+16804, int_stack+25369, 15);
 /*--- compute (fp|[r12,T2]|gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4500, int_stack+27574, int_stack+22924, 150);
     Libr12->te_ptr[3] = int_stack + 4500;
 /*--- compute (fp|[r12,T1]|gf) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+22444, int_stack+0, int_stack+20944, int_stack+11794, int_stack+18844, int_stack+10294, 4, 3);
     Libr12->te_ptr[2] = int_stack + 22444;
 /*--- compute (fp||gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+16804, int_stack+2250, int_stack+15304, 150);
     Libr12->te_ptr[1] = int_stack + 16804;
 /*--- compute (fp|gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+11794, int_stack+10294, 150);
     Libr12->te_ptr[0] = int_stack + 0;

}
