#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fphp(Libr12_t *, prim_data *);

  /* Computes (fp|hp) integrals for linear R12-methods */

void hrr_grt_order_fphp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->gvrr_classes[5][5] = int_stack + 490;
 Libr12->t2vrr_classes[4][5] = int_stack + 931;
 Libr12->t2vrr_classes[4][6] = int_stack + 1246;
 Libr12->gvrr_classes[3][7] = int_stack + 1666;
 Libr12->t1vrr_classes[3][5] = int_stack + 2026;
 Libr12->t1vrr_classes[3][6] = int_stack + 2236;
 Libr12->t1vrr_classes[4][5] = int_stack + 2516;
 Libr12->t1vrr_classes[4][6] = int_stack + 2831;
 Libr12->rvrr_classes[3][5] = int_stack + 3251;
 Libr12->rvrr_classes[3][6] = int_stack + 3461;
 Libr12->rvrr_classes[4][5] = int_stack + 3741;
 Libr12->rvrr_classes[4][6] = int_stack + 4056;
 Libr12->gvrr_classes[3][5] = int_stack + 4476;
 Libr12->gvrr_classes[3][6] = int_stack + 4686;
 Libr12->gvrr_classes[4][5] = int_stack + 4966;
 Libr12->gvrr_classes[4][6] = int_stack + 5281;
 memset(int_stack,0,5701*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5701;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fphp(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5701, int_stack+210, int_stack+0, int_stack+4686, int_stack+4966, int_stack+4476, 3, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6331, int_stack+1246, int_stack+931, int_stack+5281, int_stack+490, int_stack+4966, 4, 0);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4686, int_stack+4476, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+630, int_stack+1666, int_stack+4686, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7276, int_stack+5281, int_stack+4966, 15);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+4476, int_stack+2236, int_stack+2026, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1470, int_stack+2831, int_stack+2516, 15);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2415, int_stack+3461, int_stack+3251, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8221, int_stack+4056, int_stack+3741, 15);
 /*--- compute (fp|[r12,T2]|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+9166, int_stack+6331, int_stack+5701, 63);
     Libr12->te_ptr[3] = int_stack + 9166;
 /*--- compute (fp|[r12,T1]|hp) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5106, int_stack+1470, int_stack+4476, int_stack+7276, int_stack+630, int_stack+0, 5, 1);
     Libr12->te_ptr[2] = int_stack + 5106;
 /*--- compute (fp||hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+3045, int_stack+8221, int_stack+2415, 63);
     Libr12->te_ptr[1] = int_stack + 3045;
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+630, int_stack+7276, int_stack+0, 63);
     Libr12->te_ptr[0] = int_stack + 630;

}
