#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfgf(Libr12_t *, prim_data *);

  /* Computes (gf|gf) integrals for linear R12-methods */

void hrr_grt_order_gfgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[4][7] = int_stack + 960;
 Libr12->t2vrr_classes[5][4] = int_stack + 1500;
 Libr12->t2vrr_classes[5][5] = int_stack + 1815;
 Libr12->t2vrr_classes[5][6] = int_stack + 2256;
 Libr12->t2vrr_classes[5][7] = int_stack + 2844;
 Libr12->t2vrr_classes[6][4] = int_stack + 3600;
 Libr12->t2vrr_classes[6][5] = int_stack + 4020;
 Libr12->t2vrr_classes[6][6] = int_stack + 4608;
 Libr12->t2vrr_classes[6][7] = int_stack + 5392;
 Libr12->gvrr_classes[8][4] = int_stack + 6400;
 Libr12->t2vrr_classes[7][4] = int_stack + 7075;
 Libr12->gvrr_classes[8][5] = int_stack + 7615;
 Libr12->t2vrr_classes[7][5] = int_stack + 8560;
 Libr12->gvrr_classes[8][6] = int_stack + 9316;
 Libr12->t2vrr_classes[7][6] = int_stack + 10576;
 Libr12->t2vrr_classes[7][7] = int_stack + 11584;
 Libr12->gvrr_classes[4][8] = int_stack + 12880;
 Libr12->t1vrr_classes[4][4] = int_stack + 13555;
 Libr12->t1vrr_classes[4][5] = int_stack + 13780;
 Libr12->t1vrr_classes[4][6] = int_stack + 14095;
 Libr12->t1vrr_classes[4][7] = int_stack + 14515;
 Libr12->gvrr_classes[5][8] = int_stack + 15055;
 Libr12->t1vrr_classes[5][4] = int_stack + 16000;
 Libr12->t1vrr_classes[5][5] = int_stack + 16315;
 Libr12->t1vrr_classes[5][6] = int_stack + 16756;
 Libr12->t1vrr_classes[5][7] = int_stack + 17344;
 Libr12->gvrr_classes[6][8] = int_stack + 18100;
 Libr12->t1vrr_classes[6][4] = int_stack + 19360;
 Libr12->t1vrr_classes[6][5] = int_stack + 19780;
 Libr12->t1vrr_classes[6][6] = int_stack + 20368;
 Libr12->t1vrr_classes[6][7] = int_stack + 21152;
 Libr12->t1vrr_classes[7][4] = int_stack + 22160;
 Libr12->t1vrr_classes[7][5] = int_stack + 22700;
 Libr12->t1vrr_classes[7][6] = int_stack + 23456;
 Libr12->t1vrr_classes[7][7] = int_stack + 24464;
 Libr12->rvrr_classes[4][4] = int_stack + 25760;
 Libr12->rvrr_classes[4][5] = int_stack + 25985;
 Libr12->rvrr_classes[4][6] = int_stack + 26300;
 Libr12->rvrr_classes[4][7] = int_stack + 26720;
 Libr12->rvrr_classes[5][4] = int_stack + 27260;
 Libr12->rvrr_classes[5][5] = int_stack + 27575;
 Libr12->rvrr_classes[5][6] = int_stack + 28016;
 Libr12->rvrr_classes[5][7] = int_stack + 28604;
 Libr12->rvrr_classes[6][4] = int_stack + 29360;
 Libr12->rvrr_classes[6][5] = int_stack + 29780;
 Libr12->rvrr_classes[6][6] = int_stack + 30368;
 Libr12->rvrr_classes[6][7] = int_stack + 31152;
 Libr12->rvrr_classes[7][4] = int_stack + 32160;
 Libr12->rvrr_classes[7][5] = int_stack + 32700;
 Libr12->rvrr_classes[7][6] = int_stack + 33456;
 Libr12->rvrr_classes[7][7] = int_stack + 34464;
 Libr12->gvrr_classes[4][4] = int_stack + 35760;
 Libr12->gvrr_classes[4][5] = int_stack + 35985;
 Libr12->gvrr_classes[4][6] = int_stack + 36300;
 Libr12->gvrr_classes[4][7] = int_stack + 36720;
 Libr12->gvrr_classes[5][4] = int_stack + 37260;
 Libr12->gvrr_classes[5][5] = int_stack + 37575;
 Libr12->gvrr_classes[5][6] = int_stack + 38016;
 Libr12->gvrr_classes[5][7] = int_stack + 38604;
 Libr12->gvrr_classes[6][4] = int_stack + 39360;
 Libr12->gvrr_classes[6][5] = int_stack + 39780;
 Libr12->gvrr_classes[6][6] = int_stack + 40368;
 Libr12->gvrr_classes[6][7] = int_stack + 41152;
 Libr12->gvrr_classes[7][4] = int_stack + 42160;
 Libr12->gvrr_classes[7][5] = int_stack + 42700;
 Libr12->gvrr_classes[7][6] = int_stack + 43456;
 Libr12->gvrr_classes[7][7] = int_stack + 44464;
 memset(int_stack,0,45760*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 45760;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfgf(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+45760, int_stack+35985, int_stack+35760, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+46435, int_stack+36300, int_stack+35985, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+47380, int_stack+46435, int_stack+45760, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+48730, int_stack+37575, int_stack+37260, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49675, int_stack+38016, int_stack+37575, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+50998, int_stack+49675, int_stack+48730, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52888, int_stack+36720, int_stack+36300, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+54148, int_stack+52888, int_stack+46435, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56038, int_stack+225, int_stack+0, int_stack+35985, int_stack+37260, int_stack+35760, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56713, int_stack+540, int_stack+225, int_stack+36300, int_stack+37575, int_stack+35985, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57658, int_stack+56713, int_stack+56038, int_stack+46435, int_stack+48730, int_stack+45760, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59008, int_stack+960, int_stack+540, int_stack+36720, int_stack+38016, int_stack+36300, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60268, int_stack+59008, int_stack+56713, int_stack+52888, int_stack+49675, int_stack+46435, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62158, int_stack+60268, int_stack+57658, int_stack+54148, int_stack+50998, int_stack+47380, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+45760, int_stack+39780, int_stack+39360, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+56038, int_stack+40368, int_stack+39780, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+57802, int_stack+56038, int_stack+45760, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+60322, int_stack+38604, int_stack+38016, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+64408, int_stack+60322, int_stack+49675, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35760, int_stack+1815, int_stack+1500, int_stack+37575, int_stack+39360, int_stack+37260, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2256, int_stack+1815, int_stack+38016, int_stack+39780, int_stack+37575, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67054, int_stack+0, int_stack+35760, int_stack+49675, int_stack+45760, int_stack+48730, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68944, int_stack+2844, int_stack+2256, int_stack+38604, int_stack+40368, int_stack+38016, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70708, int_stack+68944, int_stack+0, int_stack+60322, int_stack+56038, int_stack+49675, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+70708, int_stack+67054, int_stack+64408, int_stack+57802, int_stack+50998, 5, 0);
 /*--- compute (gp|[r12,T2]|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+67054, int_stack+0, int_stack+62158, 150);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+48730, int_stack+42700, int_stack+42160, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+62086, int_stack+43456, int_stack+42700, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+73804, int_stack+62086, int_stack+48730, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77044, int_stack+41152, int_stack+40368, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+79396, int_stack+77044, int_stack+56038, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37260, int_stack+4020, int_stack+3600, int_stack+39780, int_stack+42160, int_stack+39360, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82924, int_stack+4608, int_stack+4020, int_stack+40368, int_stack+42700, int_stack+39780, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84688, int_stack+82924, int_stack+37260, int_stack+56038, int_stack+48730, int_stack+45760, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87208, int_stack+5392, int_stack+4608, int_stack+41152, int_stack+43456, int_stack+40368, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89560, int_stack+87208, int_stack+82924, int_stack+77044, int_stack+62086, int_stack+56038, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93088, int_stack+89560, int_stack+84688, int_stack+79396, int_stack+73804, int_stack+57802, 6, 0);
 /*--- compute (hp|[r12,T2]|gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+82924, int_stack+93088, int_stack+0, 150);
 /*--- compute (gd|[r12,T2]|gf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+97288, int_stack+82924, int_stack+67054, 150);
 /*--- compute (l0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+67054, int_stack+7615, int_stack+6400, 45);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+69079, int_stack+9316, int_stack+7615, 45);
 /*--- compute (l0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+69079, int_stack+67054, 45);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+110788, int_stack+44464, int_stack+43456, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+113812, int_stack+110788, int_stack+62086, 36);
 /*--- compute (k0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45760, int_stack+8560, int_stack+7075, int_stack+42700, int_stack+6400, int_stack+42160, 7, 0);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4050, int_stack+10576, int_stack+8560, int_stack+43456, int_stack+7615, int_stack+42700, 7, 0);
 /*--- compute (k0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118348, int_stack+4050, int_stack+45760, int_stack+62086, int_stack+67054, int_stack+48730, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121588, int_stack+11584, int_stack+10576, int_stack+44464, int_stack+9316, int_stack+43456, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42160, int_stack+121588, int_stack+4050, int_stack+110788, int_stack+69079, int_stack+62086, 7, 0);
 /*--- compute (k0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4050, int_stack+42160, int_stack+118348, int_stack+113812, int_stack+0, int_stack+73804, 7, 0);
 /*--- compute (ip|[r12,T2]|gf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+118348, int_stack+4050, int_stack+93088, 150);
 /*--- compute (hd|[r12,T2]|gf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+130948, int_stack+118348, int_stack+82924, 150);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+82924, int_stack+54148, int_stack+47380, 15);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+85174, int_stack+64408, int_stack+50998, 21);
 /*--- compute (gp|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+67054, int_stack+85174, int_stack+82924, 150);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+88324, int_stack+79396, int_stack+57802, 28);
 /*--- compute (hp|gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+118348, int_stack+88324, int_stack+85174, 150);
 /*--- compute (gd|gf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+149848, int_stack+118348, int_stack+67054, 150);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92524, int_stack+12880, int_stack+36720, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+94144, int_stack+92524, int_stack+52888, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+127798, int_stack+94144, int_stack+54148, 15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92524, int_stack+15055, int_stack+38604, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+92524, int_stack+60322, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+92524, int_stack+0, int_stack+64408, 21);
 /*--- compute (gp|hf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+92524, int_stack+127798, 210);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+110788, int_stack+18100, int_stack+41152, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+35760, int_stack+110788, int_stack+77044, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+40464, int_stack+35760, int_stack+79396, 28);
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+46344, int_stack+40464, int_stack+92524, 210);
 /*--- compute (gd|hf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+163348, int_stack+46344, int_stack+0, 210);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+77044, int_stack+113812, int_stack+73804, 36);
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+182248, int_stack+77044, int_stack+88324, 150);
 /*--- compute (hd|gf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+194848, int_stack+182248, int_stack+118348, 150);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+73804, int_stack+13780, int_stack+13555, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15055, int_stack+14095, int_stack+13780, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+74479, int_stack+15055, int_stack+73804, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18100, int_stack+14515, int_stack+14095, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+35760, int_stack+18100, int_stack+15055, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+37650, int_stack+35760, int_stack+74479, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+35760, int_stack+16315, int_stack+16000, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+73804, int_stack+16756, int_stack+16315, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+75127, int_stack+73804, int_stack+35760, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+35760, int_stack+17344, int_stack+16756, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+110788, int_stack+35760, int_stack+73804, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+113434, int_stack+110788, int_stack+75127, 21);
 /*--- compute (gp|[r12,T1]|gf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+9450, int_stack+113434, int_stack+37650, int_stack+85174, int_stack+127798, int_stack+82924, 4, 3);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+127798, int_stack+19780, int_stack+19360, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+116584, int_stack+20368, int_stack+19780, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+110788, int_stack+116584, int_stack+127798, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+127798, int_stack+21152, int_stack+20368, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+35760, int_stack+127798, int_stack+116584, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+35760, int_stack+110788, 28);
 /*--- compute (hp|[r12,T1]|gf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+213748, int_stack+16200, int_stack+113434, int_stack+88324, int_stack+92524, int_stack+85174, 4, 3);
 /*--- compute (gd|[r12,T1]|gf) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+223198, int_stack+213748, int_stack+9450, int_stack+118348, int_stack+0, int_stack+67054, 4, 3);
 /*--- compute (k0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22700, int_stack+22160, 36);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+23456, int_stack+22700, 36);
 /*--- compute (k0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+1620, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+24464, int_stack+23456, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10152, int_stack+7128, int_stack+1620, 36);
 /*--- compute (k0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+110788, int_stack+10152, int_stack+3888, 36);
 /*--- compute (ip|[r12,T1]|gf) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+110788, int_stack+16200, int_stack+77044, int_stack+40464, int_stack+88324, 4, 3);
 /*--- compute (hd|[r12,T1]|gf) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+59574, int_stack+0, int_stack+213748, int_stack+182248, int_stack+46344, int_stack+118348, 4, 3);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+182248, int_stack+25985, int_stack+25760, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+182923, int_stack+26300, int_stack+25985, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+183868, int_stack+182923, int_stack+182248, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+185218, int_stack+26720, int_stack+26300, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+186478, int_stack+185218, int_stack+182923, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+188368, int_stack+186478, int_stack+183868, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+182248, int_stack+27575, int_stack+27260, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+183193, int_stack+28016, int_stack+27575, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+184516, int_stack+183193, int_stack+182248, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+186406, int_stack+28604, int_stack+28016, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+190618, int_stack+186406, int_stack+183193, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+213748, int_stack+190618, int_stack+184516, 21);
 /*--- compute (gp||gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+213748, int_stack+188368, 150);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+182248, int_stack+29780, int_stack+29360, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+183508, int_stack+30368, int_stack+29780, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+185272, int_stack+183508, int_stack+182248, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+187792, int_stack+31152, int_stack+30368, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+190144, int_stack+187792, int_stack+183508, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+216898, int_stack+190144, int_stack+185272, 28);
 /*--- compute (hp||gf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+182248, int_stack+216898, int_stack+213748, 150);
 /*--- compute (gd||gf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+6750, int_stack+182248, int_stack+0, 150);
 /*--- compute (k0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32700, int_stack+32160, 36);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+33456, int_stack+32700, 36);
 /*--- compute (k0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+20250, int_stack+1620, int_stack+0, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+213748, int_stack+34464, int_stack+33456, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+23490, int_stack+213748, int_stack+1620, 36);
 /*--- compute (k0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23490, int_stack+20250, 36);
 /*--- compute (ip||gf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+20250, int_stack+0, int_stack+216898, 150);
 /*--- compute (hd||gf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+32850, int_stack+20250, int_stack+182248, 150);
 /*--- compute (gf|[r12,T2]|gf) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+236698, int_stack+130948, int_stack+97288, 150);
     Libr12->te_ptr[3] = int_stack + 236698;
 /*--- compute (gf|[r12,T1]|gf) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+78474, int_stack+59574, int_stack+223198, int_stack+194848, int_stack+163348, int_stack+149848, 4, 3);
     Libr12->te_ptr[2] = int_stack + 78474;
 /*--- compute (gf||gf) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+163348, int_stack+32850, int_stack+6750, 150);
     Libr12->te_ptr[1] = int_stack + 163348;
 /*--- compute (gf|gf) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+194848, int_stack+149848, 150);
     Libr12->te_ptr[0] = int_stack + 0;

}
