#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpgf(Libr12_t *, prim_data *);

  /* Computes (gp|gf) integrals for linear R12-methods */

void hrr_grt_order_gpgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[4][7] = int_stack + 960;
 Libr12->gvrr_classes[6][4] = int_stack + 1500;
 Libr12->t2vrr_classes[5][4] = int_stack + 1920;
 Libr12->gvrr_classes[6][5] = int_stack + 2235;
 Libr12->t2vrr_classes[5][5] = int_stack + 2823;
 Libr12->gvrr_classes[6][6] = int_stack + 3264;
 Libr12->t2vrr_classes[5][6] = int_stack + 4048;
 Libr12->t2vrr_classes[5][7] = int_stack + 4636;
 Libr12->gvrr_classes[4][8] = int_stack + 5392;
 Libr12->t1vrr_classes[4][4] = int_stack + 6067;
 Libr12->t1vrr_classes[4][5] = int_stack + 6292;
 Libr12->t1vrr_classes[4][6] = int_stack + 6607;
 Libr12->t1vrr_classes[4][7] = int_stack + 7027;
 Libr12->t1vrr_classes[5][4] = int_stack + 7567;
 Libr12->t1vrr_classes[5][5] = int_stack + 7882;
 Libr12->t1vrr_classes[5][6] = int_stack + 8323;
 Libr12->t1vrr_classes[5][7] = int_stack + 8911;
 Libr12->rvrr_classes[4][4] = int_stack + 9667;
 Libr12->rvrr_classes[4][5] = int_stack + 9892;
 Libr12->rvrr_classes[4][6] = int_stack + 10207;
 Libr12->rvrr_classes[4][7] = int_stack + 10627;
 Libr12->rvrr_classes[5][4] = int_stack + 11167;
 Libr12->rvrr_classes[5][5] = int_stack + 11482;
 Libr12->rvrr_classes[5][6] = int_stack + 11923;
 Libr12->rvrr_classes[5][7] = int_stack + 12511;
 Libr12->gvrr_classes[4][4] = int_stack + 13267;
 Libr12->gvrr_classes[4][5] = int_stack + 13492;
 Libr12->gvrr_classes[4][6] = int_stack + 13807;
 Libr12->gvrr_classes[4][7] = int_stack + 14227;
 Libr12->gvrr_classes[5][4] = int_stack + 14767;
 Libr12->gvrr_classes[5][5] = int_stack + 15082;
 Libr12->gvrr_classes[5][6] = int_stack + 15523;
 Libr12->gvrr_classes[5][7] = int_stack + 16111;
 memset(int_stack,0,16867*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 16867;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpgf(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+16867, int_stack+13492, int_stack+13267, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17542, int_stack+13807, int_stack+13492, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+18487, int_stack+17542, int_stack+16867, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+19837, int_stack+15082, int_stack+14767, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20782, int_stack+15523, int_stack+15082, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+22105, int_stack+20782, int_stack+19837, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23995, int_stack+14227, int_stack+13807, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+25255, int_stack+23995, int_stack+17542, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27145, int_stack+225, int_stack+0, int_stack+13492, int_stack+14767, int_stack+13267, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27820, int_stack+540, int_stack+225, int_stack+13807, int_stack+15082, int_stack+13492, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28765, int_stack+27820, int_stack+27145, int_stack+17542, int_stack+19837, int_stack+16867, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30115, int_stack+960, int_stack+540, int_stack+14227, int_stack+15523, int_stack+13807, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31375, int_stack+30115, int_stack+27820, int_stack+23995, int_stack+20782, int_stack+17542, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33265, int_stack+31375, int_stack+28765, int_stack+25255, int_stack+22105, int_stack+18487, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+16867, int_stack+2235, int_stack+1500, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+27145, int_stack+3264, int_stack+2235, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+28909, int_stack+27145, int_stack+16867, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31429, int_stack+16111, int_stack+15523, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+35515, int_stack+31429, int_stack+20782, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13267, int_stack+2823, int_stack+1920, int_stack+15082, int_stack+1500, int_stack+14767, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4048, int_stack+2823, int_stack+15523, int_stack+2235, int_stack+15082, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1323, int_stack+0, int_stack+13267, int_stack+20782, int_stack+16867, int_stack+19837, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38161, int_stack+4636, int_stack+4048, int_stack+16111, int_stack+3264, int_stack+15523, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14767, int_stack+38161, int_stack+0, int_stack+31429, int_stack+27145, int_stack+20782, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38161, int_stack+14767, int_stack+1323, int_stack+35515, int_stack+28909, int_stack+22105, 5, 0);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+14767, int_stack+25255, int_stack+18487, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17017, int_stack+5392, int_stack+14227, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18637, int_stack+17017, int_stack+23995, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+27145, int_stack+18637, int_stack+25255, 15);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+23995, int_stack+35515, int_stack+22105, 21);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+35515, int_stack+6292, int_stack+6067, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+36190, int_stack+6607, int_stack+6292, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+17017, int_stack+36190, int_stack+35515, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18367, int_stack+7027, int_stack+6607, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+19627, int_stack+18367, int_stack+36190, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+35515, int_stack+19627, int_stack+17017, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+17017, int_stack+7882, int_stack+7567, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17962, int_stack+8323, int_stack+7882, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+19285, int_stack+17962, int_stack+17017, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21175, int_stack+8911, int_stack+8323, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+30295, int_stack+21175, int_stack+17962, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+30295, int_stack+19285, 21);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+30295, int_stack+9892, int_stack+9667, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+30970, int_stack+10207, int_stack+9892, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+31915, int_stack+30970, int_stack+30295, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17017, int_stack+10627, int_stack+10207, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+18277, int_stack+17017, int_stack+30970, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+20167, int_stack+18277, int_stack+31915, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+17017, int_stack+11482, int_stack+11167, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17962, int_stack+11923, int_stack+11482, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+30295, int_stack+17962, int_stack+17017, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+12511, int_stack+11923, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4914, int_stack+3150, int_stack+17962, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+17017, int_stack+4914, int_stack+30295, 21);
 /*--- compute (gp|[r12,T2]|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+3150, int_stack+38161, int_stack+33265, 150);
     Libr12->te_ptr[3] = int_stack + 3150;
 /*--- compute (gp|[r12,T1]|gf) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+37765, int_stack+0, int_stack+35515, int_stack+23995, int_stack+27145, int_stack+14767, 4, 3);
     Libr12->te_ptr[2] = int_stack + 37765;
 /*--- compute (gp||gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+27145, int_stack+17017, int_stack+20167, 150);
     Libr12->te_ptr[1] = int_stack + 27145;
 /*--- compute (gp|gf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+17017, int_stack+23995, int_stack+14767, 150);
     Libr12->te_ptr[0] = int_stack + 17017;

}
