#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gphh(Libr12_t *, prim_data *);

  /* Computes (gp|hh) integrals for linear R12-methods */

void hrr_grt_order_gphh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->t2vrr_classes[4][9] = int_stack + 1950;
 Libr12->t2vrr_classes[4][10] = int_stack + 2775;
 Libr12->gvrr_classes[6][5] = int_stack + 3765;
 Libr12->t2vrr_classes[5][5] = int_stack + 4353;
 Libr12->gvrr_classes[6][6] = int_stack + 4794;
 Libr12->t2vrr_classes[5][6] = int_stack + 5578;
 Libr12->gvrr_classes[6][7] = int_stack + 6166;
 Libr12->t2vrr_classes[5][7] = int_stack + 7174;
 Libr12->gvrr_classes[6][8] = int_stack + 7930;
 Libr12->t2vrr_classes[5][8] = int_stack + 9190;
 Libr12->gvrr_classes[6][9] = int_stack + 10135;
 Libr12->t2vrr_classes[5][9] = int_stack + 11675;
 Libr12->t2vrr_classes[5][10] = int_stack + 12830;
 Libr12->gvrr_classes[4][11] = int_stack + 14216;
 Libr12->t1vrr_classes[4][5] = int_stack + 15386;
 Libr12->t1vrr_classes[4][6] = int_stack + 15701;
 Libr12->t1vrr_classes[4][7] = int_stack + 16121;
 Libr12->t1vrr_classes[4][8] = int_stack + 16661;
 Libr12->t1vrr_classes[4][9] = int_stack + 17336;
 Libr12->t1vrr_classes[4][10] = int_stack + 18161;
 Libr12->t1vrr_classes[5][5] = int_stack + 19151;
 Libr12->t1vrr_classes[5][6] = int_stack + 19592;
 Libr12->t1vrr_classes[5][7] = int_stack + 20180;
 Libr12->t1vrr_classes[5][8] = int_stack + 20936;
 Libr12->t1vrr_classes[5][9] = int_stack + 21881;
 Libr12->t1vrr_classes[5][10] = int_stack + 23036;
 Libr12->rvrr_classes[4][5] = int_stack + 24422;
 Libr12->rvrr_classes[4][6] = int_stack + 24737;
 Libr12->rvrr_classes[4][7] = int_stack + 25157;
 Libr12->rvrr_classes[4][8] = int_stack + 25697;
 Libr12->rvrr_classes[4][9] = int_stack + 26372;
 Libr12->rvrr_classes[4][10] = int_stack + 27197;
 Libr12->rvrr_classes[5][5] = int_stack + 28187;
 Libr12->rvrr_classes[5][6] = int_stack + 28628;
 Libr12->rvrr_classes[5][7] = int_stack + 29216;
 Libr12->rvrr_classes[5][8] = int_stack + 29972;
 Libr12->rvrr_classes[5][9] = int_stack + 30917;
 Libr12->rvrr_classes[5][10] = int_stack + 32072;
 Libr12->gvrr_classes[4][5] = int_stack + 33458;
 Libr12->gvrr_classes[4][6] = int_stack + 33773;
 Libr12->gvrr_classes[4][7] = int_stack + 34193;
 Libr12->gvrr_classes[4][8] = int_stack + 34733;
 Libr12->gvrr_classes[4][9] = int_stack + 35408;
 Libr12->gvrr_classes[4][10] = int_stack + 36233;
 Libr12->gvrr_classes[5][5] = int_stack + 37223;
 Libr12->gvrr_classes[5][6] = int_stack + 37664;
 Libr12->gvrr_classes[5][7] = int_stack + 38252;
 Libr12->gvrr_classes[5][8] = int_stack + 39008;
 Libr12->gvrr_classes[5][9] = int_stack + 39953;
 Libr12->gvrr_classes[5][10] = int_stack + 41108;
 memset(int_stack,0,42494*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 42494;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gphh(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+42494, int_stack+33773, int_stack+33458, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43439, int_stack+34193, int_stack+33773, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+44699, int_stack+43439, int_stack+42494, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+46589, int_stack+34733, int_stack+34193, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48209, int_stack+46589, int_stack+43439, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+50729, int_stack+48209, int_stack+44699, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+53879, int_stack+35408, int_stack+34733, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+55904, int_stack+53879, int_stack+46589, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+59144, int_stack+55904, int_stack+48209, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+63344, int_stack+59144, int_stack+50729, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+68069, int_stack+37664, int_stack+37223, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+69392, int_stack+38252, int_stack+37664, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+71156, int_stack+69392, int_stack+68069, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+73802, int_stack+39008, int_stack+38252, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+76070, int_stack+73802, int_stack+69392, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+79598, int_stack+76070, int_stack+71156, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+84008, int_stack+39953, int_stack+39008, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+86843, int_stack+84008, int_stack+73802, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+91379, int_stack+86843, int_stack+76070, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+97259, int_stack+91379, int_stack+79598, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+103874, int_stack+36233, int_stack+35408, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+106349, int_stack+103874, int_stack+53879, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+110399, int_stack+106349, int_stack+55904, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+115799, int_stack+110399, int_stack+59144, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122099, int_stack+315, int_stack+0, int_stack+33773, int_stack+37223, int_stack+33458, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123044, int_stack+735, int_stack+315, int_stack+34193, int_stack+37664, int_stack+33773, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124304, int_stack+123044, int_stack+122099, int_stack+43439, int_stack+68069, int_stack+42494, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+126194, int_stack+1275, int_stack+735, int_stack+34733, int_stack+38252, int_stack+34193, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127814, int_stack+126194, int_stack+123044, int_stack+46589, int_stack+69392, int_stack+43439, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130334, int_stack+127814, int_stack+124304, int_stack+48209, int_stack+71156, int_stack+44699, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42494, int_stack+1950, int_stack+1275, int_stack+35408, int_stack+39008, int_stack+34733, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122099, int_stack+42494, int_stack+126194, int_stack+53879, int_stack+73802, int_stack+46589, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133484, int_stack+122099, int_stack+127814, int_stack+55904, int_stack+76070, int_stack+48209, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44519, int_stack+133484, int_stack+130334, int_stack+59144, int_stack+79598, int_stack+50729, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49244, int_stack+2775, int_stack+1950, int_stack+36233, int_stack+39953, int_stack+35408, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125339, int_stack+49244, int_stack+42494, int_stack+103874, int_stack+84008, int_stack+53879, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49244, int_stack+125339, int_stack+122099, int_stack+106349, int_stack+86843, int_stack+55904, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122099, int_stack+49244, int_stack+133484, int_stack+110399, int_stack+91379, int_stack+59144, 4, 0);
 /*--- compute (g0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49244, int_stack+122099, int_stack+44519, int_stack+115799, int_stack+97259, int_stack+63344, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+122099, int_stack+4794, int_stack+3765, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+123863, int_stack+6166, int_stack+4794, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+126215, int_stack+123863, int_stack+122099, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+129743, int_stack+7930, int_stack+6166, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+132767, int_stack+129743, int_stack+123863, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+55859, int_stack+132767, int_stack+126215, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42494, int_stack+10135, int_stack+7930, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+137471, int_stack+42494, int_stack+129743, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+143519, int_stack+137471, int_stack+132767, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+151359, int_stack+143519, int_stack+55859, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+41108, int_stack+39953, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+160179, int_stack+0, int_stack+84008, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+165849, int_stack+160179, int_stack+86843, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+173409, int_stack+165849, int_stack+91379, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+61739, int_stack+5578, int_stack+4353, int_stack+37664, int_stack+3765, int_stack+37223, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46274, int_stack+7174, int_stack+5578, int_stack+38252, int_stack+4794, int_stack+37664, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33458, int_stack+46274, int_stack+61739, int_stack+69392, int_stack+122099, int_stack+68069, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3465, int_stack+9190, int_stack+7174, int_stack+39008, int_stack+6166, int_stack+38252, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182229, int_stack+3465, int_stack+46274, int_stack+73802, int_stack+123863, int_stack+69392, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+185757, int_stack+182229, int_stack+33458, int_stack+76070, int_stack+126215, int_stack+71156, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46274, int_stack+11675, int_stack+9190, int_stack+39953, int_stack+7930, int_stack+39008, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68069, int_stack+46274, int_stack+3465, int_stack+84008, int_stack+129743, int_stack+73802, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3465, int_stack+68069, int_stack+182229, int_stack+86843, int_stack+132767, int_stack+76070, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72605, int_stack+3465, int_stack+185757, int_stack+91379, int_stack+55859, int_stack+79598, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55859, int_stack+12830, int_stack+11675, int_stack+41108, int_stack+10135, int_stack+39953, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182229, int_stack+55859, int_stack+46274, int_stack+0, int_stack+42494, int_stack+84008, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79220, int_stack+182229, int_stack+68069, int_stack+160179, int_stack+137471, int_stack+86843, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122099, int_stack+79220, int_stack+3465, int_stack+165849, int_stack+143519, int_stack+91379, 5, 0);
 /*--- compute (h0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79220, int_stack+122099, int_stack+72605, int_stack+173409, int_stack+151359, int_stack+97259, 5, 0);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+122099, int_stack+115799, int_stack+63344, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+14216, int_stack+36233, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+131684, int_stack+128714, int_stack+103874, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+136634, int_stack+131684, int_stack+106349, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+143384, int_stack+136634, int_stack+110399, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+103874, int_stack+143384, int_stack+115799, 15);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+112694, int_stack+173409, int_stack+97259, 21);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+15701, int_stack+15386, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+129659, int_stack+16121, int_stack+15701, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+130919, int_stack+129659, int_stack+128714, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+132809, int_stack+16661, int_stack+16121, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134429, int_stack+132809, int_stack+129659, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+136949, int_stack+134429, int_stack+130919, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+17336, int_stack+16661, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+140099, int_stack+128714, int_stack+132809, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+143339, int_stack+140099, int_stack+134429, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+130739, int_stack+143339, int_stack+136949, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+135464, int_stack+18161, int_stack+17336, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+147539, int_stack+135464, int_stack+128714, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+151589, int_stack+147539, int_stack+140099, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+135464, int_stack+151589, int_stack+143339, 15);
 /*--- compute (g0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+141764, int_stack+135464, int_stack+130739, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+19592, int_stack+19151, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+130037, int_stack+20180, int_stack+19592, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+131801, int_stack+130037, int_stack+128714, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+134447, int_stack+20936, int_stack+20180, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+136715, int_stack+134447, int_stack+130037, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+136715, int_stack+131801, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+21881, int_stack+20936, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+152789, int_stack+128714, int_stack+134447, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+157325, int_stack+152789, int_stack+136715, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+131549, int_stack+157325, int_stack+148379, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+23036, int_stack+21881, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+163205, int_stack+148379, int_stack+128714, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+168875, int_stack+163205, int_stack+152789, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+168875, int_stack+157325, 21);
 /*--- compute (h0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+157199, int_stack+148379, int_stack+131549, 21);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+24737, int_stack+24422, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+149324, int_stack+25157, int_stack+24737, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+150584, int_stack+149324, int_stack+148379, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+152474, int_stack+25697, int_stack+25157, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+154094, int_stack+152474, int_stack+149324, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+154094, int_stack+150584, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+26372, int_stack+25697, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+131864, int_stack+148379, int_stack+152474, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+135104, int_stack+131864, int_stack+154094, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+150404, int_stack+135104, int_stack+128714, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+27197, int_stack+26372, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+166460, int_stack+128714, int_stack+148379, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+170510, int_stack+166460, int_stack+131864, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+170510, int_stack+135104, 15);
 /*--- compute (g0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+166460, int_stack+128714, int_stack+150404, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+28628, int_stack+28187, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+130037, int_stack+29216, int_stack+28628, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+131801, int_stack+130037, int_stack+128714, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+134447, int_stack+29972, int_stack+29216, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+136715, int_stack+134447, int_stack+130037, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+173075, int_stack+136715, int_stack+131801, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+128714, int_stack+30917, int_stack+29972, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+177485, int_stack+128714, int_stack+134447, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+182021, int_stack+177485, int_stack+136715, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+131549, int_stack+182021, int_stack+173075, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+173075, int_stack+32072, int_stack+30917, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+173075, int_stack+128714, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+88481, int_stack+148379, int_stack+177485, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+148379, int_stack+88481, int_stack+182021, 21);
 /*--- compute (h0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+88481, int_stack+148379, int_stack+131549, 21);
 /*--- compute (gp|[r12,T2]|hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+79220, int_stack+49244, 441);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (gp|[r12,T1]|hh) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+19845, int_stack+157199, int_stack+141764, int_stack+112694, int_stack+103874, int_stack+122099, 5, 5);
     Libr12->te_ptr[2] = int_stack + 19845;
 /*--- compute (gp||hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+128714, int_stack+88481, int_stack+166460, 441);
     Libr12->te_ptr[1] = int_stack + 128714;
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+148559, int_stack+112694, int_stack+122099, 441);
     Libr12->te_ptr[0] = int_stack + 148559;

}
