#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hphf(Libr12_t *, prim_data *);

  /* Computes (hp|hf) integrals for linear R12-methods */

void hrr_grt_order_hphf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->t2vrr_classes[5][7] = int_stack + 1029;
 Libr12->t2vrr_classes[5][8] = int_stack + 1785;
 Libr12->gvrr_classes[7][5] = int_stack + 2730;
 Libr12->t2vrr_classes[6][5] = int_stack + 3486;
 Libr12->gvrr_classes[7][6] = int_stack + 4074;
 Libr12->t2vrr_classes[6][6] = int_stack + 5082;
 Libr12->gvrr_classes[7][7] = int_stack + 5866;
 Libr12->t2vrr_classes[6][7] = int_stack + 7162;
 Libr12->t2vrr_classes[6][8] = int_stack + 8170;
 Libr12->gvrr_classes[5][9] = int_stack + 9430;
 Libr12->t1vrr_classes[5][5] = int_stack + 10585;
 Libr12->t1vrr_classes[5][6] = int_stack + 11026;
 Libr12->t1vrr_classes[5][7] = int_stack + 11614;
 Libr12->t1vrr_classes[5][8] = int_stack + 12370;
 Libr12->t1vrr_classes[6][5] = int_stack + 13315;
 Libr12->t1vrr_classes[6][6] = int_stack + 13903;
 Libr12->t1vrr_classes[6][7] = int_stack + 14687;
 Libr12->t1vrr_classes[6][8] = int_stack + 15695;
 Libr12->rvrr_classes[5][5] = int_stack + 16955;
 Libr12->rvrr_classes[5][6] = int_stack + 17396;
 Libr12->rvrr_classes[5][7] = int_stack + 17984;
 Libr12->rvrr_classes[5][8] = int_stack + 18740;
 Libr12->rvrr_classes[6][5] = int_stack + 19685;
 Libr12->rvrr_classes[6][6] = int_stack + 20273;
 Libr12->rvrr_classes[6][7] = int_stack + 21057;
 Libr12->rvrr_classes[6][8] = int_stack + 22065;
 Libr12->gvrr_classes[5][5] = int_stack + 23325;
 Libr12->gvrr_classes[5][6] = int_stack + 23766;
 Libr12->gvrr_classes[5][7] = int_stack + 24354;
 Libr12->gvrr_classes[5][8] = int_stack + 25110;
 Libr12->gvrr_classes[6][5] = int_stack + 26055;
 Libr12->gvrr_classes[6][6] = int_stack + 26643;
 Libr12->gvrr_classes[6][7] = int_stack + 27427;
 Libr12->gvrr_classes[6][8] = int_stack + 28435;
 memset(int_stack,0,29695*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 29695;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hphf(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+29695, int_stack+23766, int_stack+23325, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31018, int_stack+24354, int_stack+23766, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+32782, int_stack+31018, int_stack+29695, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35428, int_stack+26643, int_stack+26055, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37192, int_stack+27427, int_stack+26643, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+39544, int_stack+37192, int_stack+35428, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43072, int_stack+25110, int_stack+24354, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+45340, int_stack+43072, int_stack+31018, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48868, int_stack+441, int_stack+0, int_stack+23766, int_stack+26055, int_stack+23325, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50191, int_stack+1029, int_stack+441, int_stack+24354, int_stack+26643, int_stack+23766, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51955, int_stack+50191, int_stack+48868, int_stack+31018, int_stack+35428, int_stack+29695, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54601, int_stack+1785, int_stack+1029, int_stack+25110, int_stack+27427, int_stack+24354, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56869, int_stack+54601, int_stack+50191, int_stack+43072, int_stack+37192, int_stack+31018, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60397, int_stack+56869, int_stack+51955, int_stack+45340, int_stack+39544, int_stack+32782, 5, 0);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+29695, int_stack+4074, int_stack+2730, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48868, int_stack+5866, int_stack+4074, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+51892, int_stack+48868, int_stack+29695, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56428, int_stack+28435, int_stack+27427, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+64807, int_stack+56428, int_stack+37192, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23325, int_stack+5082, int_stack+3486, int_stack+26643, int_stack+2730, int_stack+26055, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7162, int_stack+5082, int_stack+27427, int_stack+4074, int_stack+26643, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69511, int_stack+0, int_stack+23325, int_stack+37192, int_stack+29695, int_stack+35428, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29695, int_stack+8170, int_stack+7162, int_stack+28435, int_stack+5866, int_stack+27427, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2352, int_stack+29695, int_stack+0, int_stack+56428, int_stack+48868, int_stack+37192, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26055, int_stack+2352, int_stack+69511, int_stack+64807, int_stack+51892, int_stack+39544, 6, 0);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+69511, int_stack+45340, int_stack+32782, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+48868, int_stack+9430, int_stack+25110, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+51703, int_stack+48868, int_stack+43072, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+51703, int_stack+45340, 21);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+43072, int_stack+64807, int_stack+39544, 28);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+64807, int_stack+11026, int_stack+10585, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+66130, int_stack+11614, int_stack+11026, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48952, int_stack+66130, int_stack+64807, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+51598, int_stack+12370, int_stack+11614, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+53866, int_stack+51598, int_stack+66130, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+64807, int_stack+53866, int_stack+48952, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48952, int_stack+13903, int_stack+13315, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50716, int_stack+14687, int_stack+13903, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+53068, int_stack+50716, int_stack+48952, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56596, int_stack+15695, int_stack+14687, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+56596, int_stack+50716, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+10584, int_stack+5880, int_stack+53068, 28);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+17396, int_stack+16955, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7203, int_stack+17984, int_stack+17396, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+48952, int_stack+7203, int_stack+5880, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+51598, int_stack+18740, int_stack+17984, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+53866, int_stack+51598, int_stack+7203, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+53866, int_stack+48952, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48952, int_stack+20273, int_stack+19685, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50716, int_stack+21057, int_stack+20273, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+53068, int_stack+50716, int_stack+48952, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56596, int_stack+22065, int_stack+21057, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+56596, int_stack+50716, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+31935, int_stack+16464, int_stack+53068, 28);
 /*--- compute (hp|[r12,T2]|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+73921, int_stack+26055, int_stack+60397, 210);
     Libr12->te_ptr[3] = int_stack + 73921;
 /*--- compute (hp|[r12,T1]|hf) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+16464, int_stack+10584, int_stack+64807, int_stack+43072, int_stack+0, int_stack+69511, 5, 3);
     Libr12->te_ptr[2] = int_stack + 16464;
 /*--- compute (hp||hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+48952, int_stack+31935, int_stack+5880, 210);
     Libr12->te_ptr[1] = int_stack + 48952;
 /*--- compute (hp|hf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+43072, int_stack+69511, 210);
     Libr12->te_ptr[0] = int_stack + 0;

}
