#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppgp(Libr12_t *, prim_data *);

  /* Computes (pp|gp) integrals for linear R12-methods */

void hrr_grt_order_ppgp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][4] = int_stack + 0;
 Libr12->t2vrr_classes[1][5] = int_stack + 45;
 Libr12->gvrr_classes[3][4] = int_stack + 108;
 Libr12->t2vrr_classes[2][4] = int_stack + 258;
 Libr12->t2vrr_classes[2][5] = int_stack + 348;
 Libr12->gvrr_classes[1][6] = int_stack + 474;
 Libr12->t1vrr_classes[1][4] = int_stack + 558;
 Libr12->t1vrr_classes[1][5] = int_stack + 603;
 Libr12->t1vrr_classes[2][4] = int_stack + 666;
 Libr12->t1vrr_classes[2][5] = int_stack + 756;
 Libr12->rvrr_classes[1][4] = int_stack + 882;
 Libr12->rvrr_classes[1][5] = int_stack + 927;
 Libr12->rvrr_classes[2][4] = int_stack + 990;
 Libr12->rvrr_classes[2][5] = int_stack + 1080;
 Libr12->gvrr_classes[1][4] = int_stack + 1206;
 Libr12->gvrr_classes[1][5] = int_stack + 1251;
 Libr12->gvrr_classes[2][4] = int_stack + 1314;
 Libr12->gvrr_classes[2][5] = int_stack + 1404;
 memset(int_stack,0,1530*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1530;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppgp(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1530, int_stack+45, int_stack+0, int_stack+1251, int_stack+1314, int_stack+1206, 1, 0);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1665, int_stack+348, int_stack+258, int_stack+1404, int_stack+108, int_stack+1314, 2, 0);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1251, int_stack+1206, 3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+135, int_stack+474, int_stack+1251, 3);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1935, int_stack+1404, int_stack+1314, 6);
 /*--- compute (p0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1206, int_stack+603, int_stack+558, 3);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+324, int_stack+756, int_stack+666, 6);
 /*--- compute (p0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1341, int_stack+927, int_stack+882, 3);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+594, int_stack+1080, int_stack+990, 6);
 /*--- compute (pp|[r12,T2]|gp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+2205, int_stack+1665, int_stack+1530, 45);
     Libr12->te_ptr[3] = int_stack + 2205;
 /*--- compute (pp|[r12,T1]|gp) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1476, int_stack+324, int_stack+1206, int_stack+1935, int_stack+135, int_stack+0, 4, 1);
     Libr12->te_ptr[2] = int_stack + 1476;
 /*--- compute (pp||gp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+135, int_stack+594, int_stack+1341, 45);
     Libr12->te_ptr[1] = int_stack + 135;
 /*--- compute (pp|gp) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+540, int_stack+1935, int_stack+0, 45);
     Libr12->te_ptr[0] = int_stack + 540;

}
