#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_pphg(Libr12_t *, prim_data *);

  /* Computes (pp|hg) integrals for linear R12-methods */

void hrr_grt_order_pphg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][5] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 63;
 Libr12->t2vrr_classes[1][7] = int_stack + 147;
 Libr12->t2vrr_classes[1][8] = int_stack + 255;
 Libr12->t2vrr_classes[1][9] = int_stack + 390;
 Libr12->gvrr_classes[3][5] = int_stack + 555;
 Libr12->t2vrr_classes[2][5] = int_stack + 765;
 Libr12->gvrr_classes[3][6] = int_stack + 891;
 Libr12->t2vrr_classes[2][6] = int_stack + 1171;
 Libr12->gvrr_classes[3][7] = int_stack + 1339;
 Libr12->t2vrr_classes[2][7] = int_stack + 1699;
 Libr12->gvrr_classes[3][8] = int_stack + 1915;
 Libr12->t2vrr_classes[2][8] = int_stack + 2365;
 Libr12->t2vrr_classes[2][9] = int_stack + 2635;
 Libr12->gvrr_classes[1][10] = int_stack + 2965;
 Libr12->t1vrr_classes[1][5] = int_stack + 3163;
 Libr12->t1vrr_classes[1][6] = int_stack + 3226;
 Libr12->t1vrr_classes[1][7] = int_stack + 3310;
 Libr12->t1vrr_classes[1][8] = int_stack + 3418;
 Libr12->t1vrr_classes[1][9] = int_stack + 3553;
 Libr12->t1vrr_classes[2][5] = int_stack + 3718;
 Libr12->t1vrr_classes[2][6] = int_stack + 3844;
 Libr12->t1vrr_classes[2][7] = int_stack + 4012;
 Libr12->t1vrr_classes[2][8] = int_stack + 4228;
 Libr12->t1vrr_classes[2][9] = int_stack + 4498;
 Libr12->rvrr_classes[1][5] = int_stack + 4828;
 Libr12->rvrr_classes[1][6] = int_stack + 4891;
 Libr12->rvrr_classes[1][7] = int_stack + 4975;
 Libr12->rvrr_classes[1][8] = int_stack + 5083;
 Libr12->rvrr_classes[1][9] = int_stack + 5218;
 Libr12->rvrr_classes[2][5] = int_stack + 5383;
 Libr12->rvrr_classes[2][6] = int_stack + 5509;
 Libr12->rvrr_classes[2][7] = int_stack + 5677;
 Libr12->rvrr_classes[2][8] = int_stack + 5893;
 Libr12->rvrr_classes[2][9] = int_stack + 6163;
 Libr12->gvrr_classes[1][5] = int_stack + 6493;
 Libr12->gvrr_classes[1][6] = int_stack + 6556;
 Libr12->gvrr_classes[1][7] = int_stack + 6640;
 Libr12->gvrr_classes[1][8] = int_stack + 6748;
 Libr12->gvrr_classes[1][9] = int_stack + 6883;
 Libr12->gvrr_classes[2][5] = int_stack + 7048;
 Libr12->gvrr_classes[2][6] = int_stack + 7174;
 Libr12->gvrr_classes[2][7] = int_stack + 7342;
 Libr12->gvrr_classes[2][8] = int_stack + 7558;
 Libr12->gvrr_classes[2][9] = int_stack + 7828;
 memset(int_stack,0,8158*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8158;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_pphg(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8158, int_stack+6556, int_stack+6493, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8347, int_stack+6640, int_stack+6556, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+8599, int_stack+8347, int_stack+8158, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8977, int_stack+6748, int_stack+6640, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9301, int_stack+8977, int_stack+8347, 3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+9805, int_stack+9301, int_stack+8599, 3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10435, int_stack+7174, int_stack+7048, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10813, int_stack+7342, int_stack+7174, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11317, int_stack+10813, int_stack+10435, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12073, int_stack+7558, int_stack+7342, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12721, int_stack+12073, int_stack+10813, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+13729, int_stack+12721, int_stack+11317, 6);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+14989, int_stack+6883, int_stack+6748, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15394, int_stack+14989, int_stack+8977, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+16042, int_stack+15394, int_stack+9301, 3);
 /*--- compute (p0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16882, int_stack+63, int_stack+0, int_stack+6556, int_stack+7048, int_stack+6493, 1, 0);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17071, int_stack+147, int_stack+63, int_stack+6640, int_stack+7174, int_stack+6556, 1, 0);
 /*--- compute (p0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17323, int_stack+17071, int_stack+16882, int_stack+8347, int_stack+10435, int_stack+8158, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17701, int_stack+255, int_stack+147, int_stack+6748, int_stack+7342, int_stack+6640, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18025, int_stack+17701, int_stack+17071, int_stack+8977, int_stack+10813, int_stack+8347, 1, 0);
 /*--- compute (p0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18529, int_stack+18025, int_stack+17323, int_stack+9301, int_stack+11317, int_stack+8599, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8158, int_stack+390, int_stack+255, int_stack+6883, int_stack+7558, int_stack+6748, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16882, int_stack+8158, int_stack+17701, int_stack+14989, int_stack+12073, int_stack+8977, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8158, int_stack+16882, int_stack+18025, int_stack+15394, int_stack+12721, int_stack+9301, 1, 0);
 /*--- compute (p0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16882, int_stack+8158, int_stack+18529, int_stack+16042, int_stack+13729, int_stack+9805, 1, 0);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8158, int_stack+891, int_stack+555, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8788, int_stack+1339, int_stack+891, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17827, int_stack+8788, int_stack+8158, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19087, int_stack+1915, int_stack+1339, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+20167, int_stack+19087, int_stack+8788, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+21847, int_stack+20167, int_stack+17827, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23947, int_stack+7828, int_stack+7558, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24757, int_stack+23947, int_stack+12073, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+26053, int_stack+24757, int_stack+12721, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6493, int_stack+1171, int_stack+765, int_stack+7174, int_stack+555, int_stack+7048, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1699, int_stack+1171, int_stack+7342, int_stack+891, int_stack+7174, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+504, int_stack+0, int_stack+6493, int_stack+10813, int_stack+8158, int_stack+10435, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27733, int_stack+2365, int_stack+1699, int_stack+7558, int_stack+1339, int_stack+7342, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28381, int_stack+27733, int_stack+0, int_stack+12073, int_stack+8788, int_stack+10813, 2, 0);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8158, int_stack+28381, int_stack+504, int_stack+12721, int_stack+17827, int_stack+11317, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17827, int_stack+2635, int_stack+2365, int_stack+7828, int_stack+1915, int_stack+7558, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+17827, int_stack+27733, int_stack+23947, int_stack+19087, int_stack+12073, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17827, int_stack+0, int_stack+28381, int_stack+24757, int_stack+20167, int_stack+12721, 2, 0);
 /*--- compute (d0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+17827, int_stack+8158, int_stack+26053, int_stack+21847, int_stack+13729, 2, 0);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+17827, int_stack+16042, int_stack+9805, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+18772, int_stack+2965, int_stack+6883, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+19267, int_stack+18772, int_stack+14989, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20077, int_stack+19267, int_stack+15394, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+18772, int_stack+20077, int_stack+16042, 3);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+14989, int_stack+26053, int_stack+13729, 6);
 /*--- compute (p0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20032, int_stack+3226, int_stack+3163, 3);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20221, int_stack+3310, int_stack+3226, 3);
 /*--- compute (p0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+20473, int_stack+20221, int_stack+20032, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20851, int_stack+3418, int_stack+3310, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21175, int_stack+20851, int_stack+20221, 3);
 /*--- compute (p0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+21679, int_stack+21175, int_stack+20473, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+20032, int_stack+3553, int_stack+3418, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22309, int_stack+20032, int_stack+20851, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+20032, int_stack+22309, int_stack+21175, 3);
 /*--- compute (p0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+22309, int_stack+20032, int_stack+21679, 3);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20032, int_stack+3844, int_stack+3718, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20410, int_stack+4012, int_stack+3844, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+20914, int_stack+20410, int_stack+20032, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+4228, int_stack+4012, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+23902, int_stack+23254, int_stack+20410, 6);
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+24910, int_stack+23902, int_stack+20914, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+20032, int_stack+4498, int_stack+4228, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+20842, int_stack+20032, int_stack+23254, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+26170, int_stack+20842, int_stack+23902, 6);
 /*--- compute (d0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+20032, int_stack+26170, int_stack+24910, 6);
 /*--- compute (p0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+4891, int_stack+4828, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23443, int_stack+4975, int_stack+4891, 3);
 /*--- compute (p0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+23695, int_stack+23443, int_stack+23254, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24073, int_stack+5083, int_stack+4975, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24397, int_stack+24073, int_stack+23443, 3);
 /*--- compute (p0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+24901, int_stack+24397, int_stack+23695, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+5218, int_stack+5083, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25531, int_stack+23254, int_stack+24073, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+25531, int_stack+24397, 3);
 /*--- compute (p0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+25531, int_stack+23254, int_stack+24901, 3);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+5509, int_stack+5383, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23632, int_stack+5677, int_stack+5509, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+24136, int_stack+23632, int_stack+23254, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26476, int_stack+5893, int_stack+5677, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27124, int_stack+26476, int_stack+23632, 6);
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+28132, int_stack+27124, int_stack+24136, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+6163, int_stack+5893, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24064, int_stack+23254, int_stack+26476, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1890, int_stack+24064, int_stack+27124, 6);
 /*--- compute (d0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+23254, int_stack+1890, int_stack+28132, 6);
 /*--- compute (pp|[r12,T2]|hg) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+1890, int_stack+0, int_stack+16882, 315);
     Libr12->te_ptr[3] = int_stack + 1890;
 /*--- compute (pp|[r12,T1]|hg) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4725, int_stack+20032, int_stack+22309, int_stack+14989, int_stack+18772, int_stack+17827, 5, 4);
     Libr12->te_ptr[2] = int_stack + 4725;
 /*--- compute (pp||hg) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+18772, int_stack+23254, int_stack+25531, 315);
     Libr12->te_ptr[1] = int_stack + 18772;
 /*--- compute (pp|hg) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+21607, int_stack+14989, int_stack+17827, 315);
     Libr12->te_ptr[0] = int_stack + 21607;

}
