#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00p0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^0 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+0, Data->F+1, NULL, NULL, NULL);
 tmp = r12vrr_stack + 6;
 target_ptr = Libr12->gvrr_classes[0][1];
 for(i=0;i<3;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+9, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+1);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18, r12vrr_stack+6, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|[r12,T2]|p0)^0 ---*/
 _T2_BUILD_00p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3, r12vrr_stack+6, r12vrr_stack+18, r12vrr_stack+9, r12vrr_stack+0, Data->F+0);
 tmp = r12vrr_stack + 3;
 target_ptr = Libr12->t2vrr_classes[0][1];
 for(i=0;i<3;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|p0)^0 ---*/
 _T1_BUILD_00p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+6, r12vrr_stack+9, r12vrr_stack+18, NULL, NULL);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[0][1];
 for(i=0;i<3;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+9, &(Data->ss_r12_ss), NULL, r12vrr_stack+6, Data->F+0, NULL, NULL);
 tmp = r12vrr_stack + 9;
 target_ptr = Libr12->rvrr_classes[0][1];
 for(i=0;i<3;i++)
   target_ptr[i] += tmp[i];


}

