#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddfp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+2);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+111, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+114, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+123, r12vrr_stack+6, r12vrr_stack+114, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+111);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+141, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+144, r12vrr_stack+30, r12vrr_stack+141, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+150, r12vrr_stack+33, r12vrr_stack+144, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+39, r12vrr_stack+150, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+114);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+75, r12vrr_stack+168, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+123);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+33, r12vrr_stack+144, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+284, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+33);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+314, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+314, r12vrr_stack+274, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+354, r12vrr_stack+141, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+360, r12vrr_stack+144, r12vrr_stack+354, r12vrr_stack+30, r12vrr_stack+141, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+370, r12vrr_stack+264, r12vrr_stack+360, NULL, NULL, r12vrr_stack+144);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+400, r12vrr_stack+284, r12vrr_stack+370, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+150);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+324, r12vrr_stack+284, r12vrr_stack+314, r12vrr_stack+274, r12vrr_stack+39);
 tmp = r12vrr_stack + 460;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+520, r12vrr_stack+460, r12vrr_stack+400, r12vrr_stack+324, r12vrr_stack+284, r12vrr_stack+168);
 tmp = r12vrr_stack + 520;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+620, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+635, r12vrr_stack+314, r12vrr_stack+274, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+650, r12vrr_stack+264, r12vrr_stack+360, r12vrr_stack+33, r12vrr_stack+144, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+665, r12vrr_stack+620, r12vrr_stack+650, NULL, NULL, r12vrr_stack+264);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+635, r12vrr_stack+620, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+755, r12vrr_stack+710, r12vrr_stack+665, r12vrr_stack+635, r12vrr_stack+620, r12vrr_stack+284);
 tmp = r12vrr_stack + 755;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+845, r12vrr_stack+3, r12vrr_stack+15, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+851, r12vrr_stack+354, r12vrr_stack+845, r12vrr_stack+141, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+861, r12vrr_stack+360, r12vrr_stack+851, r12vrr_stack+144, r12vrr_stack+354, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+876, r12vrr_stack+650, r12vrr_stack+861, NULL, NULL, r12vrr_stack+360);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+921, r12vrr_stack+665, r12vrr_stack+876, r12vrr_stack+620, r12vrr_stack+650, r12vrr_stack+370);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1011, r12vrr_stack+755, r12vrr_stack+921, r12vrr_stack+710, r12vrr_stack+665, r12vrr_stack+400);
 tmp = r12vrr_stack + 1011;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1161, r12vrr_stack+620, r12vrr_stack+650, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+635, r12vrr_stack+620, r12vrr_stack+314, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1203, r12vrr_stack+650, r12vrr_stack+861, r12vrr_stack+264, r12vrr_stack+360, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1224, r12vrr_stack+1161, r12vrr_stack+1203, NULL, NULL, r12vrr_stack+650);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1287, r12vrr_stack+1182, r12vrr_stack+1161, NULL, NULL, r12vrr_stack+620);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1350, r12vrr_stack+1287, r12vrr_stack+1224, r12vrr_stack+1182, r12vrr_stack+1161, r12vrr_stack+665);
 tmp = r12vrr_stack + 1350;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+18, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+1182, r12vrr_stack+111, r12vrr_stack+18, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1188, r12vrr_stack+30, r12vrr_stack+141, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1476, r12vrr_stack+114, r12vrr_stack+1188, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+18);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1494, r12vrr_stack+123, r12vrr_stack+1476, r12vrr_stack+6, r12vrr_stack+114, r12vrr_stack+1182);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1524, r12vrr_stack+144, r12vrr_stack+354, NULL, NULL, r12vrr_stack+141);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1542, r12vrr_stack+150, r12vrr_stack+1524, r12vrr_stack+33, r12vrr_stack+144, r12vrr_stack+1188);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1578, r12vrr_stack+168, r12vrr_stack+1542, r12vrr_stack+39, r12vrr_stack+150, r12vrr_stack+1476);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1638, r12vrr_stack+204, r12vrr_stack+1578, r12vrr_stack+75, r12vrr_stack+168, r12vrr_stack+1494);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1728, r12vrr_stack+360, r12vrr_stack+851, NULL, NULL, r12vrr_stack+354);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1758, r12vrr_stack+370, r12vrr_stack+1728, r12vrr_stack+264, r12vrr_stack+360, r12vrr_stack+1524);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1818, r12vrr_stack+400, r12vrr_stack+1758, r12vrr_stack+284, r12vrr_stack+370, r12vrr_stack+1542);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1918, r12vrr_stack+520, r12vrr_stack+1818, r12vrr_stack+460, r12vrr_stack+400, r12vrr_stack+1578);
 tmp = r12vrr_stack + 1918;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1197, r12vrr_stack+15, r12vrr_stack+0, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+845, r12vrr_stack+1197, r12vrr_stack+3, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+620, r12vrr_stack+851, r12vrr_stack+264, r12vrr_stack+354, r12vrr_stack+845, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2068, r12vrr_stack+861, r12vrr_stack+620, NULL, NULL, r12vrr_stack+851);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2113, r12vrr_stack+876, r12vrr_stack+2068, r12vrr_stack+650, r12vrr_stack+861, r12vrr_stack+1728);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2203, r12vrr_stack+921, r12vrr_stack+2113, r12vrr_stack+665, r12vrr_stack+876, r12vrr_stack+1758);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2353, r12vrr_stack+1011, r12vrr_stack+2203, r12vrr_stack+755, r12vrr_stack+921, r12vrr_stack+1818);
 tmp = r12vrr_stack + 2353;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+650, r12vrr_stack+861, r12vrr_stack+620, r12vrr_stack+360, r12vrr_stack+851, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2578, r12vrr_stack+1203, r12vrr_stack+650, NULL, NULL, r12vrr_stack+861);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2641, r12vrr_stack+1224, r12vrr_stack+2578, r12vrr_stack+1161, r12vrr_stack+1203, r12vrr_stack+876);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2767, r12vrr_stack+1350, r12vrr_stack+2641, r12vrr_stack+1287, r12vrr_stack+1224, r12vrr_stack+921);
 tmp = r12vrr_stack + 2767;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+1161, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+1164, r12vrr_stack+18, r12vrr_stack+1161, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+1170, r12vrr_stack+1182, r12vrr_stack+1164, r12vrr_stack+111, r12vrr_stack+18, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+141, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+671, r12vrr_stack+1188, r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+141, r12vrr_stack+1161);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+274, r12vrr_stack+1476, r12vrr_stack+671, r12vrr_stack+114, r12vrr_stack+1188, r12vrr_stack+1164);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+2977, r12vrr_stack+1494, r12vrr_stack+274, r12vrr_stack+123, r12vrr_stack+1476, r12vrr_stack+1170);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1476, r12vrr_stack+354, r12vrr_stack+845, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1161, r12vrr_stack+1524, r12vrr_stack+1476, r12vrr_stack+144, r12vrr_stack+354, r12vrr_stack+6);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+3022, r12vrr_stack+1542, r12vrr_stack+1161, r12vrr_stack+150, r12vrr_stack+1524, r12vrr_stack+671);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+3082, r12vrr_stack+1578, r12vrr_stack+3022, r12vrr_stack+168, r12vrr_stack+1542, r12vrr_stack+274);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3172, r12vrr_stack+1638, r12vrr_stack+3082, r12vrr_stack+204, r12vrr_stack+1578, r12vrr_stack+2977);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2977, r12vrr_stack+851, r12vrr_stack+264, NULL, NULL, r12vrr_stack+845);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1494, r12vrr_stack+1728, r12vrr_stack+2977, r12vrr_stack+360, r12vrr_stack+851, r12vrr_stack+1476);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3298, r12vrr_stack+1758, r12vrr_stack+1494, r12vrr_stack+370, r12vrr_stack+1728, r12vrr_stack+1161);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3398, r12vrr_stack+1818, r12vrr_stack+3298, r12vrr_stack+400, r12vrr_stack+1758, r12vrr_stack+3022);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3548, r12vrr_stack+1918, r12vrr_stack+3398, r12vrr_stack+520, r12vrr_stack+1818, r12vrr_stack+3082);
 tmp = r12vrr_stack + 3548;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1161, r12vrr_stack+0, r12vrr_stack+18, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1167, r12vrr_stack+1197, r12vrr_stack+1161, r12vrr_stack+15, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+264, r12vrr_stack+1167, r12vrr_stack+845, r12vrr_stack+1197, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1728, r12vrr_stack+620, r12vrr_stack+0, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1773, r12vrr_stack+2068, r12vrr_stack+1728, r12vrr_stack+861, r12vrr_stack+620, r12vrr_stack+2977);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2977, r12vrr_stack+2113, r12vrr_stack+1773, r12vrr_stack+876, r12vrr_stack+2068, r12vrr_stack+1494);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3758, r12vrr_stack+2203, r12vrr_stack+2977, r12vrr_stack+921, r12vrr_stack+2113, r12vrr_stack+3298);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3983, r12vrr_stack+2353, r12vrr_stack+3758, r12vrr_stack+1011, r12vrr_stack+2203, r12vrr_stack+3398);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3758, r12vrr_stack+620, r12vrr_stack+0, r12vrr_stack+851, r12vrr_stack+264, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3779, r12vrr_stack+650, r12vrr_stack+3758, NULL, NULL, r12vrr_stack+620);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3842, r12vrr_stack+2578, r12vrr_stack+3779, r12vrr_stack+1203, r12vrr_stack+650, r12vrr_stack+2068);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3298, r12vrr_stack+2641, r12vrr_stack+3842, r12vrr_stack+1224, r12vrr_stack+2578, r12vrr_stack+2113);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4298, r12vrr_stack+2767, r12vrr_stack+3298, r12vrr_stack+1350, r12vrr_stack+2641, r12vrr_stack+2203);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3298, &(Data->ss_r12_ss), NULL, r12vrr_stack+21, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3301, r12vrr_stack+3298, &(Data->ss_r12_ss), r12vrr_stack+24, r12vrr_stack+21, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3307, r12vrr_stack+3301, r12vrr_stack+3298, r12vrr_stack+314, r12vrr_stack+24, r12vrr_stack+21, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+3317, r12vrr_stack+3307, NULL, r12vrr_stack+324, r12vrr_stack+314, NULL, r12vrr_stack+24);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+650, r12vrr_stack+3317, r12vrr_stack+3307, r12vrr_stack+460, r12vrr_stack+324, r12vrr_stack+314, r12vrr_stack+57);
 tmp = r12vrr_stack + 650;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+3347, r12vrr_stack+650, r12vrr_stack+3317, r12vrr_stack+520, r12vrr_stack+460, r12vrr_stack+324, r12vrr_stack+75);
 tmp = r12vrr_stack + 3347;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+620, r12vrr_stack+3307, r12vrr_stack+3301, r12vrr_stack+635, r12vrr_stack+314, r12vrr_stack+24, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+3298, r12vrr_stack+620, NULL, r12vrr_stack+710, r12vrr_stack+635, NULL, r12vrr_stack+314);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+3447, r12vrr_stack+3298, r12vrr_stack+620, r12vrr_stack+755, r12vrr_stack+710, r12vrr_stack+635, r12vrr_stack+324);
 tmp = r12vrr_stack + 3447;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+2578, r12vrr_stack+3447, r12vrr_stack+3298, r12vrr_stack+1011, r12vrr_stack+755, r12vrr_stack+710, r12vrr_stack+460);
 tmp = r12vrr_stack + 2578;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+264, r12vrr_stack+460, r12vrr_stack+755, r12vrr_stack+520, r12vrr_stack+204, r12vrr_stack+75);
 tmp = r12vrr_stack + 264;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2068, r12vrr_stack+755, r12vrr_stack+1350, r12vrr_stack+1011, r12vrr_stack+520, r12vrr_stack+460);
 tmp = r12vrr_stack + 2068;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2158, r12vrr_stack+520, r12vrr_stack+1011, r12vrr_stack+1918, r12vrr_stack+1638, r12vrr_stack+204);
 tmp = r12vrr_stack + 2158;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3758, r12vrr_stack+1011, r12vrr_stack+2767, r12vrr_stack+2353, r12vrr_stack+1918, r12vrr_stack+520);
 tmp = r12vrr_stack + 3758;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+1918, r12vrr_stack+2353, r12vrr_stack+3548, r12vrr_stack+3172, r12vrr_stack+1638);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2977, r12vrr_stack+2353, r12vrr_stack+4298, r12vrr_stack+3983, r12vrr_stack+3548, r12vrr_stack+1918);
 tmp = r12vrr_stack + 2977;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2258, r12vrr_stack+460, r12vrr_stack+520, r12vrr_stack+755, r12vrr_stack+710, r12vrr_stack+324);
 tmp = r12vrr_stack + 2258;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+324, r12vrr_stack+755, r12vrr_stack+1011, r12vrr_stack+1350, r12vrr_stack+1287, r12vrr_stack+710);
 tmp = r12vrr_stack + 324;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3202, r12vrr_stack+520, r12vrr_stack+1918, r12vrr_stack+1011, r12vrr_stack+755, r12vrr_stack+460);
 tmp = r12vrr_stack + 3202;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+845, r12vrr_stack+1011, r12vrr_stack+2353, r12vrr_stack+2767, r12vrr_stack+1350, r12vrr_stack+755);
 tmp = r12vrr_stack + 845;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1161, r12vrr_stack+1918, r12vrr_stack+3548, r12vrr_stack+2353, r12vrr_stack+1011, r12vrr_stack+520);
 tmp = r12vrr_stack + 1161;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1311, r12vrr_stack+2353, r12vrr_stack+3983, r12vrr_stack+4298, r12vrr_stack+2767, r12vrr_stack+1011);
 tmp = r12vrr_stack + 1311;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+3537, r12vrr_stack+3347, r12vrr_stack+650, r12vrr_stack+1918, r12vrr_stack+520, r12vrr_stack+460, r12vrr_stack+204);
 tmp = r12vrr_stack + 3537;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+2728, r12vrr_stack+2578, r12vrr_stack+3447, r12vrr_stack+2353, r12vrr_stack+1011, r12vrr_stack+755, r12vrr_stack+520);
 tmp = r12vrr_stack + 2728;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];


}

