#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddhd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+331, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+349, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+379, r12vrr_stack+50, r12vrr_stack+349, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+331);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+439, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+442, r12vrr_stack+31, r12vrr_stack+439, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+448, r12vrr_stack+34, r12vrr_stack+442, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+458, r12vrr_stack+126, r12vrr_stack+448, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+473, r12vrr_stack+136, r12vrr_stack+458, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+151, r12vrr_stack+473, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+349);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+241, r12vrr_stack+518, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+379);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+136, r12vrr_stack+458, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+136);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+863, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+863, r12vrr_stack+779, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+439, r12vrr_stack+40, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+947, r12vrr_stack+442, r12vrr_stack+43, r12vrr_stack+31, r12vrr_stack+439, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+957, r12vrr_stack+448, r12vrr_stack+947, r12vrr_stack+34, r12vrr_stack+442, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+972, r12vrr_stack+458, r12vrr_stack+957, r12vrr_stack+126, r12vrr_stack+448, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+993, r12vrr_stack+758, r12vrr_stack+972, NULL, NULL, r12vrr_stack+458);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1056, r12vrr_stack+800, r12vrr_stack+993, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+473);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+800, r12vrr_stack+863, r12vrr_stack+779, r12vrr_stack+151);
 tmp = r12vrr_stack + 1182;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+1056, r12vrr_stack+884, r12vrr_stack+800, r12vrr_stack+518);
 tmp = r12vrr_stack + 1308;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1546, r12vrr_stack+863, r12vrr_stack+779, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1574, r12vrr_stack+758, r12vrr_stack+972, r12vrr_stack+136, r12vrr_stack+458, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1602, r12vrr_stack+1518, r12vrr_stack+1574, NULL, NULL, r12vrr_stack+758);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+1546, r12vrr_stack+1518, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1602, r12vrr_stack+1546, r12vrr_stack+1518, r12vrr_stack+800);
 tmp = r12vrr_stack + 1770;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+80, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+83, r12vrr_stack+40, r12vrr_stack+80, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1938, r12vrr_stack+43, r12vrr_stack+83, r12vrr_stack+439, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1948, r12vrr_stack+947, r12vrr_stack+1938, r12vrr_stack+442, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1963, r12vrr_stack+957, r12vrr_stack+1948, r12vrr_stack+448, r12vrr_stack+947, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1984, r12vrr_stack+972, r12vrr_stack+1963, r12vrr_stack+458, r12vrr_stack+957, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2012, r12vrr_stack+1574, r12vrr_stack+1984, NULL, NULL, r12vrr_stack+972);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2096, r12vrr_stack+1602, r12vrr_stack+2012, r12vrr_stack+1518, r12vrr_stack+1574, r12vrr_stack+993);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+2096, r12vrr_stack+1686, r12vrr_stack+1602, r12vrr_stack+1056);
 tmp = r12vrr_stack + 2264;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+1574, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2580, r12vrr_stack+1546, r12vrr_stack+1518, r12vrr_stack+863, r12vrr_stack+779, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2616, r12vrr_stack+1574, r12vrr_stack+1984, r12vrr_stack+758, r12vrr_stack+972, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2652, r12vrr_stack+2544, r12vrr_stack+2616, NULL, NULL, r12vrr_stack+1574);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2760, r12vrr_stack+2580, r12vrr_stack+2544, NULL, NULL, r12vrr_stack+1518);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+2652, r12vrr_stack+2580, r12vrr_stack+2544, r12vrr_stack+1602);
 tmp = r12vrr_stack + 2868;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+439, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+89, r12vrr_stack+80, r12vrr_stack+439, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+779, r12vrr_stack+83, r12vrr_stack+89, r12vrr_stack+40, r12vrr_stack+80, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3084, r12vrr_stack+1938, r12vrr_stack+779, r12vrr_stack+43, r12vrr_stack+83, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3099, r12vrr_stack+1948, r12vrr_stack+3084, r12vrr_stack+947, r12vrr_stack+1938, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3120, r12vrr_stack+1963, r12vrr_stack+3099, r12vrr_stack+957, r12vrr_stack+1948, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3148, r12vrr_stack+1984, r12vrr_stack+3120, r12vrr_stack+972, r12vrr_stack+1963, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3184, r12vrr_stack+2616, r12vrr_stack+3148, NULL, NULL, r12vrr_stack+1984);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3292, r12vrr_stack+2652, r12vrr_stack+3184, r12vrr_stack+2544, r12vrr_stack+2616, r12vrr_stack+2012);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+3292, r12vrr_stack+2760, r12vrr_stack+2652, r12vrr_stack+2096);
 tmp = r12vrr_stack + 3508;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3868, r12vrr_stack+2544, r12vrr_stack+2616, r12vrr_stack+1518, r12vrr_stack+1574, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3913, r12vrr_stack+2580, r12vrr_stack+2544, r12vrr_stack+1546, r12vrr_stack+1518, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3958, r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+1574, r12vrr_stack+1984, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4003, r12vrr_stack+3868, r12vrr_stack+3958, NULL, NULL, r12vrr_stack+2616);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4138, r12vrr_stack+3913, r12vrr_stack+3868, NULL, NULL, r12vrr_stack+2544);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+4003, r12vrr_stack+3913, r12vrr_stack+3868, r12vrr_stack+2652);
 tmp = r12vrr_stack + 4273;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+3913, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+3922, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2544, r12vrr_stack+331, r12vrr_stack+3922, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3913);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4543, r12vrr_stack+126, r12vrr_stack+448, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4573, r12vrr_stack+349, r12vrr_stack+4543, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+3922);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4633, r12vrr_stack+379, r12vrr_stack+4573, r12vrr_stack+50, r12vrr_stack+349, r12vrr_stack+2544);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4733, r12vrr_stack+458, r12vrr_stack+957, NULL, NULL, r12vrr_stack+448);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4778, r12vrr_stack+473, r12vrr_stack+4733, r12vrr_stack+136, r12vrr_stack+458, r12vrr_stack+4543);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4868, r12vrr_stack+518, r12vrr_stack+4778, r12vrr_stack+151, r12vrr_stack+473, r12vrr_stack+4573);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5018, r12vrr_stack+608, r12vrr_stack+4868, r12vrr_stack+241, r12vrr_stack+518, r12vrr_stack+4633);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5243, r12vrr_stack+972, r12vrr_stack+1963, NULL, NULL, r12vrr_stack+957);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5306, r12vrr_stack+993, r12vrr_stack+5243, r12vrr_stack+758, r12vrr_stack+972, r12vrr_stack+4733);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5432, r12vrr_stack+1056, r12vrr_stack+5306, r12vrr_stack+800, r12vrr_stack+993, r12vrr_stack+4778);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5642, r12vrr_stack+1308, r12vrr_stack+5432, r12vrr_stack+1182, r12vrr_stack+1056, r12vrr_stack+4868);
 tmp = r12vrr_stack + 5642;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5957, r12vrr_stack+1984, r12vrr_stack+3120, NULL, NULL, r12vrr_stack+1963);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6041, r12vrr_stack+2012, r12vrr_stack+5957, r12vrr_stack+1574, r12vrr_stack+1984, r12vrr_stack+5243);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6209, r12vrr_stack+2096, r12vrr_stack+6041, r12vrr_stack+1602, r12vrr_stack+2012, r12vrr_stack+5306);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6489, r12vrr_stack+2264, r12vrr_stack+6209, r12vrr_stack+1770, r12vrr_stack+2096, r12vrr_stack+5432);
 tmp = r12vrr_stack + 6489;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1574, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+439, r12vrr_stack+1574, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+89, r12vrr_stack+6, r12vrr_stack+80, r12vrr_stack+439, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1577, r12vrr_stack+779, r12vrr_stack+21, r12vrr_stack+83, r12vrr_stack+89, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+3084, r12vrr_stack+1577, r12vrr_stack+1938, r12vrr_stack+779, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+3099, r12vrr_stack+758, r12vrr_stack+1948, r12vrr_stack+3084, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1592, r12vrr_stack+3120, r12vrr_stack+1518, r12vrr_stack+1963, r12vrr_stack+3099, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6909, r12vrr_stack+3148, r12vrr_stack+1592, NULL, NULL, r12vrr_stack+3120);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7017, r12vrr_stack+3184, r12vrr_stack+6909, r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+5957);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7233, r12vrr_stack+3292, r12vrr_stack+7017, r12vrr_stack+2652, r12vrr_stack+3184, r12vrr_stack+6041);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7593, r12vrr_stack+3508, r12vrr_stack+7233, r12vrr_stack+2868, r12vrr_stack+3292, r12vrr_stack+6209);
 tmp = r12vrr_stack + 7593;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2616, r12vrr_stack+3148, r12vrr_stack+1592, r12vrr_stack+1984, r12vrr_stack+3120, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8133, r12vrr_stack+3958, r12vrr_stack+2616, NULL, NULL, r12vrr_stack+3148);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8268, r12vrr_stack+4003, r12vrr_stack+8133, r12vrr_stack+3868, r12vrr_stack+3958, r12vrr_stack+3184);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8538, r12vrr_stack+4273, r12vrr_stack+8268, r12vrr_stack+4138, r12vrr_stack+4003, r12vrr_stack+3292);
 tmp = r12vrr_stack + 8538;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+3868, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+3871, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+3940, r12vrr_stack+3913, r12vrr_stack+3871, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+3868);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+3880, r12vrr_stack+34, r12vrr_stack+442, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2661, r12vrr_stack+3922, r12vrr_stack+3880, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+3871);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+136, r12vrr_stack+2544, r12vrr_stack+2661, r12vrr_stack+331, r12vrr_stack+3922, r12vrr_stack+3940);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2544, r12vrr_stack+448, r12vrr_stack+947, NULL, NULL, r12vrr_stack+442);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+3898, r12vrr_stack+4543, r12vrr_stack+2544, r12vrr_stack+126, r12vrr_stack+448, r12vrr_stack+3880);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+8988, r12vrr_stack+4573, r12vrr_stack+3898, r12vrr_stack+349, r12vrr_stack+4543, r12vrr_stack+2661);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+9088, r12vrr_stack+4633, r12vrr_stack+8988, r12vrr_stack+379, r12vrr_stack+4573, r12vrr_stack+136);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2661, r12vrr_stack+957, r12vrr_stack+1948, NULL, NULL, r12vrr_stack+947);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4543, r12vrr_stack+4733, r12vrr_stack+2661, r12vrr_stack+458, r12vrr_stack+957, r12vrr_stack+2544);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+9238, r12vrr_stack+4778, r12vrr_stack+4543, r12vrr_stack+473, r12vrr_stack+4733, r12vrr_stack+3898);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+9388, r12vrr_stack+4868, r12vrr_stack+9238, r12vrr_stack+518, r12vrr_stack+4778, r12vrr_stack+8988);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+9613, r12vrr_stack+5018, r12vrr_stack+9388, r12vrr_stack+608, r12vrr_stack+4868, r12vrr_stack+9088);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8988, r12vrr_stack+1963, r12vrr_stack+3099, NULL, NULL, r12vrr_stack+1948);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9051, r12vrr_stack+5243, r12vrr_stack+8988, r12vrr_stack+972, r12vrr_stack+1963, r12vrr_stack+2661);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4633, r12vrr_stack+5306, r12vrr_stack+9051, r12vrr_stack+993, r12vrr_stack+5243, r12vrr_stack+4543);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9928, r12vrr_stack+5432, r12vrr_stack+4633, r12vrr_stack+1056, r12vrr_stack+5306, r12vrr_stack+9238);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10243, r12vrr_stack+5642, r12vrr_stack+9928, r12vrr_stack+1308, r12vrr_stack+5432, r12vrr_stack+9388);
 tmp = r12vrr_stack + 10243;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4543, r12vrr_stack+3120, r12vrr_stack+1518, NULL, NULL, r12vrr_stack+3099);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5243, r12vrr_stack+5957, r12vrr_stack+4543, r12vrr_stack+1984, r12vrr_stack+3120, r12vrr_stack+8988);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9177, r12vrr_stack+6041, r12vrr_stack+5243, r12vrr_stack+2012, r12vrr_stack+5957, r12vrr_stack+9051);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10684, r12vrr_stack+6209, r12vrr_stack+9177, r12vrr_stack+2096, r12vrr_stack+6041, r12vrr_stack+4633);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11104, r12vrr_stack+6489, r12vrr_stack+10684, r12vrr_stack+2264, r12vrr_stack+6209, r12vrr_stack+9928);
 tmp = r12vrr_stack + 11104;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9928, r12vrr_stack+1574, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9934, r12vrr_stack+6, r12vrr_stack+9928, r12vrr_stack+439, r12vrr_stack+1574, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9944, r12vrr_stack+21, r12vrr_stack+9934, r12vrr_stack+89, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9959, r12vrr_stack+1577, r12vrr_stack+9944, r12vrr_stack+779, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+9959, r12vrr_stack+3084, r12vrr_stack+1577, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+779, r12vrr_stack+3099, r12vrr_stack+758, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9928, r12vrr_stack+1592, r12vrr_stack+2544, NULL, NULL, r12vrr_stack+1518);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5957, r12vrr_stack+6909, r12vrr_stack+9928, r12vrr_stack+3148, r12vrr_stack+1592, r12vrr_stack+4543);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4543, r12vrr_stack+7017, r12vrr_stack+5957, r12vrr_stack+3184, r12vrr_stack+6909, r12vrr_stack+5243);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11692, r12vrr_stack+7233, r12vrr_stack+4543, r12vrr_stack+3292, r12vrr_stack+7017, r12vrr_stack+9177);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12232, r12vrr_stack+7593, r12vrr_stack+11692, r12vrr_stack+3508, r12vrr_stack+7233, r12vrr_stack+10684);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10684, r12vrr_stack+1592, r12vrr_stack+2544, r12vrr_stack+3120, r12vrr_stack+1518, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10729, r12vrr_stack+2616, r12vrr_stack+10684, NULL, NULL, r12vrr_stack+1592);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11692, r12vrr_stack+8133, r12vrr_stack+10729, r12vrr_stack+3958, r12vrr_stack+2616, r12vrr_stack+6909);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4543, r12vrr_stack+8268, r12vrr_stack+11692, r12vrr_stack+4003, r12vrr_stack+8133, r12vrr_stack+7017);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12988, r12vrr_stack+8538, r12vrr_stack+4543, r12vrr_stack+4273, r12vrr_stack+8268, r12vrr_stack+7233);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+4543, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+95, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+4549, r12vrr_stack+4543, r12vrr_stack+0, r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+4549, r12vrr_stack+4543, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+95, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+4549, r12vrr_stack+863, r12vrr_stack+111, r12vrr_stack+101, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+4543, r12vrr_stack+15, NULL, r12vrr_stack+884, r12vrr_stack+863, NULL, r12vrr_stack+111);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+4606, r12vrr_stack+4543, r12vrr_stack+15, r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+863, r12vrr_stack+196);
 tmp = r12vrr_stack + 4606;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+4732, r12vrr_stack+4606, r12vrr_stack+4543, r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+884, r12vrr_stack+241);
 tmp = r12vrr_stack + 4732;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1518, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1546, r12vrr_stack+863, r12vrr_stack+111, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+36, r12vrr_stack+1518, NULL, r12vrr_stack+1686, r12vrr_stack+1546, NULL, r12vrr_stack+863);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+8133, r12vrr_stack+36, r12vrr_stack+1518, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1546, r12vrr_stack+884);
 tmp = r12vrr_stack + 8133;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+11692, r12vrr_stack+8133, r12vrr_stack+36, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+1182);
 tmp = r12vrr_stack + 11692;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2544, r12vrr_stack+1518, r12vrr_stack+15, r12vrr_stack+2580, r12vrr_stack+1546, r12vrr_stack+863, NULL);

 /*--- compute (p0||k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+2544, NULL, r12vrr_stack+2760, r12vrr_stack+2580, NULL, r12vrr_stack+1546);

 /*--- compute (d0||k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8301, r12vrr_stack+0, r12vrr_stack+2544, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+2580, r12vrr_stack+1686);
 tmp = r12vrr_stack + 8301;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6909, r12vrr_stack+8301, r12vrr_stack+0, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+1770);
 tmp = r12vrr_stack + 6909;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+758, r12vrr_stack+1182, r12vrr_stack+1770, r12vrr_stack+1308, r12vrr_stack+608, r12vrr_stack+241);
 tmp = r12vrr_stack + 758;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1518, r12vrr_stack+1770, r12vrr_stack+2868, r12vrr_stack+2264, r12vrr_stack+1308, r12vrr_stack+1182);
 tmp = r12vrr_stack + 1518;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2544, r12vrr_stack+2868, r12vrr_stack+4273, r12vrr_stack+3508, r12vrr_stack+2264, r12vrr_stack+1770);
 tmp = r12vrr_stack + 2544;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+1308, r12vrr_stack+2264, r12vrr_stack+5642, r12vrr_stack+5018, r12vrr_stack+608);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+210, r12vrr_stack+2264, r12vrr_stack+3508, r12vrr_stack+6489, r12vrr_stack+5642, r12vrr_stack+1308);
 tmp = r12vrr_stack + 210;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10684, r12vrr_stack+3508, r12vrr_stack+8538, r12vrr_stack+7593, r12vrr_stack+6489, r12vrr_stack+2264);
 tmp = r12vrr_stack + 10684;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9928, r12vrr_stack+5642, r12vrr_stack+6489, r12vrr_stack+10243, r12vrr_stack+9613, r12vrr_stack+5018);
 tmp = r12vrr_stack + 9928;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4942, r12vrr_stack+6489, r12vrr_stack+7593, r12vrr_stack+11104, r12vrr_stack+10243, r12vrr_stack+5642);
 tmp = r12vrr_stack + 4942;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8988, r12vrr_stack+7593, r12vrr_stack+12988, r12vrr_stack+12232, r12vrr_stack+11104, r12vrr_stack+6489);
 tmp = r12vrr_stack + 8988;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5362, r12vrr_stack+1182, r12vrr_stack+1308, r12vrr_stack+1770, r12vrr_stack+1686, r12vrr_stack+884);
 tmp = r12vrr_stack + 5362;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+884, r12vrr_stack+1770, r12vrr_stack+2264, r12vrr_stack+2868, r12vrr_stack+2760, r12vrr_stack+1686);
 tmp = r12vrr_stack + 884;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11972, r12vrr_stack+2868, r12vrr_stack+3508, r12vrr_stack+4273, r12vrr_stack+4138, r12vrr_stack+2760);
 tmp = r12vrr_stack + 11972;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7269, r12vrr_stack+1308, r12vrr_stack+5642, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1182);
 tmp = r12vrr_stack + 7269;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5957, r12vrr_stack+2264, r12vrr_stack+6489, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+1770);
 tmp = r12vrr_stack + 5957;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3084, r12vrr_stack+3508, r12vrr_stack+7593, r12vrr_stack+8538, r12vrr_stack+4273, r12vrr_stack+2868);
 tmp = r12vrr_stack + 3084;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9528, r12vrr_stack+5642, r12vrr_stack+10243, r12vrr_stack+6489, r12vrr_stack+2264, r12vrr_stack+1308);
 tmp = r12vrr_stack + 9528;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10243, r12vrr_stack+6489, r12vrr_stack+11104, r12vrr_stack+7593, r12vrr_stack+3508, r12vrr_stack+2264);
 tmp = r12vrr_stack + 10243;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11044, r12vrr_stack+7593, r12vrr_stack+12232, r12vrr_stack+12988, r12vrr_stack+8538, r12vrr_stack+3508);
 tmp = r12vrr_stack + 11044;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+8517, r12vrr_stack+4732, r12vrr_stack+4606, r12vrr_stack+5642, r12vrr_stack+1308, r12vrr_stack+1182, r12vrr_stack+608);
 tmp = r12vrr_stack + 8517;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+5488, r12vrr_stack+11692, r12vrr_stack+8133, r12vrr_stack+6489, r12vrr_stack+2264, r12vrr_stack+1770, r12vrr_stack+1308);
 tmp = r12vrr_stack + 5488;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+6909, r12vrr_stack+8301, r12vrr_stack+7593, r12vrr_stack+3508, r12vrr_stack+2868, r12vrr_stack+2264);
 tmp = r12vrr_stack + 1686;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];


}

