#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffgg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+3);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+476, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+479, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+488, r12vrr_stack+6, r12vrr_stack+479, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+476);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+506, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+524, r12vrr_stack+39, r12vrr_stack+506, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+479);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+560, r12vrr_stack+75, r12vrr_stack+524, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+488);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+57, r12vrr_stack+21, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+63, r12vrr_stack+210, r12vrr_stack+57, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+620, r12vrr_stack+216, r12vrr_stack+63, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+650, r12vrr_stack+226, r12vrr_stack+620, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+506);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+256, r12vrr_stack+650, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+524);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+376, r12vrr_stack+710, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+560);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+990, r12vrr_stack+216, r12vrr_stack+63, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1005, r12vrr_stack+960, r12vrr_stack+990, NULL, NULL, r12vrr_stack+216);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1095, r12vrr_stack+1050, r12vrr_stack+1005, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+226);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1185, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1200, r12vrr_stack+1185, r12vrr_stack+975, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1200, r12vrr_stack+1050, r12vrr_stack+1185, r12vrr_stack+975, r12vrr_stack+131);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+131, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+131, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+134, r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+144, r12vrr_stack+63, r12vrr_stack+134, r12vrr_stack+210, r12vrr_stack+57, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1335, r12vrr_stack+990, r12vrr_stack+144, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1380, r12vrr_stack+1005, r12vrr_stack+1335, r12vrr_stack+960, r12vrr_stack+990, r12vrr_stack+620);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1470, r12vrr_stack+1095, r12vrr_stack+1380, r12vrr_stack+1050, r12vrr_stack+1005, r12vrr_stack+650);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1245, r12vrr_stack+1095, r12vrr_stack+1200, r12vrr_stack+1050, r12vrr_stack+256);
 tmp = r12vrr_stack + 1620;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1770, r12vrr_stack+1620, r12vrr_stack+1470, r12vrr_stack+1245, r12vrr_stack+1095, r12vrr_stack+710);
 tmp = r12vrr_stack + 1770;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1995, r12vrr_stack+960, r12vrr_stack+990, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2016, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2037, r12vrr_stack+2016, r12vrr_stack+1995, NULL, NULL, r12vrr_stack+960);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2100, r12vrr_stack+1185, r12vrr_stack+975, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2121, r12vrr_stack+2100, r12vrr_stack+2016, NULL, NULL, r12vrr_stack+975);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2184, r12vrr_stack+990, r12vrr_stack+144, r12vrr_stack+216, r12vrr_stack+63, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2205, r12vrr_stack+1995, r12vrr_stack+2184, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2268, r12vrr_stack+2037, r12vrr_stack+2205, r12vrr_stack+2016, r12vrr_stack+1995, r12vrr_stack+1005);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2394, r12vrr_stack+2121, r12vrr_stack+2037, r12vrr_stack+2100, r12vrr_stack+2016, r12vrr_stack+1050);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+2268, r12vrr_stack+2121, r12vrr_stack+2037, r12vrr_stack+1095);
 tmp = r12vrr_stack + 2520;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1050, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+131, r12vrr_stack+1050, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1053, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+131, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1063, r12vrr_stack+134, r12vrr_stack+1053, r12vrr_stack+57, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2730, r12vrr_stack+144, r12vrr_stack+1063, r12vrr_stack+63, r12vrr_stack+134, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2751, r12vrr_stack+2184, r12vrr_stack+2730, NULL, NULL, r12vrr_stack+144);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2814, r12vrr_stack+2205, r12vrr_stack+2751, r12vrr_stack+1995, r12vrr_stack+2184, r12vrr_stack+1335);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2940, r12vrr_stack+2268, r12vrr_stack+2814, r12vrr_stack+2037, r12vrr_stack+2205, r12vrr_stack+1380);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+2940, r12vrr_stack+2394, r12vrr_stack+2268, r12vrr_stack+1470);
 tmp = r12vrr_stack + 3150;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+1995, r12vrr_stack+2184, r12vrr_stack+960, r12vrr_stack+990, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3493, r12vrr_stack+2016, r12vrr_stack+1995, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3521, r12vrr_stack+3493, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+1995);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3605, r12vrr_stack+2100, r12vrr_stack+2016, r12vrr_stack+1185, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3633, r12vrr_stack+3605, r12vrr_stack+3493, NULL, NULL, r12vrr_stack+2016);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+2184, r12vrr_stack+2730, r12vrr_stack+990, r12vrr_stack+144, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3717, r12vrr_stack+3465, r12vrr_stack+960, NULL, NULL, r12vrr_stack+2184);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3801, r12vrr_stack+3521, r12vrr_stack+3717, r12vrr_stack+3493, r12vrr_stack+3465, r12vrr_stack+2205);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3969, r12vrr_stack+3633, r12vrr_stack+3521, r12vrr_stack+3605, r12vrr_stack+3493, r12vrr_stack+2037);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+3801, r12vrr_stack+3633, r12vrr_stack+3521, r12vrr_stack+2268);
 tmp = r12vrr_stack + 4137;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2037, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2040, r12vrr_stack+1050, r12vrr_stack+2037, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2046, r12vrr_stack+15, r12vrr_stack+2040, r12vrr_stack+131, r12vrr_stack+1050, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2056, r12vrr_stack+1053, r12vrr_stack+2046, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2071, r12vrr_stack+1063, r12vrr_stack+2056, r12vrr_stack+134, r12vrr_stack+1053, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4417, r12vrr_stack+2730, r12vrr_stack+2071, r12vrr_stack+144, r12vrr_stack+1063, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4445, r12vrr_stack+960, r12vrr_stack+4417, NULL, NULL, r12vrr_stack+2730);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4529, r12vrr_stack+3717, r12vrr_stack+4445, r12vrr_stack+3465, r12vrr_stack+960, r12vrr_stack+2751);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4697, r12vrr_stack+3801, r12vrr_stack+4529, r12vrr_stack+3521, r12vrr_stack+3717, r12vrr_stack+2814);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+4697, r12vrr_stack+3969, r12vrr_stack+3801, r12vrr_stack+2940);
 tmp = r12vrr_stack + 4977;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5397, r12vrr_stack+3465, r12vrr_stack+960, r12vrr_stack+1995, r12vrr_stack+2184, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5433, r12vrr_stack+3493, r12vrr_stack+3465, r12vrr_stack+2016, r12vrr_stack+1995, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5469, r12vrr_stack+5433, r12vrr_stack+5397, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5577, r12vrr_stack+3605, r12vrr_stack+3493, r12vrr_stack+2100, r12vrr_stack+2016, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5613, r12vrr_stack+5577, r12vrr_stack+5433, NULL, NULL, r12vrr_stack+3493);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1995, r12vrr_stack+960, r12vrr_stack+4417, r12vrr_stack+2184, r12vrr_stack+2730, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5721, r12vrr_stack+5397, r12vrr_stack+1995, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5829, r12vrr_stack+5469, r12vrr_stack+5721, r12vrr_stack+5433, r12vrr_stack+5397, r12vrr_stack+3717);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6045, r12vrr_stack+5613, r12vrr_stack+5469, r12vrr_stack+5577, r12vrr_stack+5433, r12vrr_stack+3521);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+5829, r12vrr_stack+5613, r12vrr_stack+5469, r12vrr_stack+3801);
 tmp = r12vrr_stack + 6261;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3521, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2031, r12vrr_stack+2037, r12vrr_stack+3521, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3524, r12vrr_stack+2040, r12vrr_stack+2031, r12vrr_stack+1050, r12vrr_stack+2037, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3534, r12vrr_stack+2046, r12vrr_stack+3524, r12vrr_stack+15, r12vrr_stack+2040, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3549, r12vrr_stack+2056, r12vrr_stack+3534, r12vrr_stack+1053, r12vrr_stack+2046, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3570, r12vrr_stack+2071, r12vrr_stack+3549, r12vrr_stack+1063, r12vrr_stack+2056, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6621, r12vrr_stack+4417, r12vrr_stack+3570, r12vrr_stack+2730, r12vrr_stack+2071, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6657, r12vrr_stack+1995, r12vrr_stack+6621, NULL, NULL, r12vrr_stack+4417);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6765, r12vrr_stack+5721, r12vrr_stack+6657, r12vrr_stack+5397, r12vrr_stack+1995, r12vrr_stack+4445);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6981, r12vrr_stack+5829, r12vrr_stack+6765, r12vrr_stack+5469, r12vrr_stack+5721, r12vrr_stack+4529);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+6981, r12vrr_stack+6045, r12vrr_stack+5829, r12vrr_stack+4697);
 tmp = r12vrr_stack + 7341;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7881, r12vrr_stack+5397, r12vrr_stack+1995, r12vrr_stack+3465, r12vrr_stack+960, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+5433, r12vrr_stack+5397, r12vrr_stack+3493, r12vrr_stack+3465, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7971, r12vrr_stack+7926, r12vrr_stack+7881, NULL, NULL, r12vrr_stack+5397);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8106, r12vrr_stack+5577, r12vrr_stack+5433, r12vrr_stack+3605, r12vrr_stack+3493, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8151, r12vrr_stack+8106, r12vrr_stack+7926, NULL, NULL, r12vrr_stack+5433);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+1995, r12vrr_stack+6621, r12vrr_stack+960, r12vrr_stack+4417, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8286, r12vrr_stack+7881, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+1995);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8421, r12vrr_stack+7971, r12vrr_stack+8286, r12vrr_stack+7926, r12vrr_stack+7881, r12vrr_stack+5721);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8691, r12vrr_stack+8151, r12vrr_stack+7971, r12vrr_stack+8106, r12vrr_stack+7926, r12vrr_stack+5469);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+8421, r12vrr_stack+8151, r12vrr_stack+7971, r12vrr_stack+5829);
 tmp = r12vrr_stack + 8961;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1050, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5469, r12vrr_stack+3521, r12vrr_stack+1050, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5475, r12vrr_stack+2031, r12vrr_stack+5469, r12vrr_stack+2037, r12vrr_stack+3521, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5485, r12vrr_stack+3524, r12vrr_stack+5475, r12vrr_stack+2040, r12vrr_stack+2031, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5500, r12vrr_stack+3534, r12vrr_stack+5485, r12vrr_stack+2046, r12vrr_stack+3524, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5521, r12vrr_stack+3549, r12vrr_stack+5500, r12vrr_stack+2056, r12vrr_stack+3534, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9411, r12vrr_stack+3570, r12vrr_stack+5521, r12vrr_stack+2071, r12vrr_stack+3549, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9447, r12vrr_stack+6621, r12vrr_stack+9411, r12vrr_stack+4417, r12vrr_stack+3570, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9492, r12vrr_stack+3465, r12vrr_stack+9447, NULL, NULL, r12vrr_stack+6621);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9627, r12vrr_stack+8286, r12vrr_stack+9492, r12vrr_stack+7881, r12vrr_stack+3465, r12vrr_stack+6657);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9897, r12vrr_stack+8421, r12vrr_stack+9627, r12vrr_stack+7971, r12vrr_stack+8286, r12vrr_stack+6765);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+9897, r12vrr_stack+8691, r12vrr_stack+8421, r12vrr_stack+6981);
 tmp = r12vrr_stack + 10347;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+7881, r12vrr_stack+3465, r12vrr_stack+5397, r12vrr_stack+1995, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11077, r12vrr_stack+7926, r12vrr_stack+7881, r12vrr_stack+5433, r12vrr_stack+5397, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11132, r12vrr_stack+11077, r12vrr_stack+11022, NULL, NULL, r12vrr_stack+7881);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11297, r12vrr_stack+8106, r12vrr_stack+7926, r12vrr_stack+5577, r12vrr_stack+5433, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11352, r12vrr_stack+11297, r12vrr_stack+11077, NULL, NULL, r12vrr_stack+7926);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7881, r12vrr_stack+3465, r12vrr_stack+9447, r12vrr_stack+1995, r12vrr_stack+6621, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11517, r12vrr_stack+11022, r12vrr_stack+7881, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11682, r12vrr_stack+11132, r12vrr_stack+11517, r12vrr_stack+11077, r12vrr_stack+11022, r12vrr_stack+8286);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12012, r12vrr_stack+11352, r12vrr_stack+11132, r12vrr_stack+11297, r12vrr_stack+11077, r12vrr_stack+7971);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12342, r12vrr_stack+12012, r12vrr_stack+11682, r12vrr_stack+11352, r12vrr_stack+11132, r12vrr_stack+8421);
 tmp = r12vrr_stack + 12342;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+11077, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+11080, r12vrr_stack+476, r12vrr_stack+11077, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+2037, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+11086, r12vrr_stack+479, r12vrr_stack+2037, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+11077);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+11297, r12vrr_stack+488, r12vrr_stack+11086, r12vrr_stack+6, r12vrr_stack+479, r12vrr_stack+11080);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+11104, r12vrr_stack+210, r12vrr_stack+57, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+11327, r12vrr_stack+506, r12vrr_stack+11104, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+2037);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+11363, r12vrr_stack+524, r12vrr_stack+11327, r12vrr_stack+39, r12vrr_stack+506, r12vrr_stack+11086);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+11423, r12vrr_stack+560, r12vrr_stack+11363, r12vrr_stack+75, r12vrr_stack+524, r12vrr_stack+11297);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+7936, r12vrr_stack+63, r12vrr_stack+134, NULL, NULL, r12vrr_stack+57);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7966, r12vrr_stack+620, r12vrr_stack+7936, r12vrr_stack+216, r12vrr_stack+63, r12vrr_stack+11104);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+12892, r12vrr_stack+650, r12vrr_stack+7966, r12vrr_stack+226, r12vrr_stack+620, r12vrr_stack+11327);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+12992, r12vrr_stack+710, r12vrr_stack+12892, r12vrr_stack+256, r12vrr_stack+650, r12vrr_stack+11363);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+13142, r12vrr_stack+810, r12vrr_stack+12992, r12vrr_stack+376, r12vrr_stack+710, r12vrr_stack+11423);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+216, r12vrr_stack+144, r12vrr_stack+1063, NULL, NULL, r12vrr_stack+134);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+13352, r12vrr_stack+1335, r12vrr_stack+216, r12vrr_stack+990, r12vrr_stack+144, r12vrr_stack+7936);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+13442, r12vrr_stack+1380, r12vrr_stack+13352, r12vrr_stack+1005, r12vrr_stack+1335, r12vrr_stack+7966);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13592, r12vrr_stack+1470, r12vrr_stack+13442, r12vrr_stack+1095, r12vrr_stack+1380, r12vrr_stack+12892);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+13817, r12vrr_stack+1770, r12vrr_stack+13592, r12vrr_stack+1620, r12vrr_stack+1470, r12vrr_stack+12992);
 tmp = r12vrr_stack + 13817;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8026, r12vrr_stack+2730, r12vrr_stack+2071, NULL, NULL, r12vrr_stack+1063);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14132, r12vrr_stack+2751, r12vrr_stack+8026, r12vrr_stack+2184, r12vrr_stack+2730, r12vrr_stack+216);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14258, r12vrr_stack+2814, r12vrr_stack+14132, r12vrr_stack+2205, r12vrr_stack+2751, r12vrr_stack+13352);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14468, r12vrr_stack+2940, r12vrr_stack+14258, r12vrr_stack+2268, r12vrr_stack+2814, r12vrr_stack+13442);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+14468, r12vrr_stack+2520, r12vrr_stack+2940, r12vrr_stack+13592);
 tmp = r12vrr_stack + 14783;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2184, r12vrr_stack+4417, r12vrr_stack+3570, NULL, NULL, r12vrr_stack+2071);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15224, r12vrr_stack+4445, r12vrr_stack+2184, r12vrr_stack+960, r12vrr_stack+4417, r12vrr_stack+8026);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15392, r12vrr_stack+4529, r12vrr_stack+15224, r12vrr_stack+3717, r12vrr_stack+4445, r12vrr_stack+14132);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15672, r12vrr_stack+4697, r12vrr_stack+15392, r12vrr_stack+3801, r12vrr_stack+4529, r12vrr_stack+14258);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+15672, r12vrr_stack+4137, r12vrr_stack+4697, r12vrr_stack+14468);
 tmp = r12vrr_stack + 16092;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3717, r12vrr_stack+6621, r12vrr_stack+9411, NULL, NULL, r12vrr_stack+3570);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16680, r12vrr_stack+6657, r12vrr_stack+3717, r12vrr_stack+1995, r12vrr_stack+6621, r12vrr_stack+2184);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16896, r12vrr_stack+6765, r12vrr_stack+16680, r12vrr_stack+5721, r12vrr_stack+6657, r12vrr_stack+15224);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17256, r12vrr_stack+6981, r12vrr_stack+16896, r12vrr_stack+5829, r12vrr_stack+6765, r12vrr_stack+15392);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+17256, r12vrr_stack+6261, r12vrr_stack+6981, r12vrr_stack+15672);
 tmp = r12vrr_stack + 17796;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5721, r12vrr_stack+1050, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+11122, r12vrr_stack+5469, r12vrr_stack+5721, r12vrr_stack+3521, r12vrr_stack+1050, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5727, r12vrr_stack+5475, r12vrr_stack+11122, r12vrr_stack+2031, r12vrr_stack+5469, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5742, r12vrr_stack+5485, r12vrr_stack+5727, r12vrr_stack+3524, r12vrr_stack+5475, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5549, r12vrr_stack+5500, r12vrr_stack+5742, r12vrr_stack+3534, r12vrr_stack+5485, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5763, r12vrr_stack+5521, r12vrr_stack+5549, r12vrr_stack+3549, r12vrr_stack+5500, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5799, r12vrr_stack+9411, r12vrr_stack+5763, r12vrr_stack+3570, r12vrr_stack+5521, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5844, r12vrr_stack+9447, r12vrr_stack+5799, NULL, NULL, r12vrr_stack+9411);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18552, r12vrr_stack+9492, r12vrr_stack+5844, r12vrr_stack+3465, r12vrr_stack+9447, r12vrr_stack+3717);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18822, r12vrr_stack+9627, r12vrr_stack+18552, r12vrr_stack+8286, r12vrr_stack+9492, r12vrr_stack+16680);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19272, r12vrr_stack+9897, r12vrr_stack+18822, r12vrr_stack+8421, r12vrr_stack+9627, r12vrr_stack+16896);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+19272, r12vrr_stack+8961, r12vrr_stack+9897, r12vrr_stack+17256);
 tmp = r12vrr_stack + 19947;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+261, r12vrr_stack+9447, r12vrr_stack+5799, r12vrr_stack+6621, r12vrr_stack+9411, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8286, r12vrr_stack+7881, r12vrr_stack+261, NULL, NULL, r12vrr_stack+9447);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20892, r12vrr_stack+11517, r12vrr_stack+8286, r12vrr_stack+11022, r12vrr_stack+7881, r12vrr_stack+9492);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21222, r12vrr_stack+11682, r12vrr_stack+20892, r12vrr_stack+11132, r12vrr_stack+11517, r12vrr_stack+9627);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21772, r12vrr_stack+12342, r12vrr_stack+21222, r12vrr_stack+12012, r12vrr_stack+11682, r12vrr_stack+9897);
 tmp = r12vrr_stack + 21772;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+11132, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+11135, r12vrr_stack+11077, r12vrr_stack+11132, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+11141, r12vrr_stack+11080, r12vrr_stack+11135, r12vrr_stack+476, r12vrr_stack+11077, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+3, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+11151, r12vrr_stack+2037, r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+11132);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+11169, r12vrr_stack+11086, r12vrr_stack+11151, r12vrr_stack+479, r12vrr_stack+2037, r12vrr_stack+11135);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+11199, r12vrr_stack+11297, r12vrr_stack+11169, r12vrr_stack+488, r12vrr_stack+11086, r12vrr_stack+11141);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30, r12vrr_stack+57, r12vrr_stack+24, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+11244, r12vrr_stack+11104, r12vrr_stack+30, r12vrr_stack+210, r12vrr_stack+57, r12vrr_stack+6);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+8451, r12vrr_stack+11327, r12vrr_stack+11244, r12vrr_stack+506, r12vrr_stack+11104, r12vrr_stack+11151);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+960, r12vrr_stack+11363, r12vrr_stack+8451, r12vrr_stack+524, r12vrr_stack+11327, r12vrr_stack+11169);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2268, r12vrr_stack+11423, r12vrr_stack+960, r12vrr_stack+560, r12vrr_stack+11363, r12vrr_stack+11199);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+476, r12vrr_stack+134, r12vrr_stack+1053, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+506, r12vrr_stack+7936, r12vrr_stack+476, r12vrr_stack+63, r12vrr_stack+134, r12vrr_stack+30);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+8511, r12vrr_stack+7966, r12vrr_stack+506, r12vrr_stack+620, r12vrr_stack+7936, r12vrr_stack+11244);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+22597, r12vrr_stack+12892, r12vrr_stack+8511, r12vrr_stack+650, r12vrr_stack+7966, r12vrr_stack+8451);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22747, r12vrr_stack+12992, r12vrr_stack+22597, r12vrr_stack+710, r12vrr_stack+12892, r12vrr_stack+960);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22957, r12vrr_stack+13142, r12vrr_stack+22747, r12vrr_stack+810, r12vrr_stack+12992, r12vrr_stack+2268);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+63, r12vrr_stack+1063, r12vrr_stack+2056, NULL, NULL, r12vrr_stack+1053);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+566, r12vrr_stack+216, r12vrr_stack+63, r12vrr_stack+144, r12vrr_stack+1063, r12vrr_stack+476);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+656, r12vrr_stack+13352, r12vrr_stack+566, r12vrr_stack+1335, r12vrr_stack+216, r12vrr_stack+506);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+23237, r12vrr_stack+13442, r12vrr_stack+656, r12vrr_stack+1380, r12vrr_stack+13352, r12vrr_stack+8511);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+23462, r12vrr_stack+13592, r12vrr_stack+23237, r12vrr_stack+1470, r12vrr_stack+13442, r12vrr_stack+22597);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+23777, r12vrr_stack+13817, r12vrr_stack+23462, r12vrr_stack+1770, r12vrr_stack+13592, r12vrr_stack+22747);
 tmp = r12vrr_stack + 23777;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1335, r12vrr_stack+2071, r12vrr_stack+3549, NULL, NULL, r12vrr_stack+2056);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1398, r12vrr_stack+8026, r12vrr_stack+1335, r12vrr_stack+2730, r12vrr_stack+2071, r12vrr_stack+63);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+24197, r12vrr_stack+14132, r12vrr_stack+1398, r12vrr_stack+2751, r12vrr_stack+8026, r12vrr_stack+566);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+24407, r12vrr_stack+14258, r12vrr_stack+24197, r12vrr_stack+2814, r12vrr_stack+14132, r12vrr_stack+656);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+24722, r12vrr_stack+14468, r12vrr_stack+24407, r12vrr_stack+2940, r12vrr_stack+14258, r12vrr_stack+23237);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+25163, r12vrr_stack+14783, r12vrr_stack+24722, r12vrr_stack+3150, r12vrr_stack+14468, r12vrr_stack+23462);
 tmp = r12vrr_stack + 25163;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2730, r12vrr_stack+3570, r12vrr_stack+5521, NULL, NULL, r12vrr_stack+3549);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2814, r12vrr_stack+2184, r12vrr_stack+2730, r12vrr_stack+4417, r12vrr_stack+3570, r12vrr_stack+1335);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+25751, r12vrr_stack+15224, r12vrr_stack+2814, r12vrr_stack+4445, r12vrr_stack+2184, r12vrr_stack+1398);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26031, r12vrr_stack+15392, r12vrr_stack+25751, r12vrr_stack+4529, r12vrr_stack+15224, r12vrr_stack+24197);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26451, r12vrr_stack+15672, r12vrr_stack+26031, r12vrr_stack+4697, r12vrr_stack+15392, r12vrr_stack+24407);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+27039, r12vrr_stack+16092, r12vrr_stack+26451, r12vrr_stack+4977, r12vrr_stack+15672, r12vrr_stack+24722);
 tmp = r12vrr_stack + 27039;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4417, r12vrr_stack+9411, r12vrr_stack+5763, NULL, NULL, r12vrr_stack+5521);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4525, r12vrr_stack+3717, r12vrr_stack+4417, r12vrr_stack+6621, r12vrr_stack+9411, r12vrr_stack+2730);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27823, r12vrr_stack+16680, r12vrr_stack+4525, r12vrr_stack+6657, r12vrr_stack+3717, r12vrr_stack+2814);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28183, r12vrr_stack+16896, r12vrr_stack+27823, r12vrr_stack+6765, r12vrr_stack+16680, r12vrr_stack+25751);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28723, r12vrr_stack+17256, r12vrr_stack+28183, r12vrr_stack+6981, r12vrr_stack+16896, r12vrr_stack+26031);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29479, r12vrr_stack+17796, r12vrr_stack+28723, r12vrr_stack+7341, r12vrr_stack+17256, r12vrr_stack+26451);
 tmp = r12vrr_stack + 29479;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6621, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+6621, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6624, r12vrr_stack+5721, r12vrr_stack+210, r12vrr_stack+1050, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6634, r12vrr_stack+11122, r12vrr_stack+6624, r12vrr_stack+5469, r12vrr_stack+5721, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6649, r12vrr_stack+5727, r12vrr_stack+6634, r12vrr_stack+5475, r12vrr_stack+11122, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6670, r12vrr_stack+5742, r12vrr_stack+6649, r12vrr_stack+5485, r12vrr_stack+5727, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6698, r12vrr_stack+5549, r12vrr_stack+6670, r12vrr_stack+5500, r12vrr_stack+5742, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6734, r12vrr_stack+5763, r12vrr_stack+6698, r12vrr_stack+5521, r12vrr_stack+5549, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6779, r12vrr_stack+5799, r12vrr_stack+6734, NULL, NULL, r12vrr_stack+5763);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6914, r12vrr_stack+5844, r12vrr_stack+6779, r12vrr_stack+9447, r12vrr_stack+5799, r12vrr_stack+4417);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30487, r12vrr_stack+18552, r12vrr_stack+6914, r12vrr_stack+9492, r12vrr_stack+5844, r12vrr_stack+4525);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30937, r12vrr_stack+18822, r12vrr_stack+30487, r12vrr_stack+9627, r12vrr_stack+18552, r12vrr_stack+27823);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31612, r12vrr_stack+19272, r12vrr_stack+30937, r12vrr_stack+9897, r12vrr_stack+18822, r12vrr_stack+28183);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32557, r12vrr_stack+19947, r12vrr_stack+31612, r12vrr_stack+10347, r12vrr_stack+19272, r12vrr_stack+28723);
 tmp = r12vrr_stack + 32557;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+5799, r12vrr_stack+6734, r12vrr_stack+9411, r12vrr_stack+5763, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9447, r12vrr_stack+261, r12vrr_stack+11022, NULL, NULL, r12vrr_stack+5799);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9612, r12vrr_stack+8286, r12vrr_stack+9447, r12vrr_stack+7881, r12vrr_stack+261, r12vrr_stack+5844);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33817, r12vrr_stack+20892, r12vrr_stack+9612, r12vrr_stack+11517, r12vrr_stack+8286, r12vrr_stack+18552);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34367, r12vrr_stack+21222, r12vrr_stack+33817, r12vrr_stack+11682, r12vrr_stack+20892, r12vrr_stack+18822);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35192, r12vrr_stack+21772, r12vrr_stack+34367, r12vrr_stack+12342, r12vrr_stack+21222, r12vrr_stack+19272);
 tmp = r12vrr_stack + 35192;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1050, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+7881, r12vrr_stack+11132, r12vrr_stack+1050, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+7887, r12vrr_stack+11135, r12vrr_stack+7881, r12vrr_stack+11077, r12vrr_stack+11132, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+7897, r12vrr_stack+11141, r12vrr_stack+7887, r12vrr_stack+11080, r12vrr_stack+11135, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+11077, r12vrr_stack+3, r12vrr_stack+131, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+11132, r12vrr_stack+6, r12vrr_stack+11077, r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+1050);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+9942, r12vrr_stack+11151, r12vrr_stack+11132, r12vrr_stack+2037, r12vrr_stack+6, r12vrr_stack+7881);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+9972, r12vrr_stack+11169, r12vrr_stack+9942, r12vrr_stack+11086, r12vrr_stack+11151, r12vrr_stack+7887);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+10017, r12vrr_stack+11199, r12vrr_stack+9972, r12vrr_stack+11297, r12vrr_stack+11169, r12vrr_stack+7897);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+11086, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+131);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+7881, r12vrr_stack+30, r12vrr_stack+11086, r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+11077);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+11150, r12vrr_stack+11244, r12vrr_stack+7881, r12vrr_stack+11104, r12vrr_stack+30, r12vrr_stack+11132);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+10080, r12vrr_stack+8451, r12vrr_stack+11150, r12vrr_stack+11327, r12vrr_stack+11244, r12vrr_stack+9942);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+11210, r12vrr_stack+960, r12vrr_stack+10080, r12vrr_stack+11363, r12vrr_stack+8451, r12vrr_stack+9972);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2982, r12vrr_stack+2268, r12vrr_stack+11210, r12vrr_stack+11423, r12vrr_stack+960, r12vrr_stack+10017);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+960, r12vrr_stack+1053, r12vrr_stack+2046, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+8451, r12vrr_stack+476, r12vrr_stack+960, r12vrr_stack+134, r12vrr_stack+1053, r12vrr_stack+11086);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2268, r12vrr_stack+506, r12vrr_stack+8451, r12vrr_stack+7936, r12vrr_stack+476, r12vrr_stack+7881);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+11336, r12vrr_stack+8511, r12vrr_stack+2268, r12vrr_stack+7966, r12vrr_stack+506, r12vrr_stack+11150);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+11486, r12vrr_stack+22597, r12vrr_stack+11336, r12vrr_stack+12892, r12vrr_stack+8511, r12vrr_stack+10080);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+9942, r12vrr_stack+22747, r12vrr_stack+11486, r12vrr_stack+12992, r12vrr_stack+22597, r12vrr_stack+11210);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+36347, r12vrr_stack+22957, r12vrr_stack+9942, r12vrr_stack+13142, r12vrr_stack+22747, r12vrr_stack+2982);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+11077, r12vrr_stack+2056, r12vrr_stack+3534, NULL, NULL, r12vrr_stack+2046);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+476, r12vrr_stack+63, r12vrr_stack+11077, r12vrr_stack+1063, r12vrr_stack+2056, r12vrr_stack+960);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+960, r12vrr_stack+566, r12vrr_stack+476, r12vrr_stack+216, r12vrr_stack+63, r12vrr_stack+8451);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+8451, r12vrr_stack+656, r12vrr_stack+960, r12vrr_stack+13352, r12vrr_stack+566, r12vrr_stack+2268);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+22597, r12vrr_stack+23237, r12vrr_stack+8451, r12vrr_stack+13442, r12vrr_stack+656, r12vrr_stack+11336);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+36707, r12vrr_stack+23462, r12vrr_stack+22597, r12vrr_stack+13592, r12vrr_stack+23237, r12vrr_stack+11486);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+11132, r12vrr_stack+23777, r12vrr_stack+36707, r12vrr_stack+13817, r12vrr_stack+23462, r12vrr_stack+9942);
 tmp = r12vrr_stack + 11132;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9942, r12vrr_stack+3549, r12vrr_stack+5500, NULL, NULL, r12vrr_stack+3534);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2268, r12vrr_stack+1335, r12vrr_stack+9942, r12vrr_stack+2071, r12vrr_stack+3549, r12vrr_stack+11077);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10005, r12vrr_stack+1398, r12vrr_stack+2268, r12vrr_stack+8026, r12vrr_stack+1335, r12vrr_stack+476);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+24197, r12vrr_stack+10005, r12vrr_stack+14132, r12vrr_stack+1398, r12vrr_stack+960);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23237, r12vrr_stack+24407, r12vrr_stack+476, r12vrr_stack+14258, r12vrr_stack+24197, r12vrr_stack+8451);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+37127, r12vrr_stack+24722, r12vrr_stack+23237, r12vrr_stack+14468, r12vrr_stack+24407, r12vrr_stack+22597);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+37715, r12vrr_stack+25163, r12vrr_stack+37127, r12vrr_stack+14783, r12vrr_stack+24722, r12vrr_stack+36707);
 tmp = r12vrr_stack + 37715;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+36707, r12vrr_stack+5521, r12vrr_stack+5549, NULL, NULL, r12vrr_stack+5500);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2982, r12vrr_stack+2730, r12vrr_stack+36707, r12vrr_stack+3570, r12vrr_stack+5521, r12vrr_stack+9942);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+36791, r12vrr_stack+2814, r12vrr_stack+2982, r12vrr_stack+2184, r12vrr_stack+2730, r12vrr_stack+2268);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24197, r12vrr_stack+25751, r12vrr_stack+36791, r12vrr_stack+15224, r12vrr_stack+2814, r12vrr_stack+10005);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14132, r12vrr_stack+26031, r12vrr_stack+24197, r12vrr_stack+15392, r12vrr_stack+25751, r12vrr_stack+476);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38471, r12vrr_stack+26451, r12vrr_stack+14132, r12vrr_stack+15672, r12vrr_stack+26031, r12vrr_stack+23237);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+39255, r12vrr_stack+27039, r12vrr_stack+38471, r12vrr_stack+16092, r12vrr_stack+26451, r12vrr_stack+37127);
 tmp = r12vrr_stack + 39255;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23237, r12vrr_stack+5763, r12vrr_stack+6698, NULL, NULL, r12vrr_stack+5549);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23345, r12vrr_stack+4417, r12vrr_stack+23237, r12vrr_stack+9411, r12vrr_stack+5763, r12vrr_stack+36707);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22597, r12vrr_stack+4525, r12vrr_stack+23345, r12vrr_stack+3717, r12vrr_stack+4417, r12vrr_stack+2982);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25751, r12vrr_stack+27823, r12vrr_stack+22597, r12vrr_stack+16680, r12vrr_stack+4525, r12vrr_stack+36791);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36707, r12vrr_stack+28183, r12vrr_stack+25751, r12vrr_stack+16896, r12vrr_stack+27823, r12vrr_stack+24197);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40263, r12vrr_stack+28723, r12vrr_stack+36707, r12vrr_stack+17256, r12vrr_stack+28183, r12vrr_stack+14132);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+41271, r12vrr_stack+29479, r12vrr_stack+40263, r12vrr_stack+17796, r12vrr_stack+28723, r12vrr_stack+38471);
 tmp = r12vrr_stack + 41271;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+38471, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+38474, r12vrr_stack+6621, r12vrr_stack+38471, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+38480, r12vrr_stack+210, r12vrr_stack+38474, r12vrr_stack+0, r12vrr_stack+6621, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+6624, r12vrr_stack+38480, r12vrr_stack+5721, r12vrr_stack+210, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+210, r12vrr_stack+6634, r12vrr_stack+0, r12vrr_stack+11122, r12vrr_stack+6624, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+6649, r12vrr_stack+210, r12vrr_stack+5727, r12vrr_stack+6634, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9411, r12vrr_stack+6670, r12vrr_stack+0, r12vrr_stack+5742, r12vrr_stack+6649, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+6698, r12vrr_stack+9411, r12vrr_stack+5549, r12vrr_stack+6670, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38471, r12vrr_stack+6734, r12vrr_stack+0, NULL, NULL, r12vrr_stack+6698);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38606, r12vrr_stack+6779, r12vrr_stack+38471, r12vrr_stack+5799, r12vrr_stack+6734, r12vrr_stack+23237);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14132, r12vrr_stack+6914, r12vrr_stack+38606, r12vrr_stack+5844, r12vrr_stack+6779, r12vrr_stack+23345);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38471, r12vrr_stack+30487, r12vrr_stack+14132, r12vrr_stack+18552, r12vrr_stack+6914, r12vrr_stack+22597);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24197, r12vrr_stack+30937, r12vrr_stack+38471, r12vrr_stack+18822, r12vrr_stack+30487, r12vrr_stack+25751);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25751, r12vrr_stack+31612, r12vrr_stack+24197, r12vrr_stack+19272, r12vrr_stack+30937, r12vrr_stack+36707);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27823, r12vrr_stack+32557, r12vrr_stack+25751, r12vrr_stack+19947, r12vrr_stack+31612, r12vrr_stack+40263);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11077, r12vrr_stack+6734, r12vrr_stack+0, r12vrr_stack+5763, r12vrr_stack+6698, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40263, r12vrr_stack+11022, r12vrr_stack+11077, NULL, NULL, r12vrr_stack+6734);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40428, r12vrr_stack+9447, r12vrr_stack+40263, r12vrr_stack+261, r12vrr_stack+11022, r12vrr_stack+6779);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25751, r12vrr_stack+9612, r12vrr_stack+40428, r12vrr_stack+8286, r12vrr_stack+9447, r12vrr_stack+6914);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40263, r12vrr_stack+33817, r12vrr_stack+25751, r12vrr_stack+20892, r12vrr_stack+9612, r12vrr_stack+30487);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25751, r12vrr_stack+34367, r12vrr_stack+40263, r12vrr_stack+21222, r12vrr_stack+33817, r12vrr_stack+30937);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42567, r12vrr_stack+35192, r12vrr_stack+25751, r12vrr_stack+21772, r12vrr_stack+34367, r12vrr_stack+31612);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+25751, &(Data->ss_r12_ss), NULL, r12vrr_stack+161, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+25754, r12vrr_stack+25751, &(Data->ss_r12_ss), r12vrr_stack+164, r12vrr_stack+161, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+25760, r12vrr_stack+25754, r12vrr_stack+25751, r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+161, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+25770, r12vrr_stack+25760, r12vrr_stack+25754, r12vrr_stack+1185, r12vrr_stack+170, r12vrr_stack+164, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+25785, r12vrr_stack+25770, NULL, r12vrr_stack+1200, r12vrr_stack+1185, NULL, r12vrr_stack+170);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+25830, r12vrr_stack+25785, r12vrr_stack+25770, r12vrr_stack+1245, r12vrr_stack+1200, r12vrr_stack+1185, r12vrr_stack+180);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+25920, r12vrr_stack+25830, r12vrr_stack+25785, r12vrr_stack+1620, r12vrr_stack+1245, r12vrr_stack+1200, r12vrr_stack+316);
 tmp = r12vrr_stack + 25920;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+960, r12vrr_stack+25920, r12vrr_stack+25830, r12vrr_stack+1770, r12vrr_stack+1620, r12vrr_stack+1245, r12vrr_stack+376);
 tmp = r12vrr_stack + 960;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+26070, r12vrr_stack+960, r12vrr_stack+25920, r12vrr_stack+13817, r12vrr_stack+1770, r12vrr_stack+1620, r12vrr_stack+810);
 tmp = r12vrr_stack + 26070;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+25785, r12vrr_stack+25770, r12vrr_stack+25760, r12vrr_stack+2100, r12vrr_stack+1185, r12vrr_stack+170, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+25806, r12vrr_stack+25785, NULL, r12vrr_stack+2121, r12vrr_stack+2100, NULL, r12vrr_stack+1185);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+25869, r12vrr_stack+25806, r12vrr_stack+25785, r12vrr_stack+2394, r12vrr_stack+2121, r12vrr_stack+2100, r12vrr_stack+1200);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+2184, r12vrr_stack+25869, r12vrr_stack+25806, r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+2121, r12vrr_stack+1245);
 tmp = r12vrr_stack + 2184;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+26385, r12vrr_stack+2184, r12vrr_stack+25869, r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+1620);
 tmp = r12vrr_stack + 26385;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+33817, r12vrr_stack+26385, r12vrr_stack+2184, r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+1770);
 tmp = r12vrr_stack + 33817;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+2184, r12vrr_stack+25785, r12vrr_stack+25770, r12vrr_stack+3605, r12vrr_stack+2100, r12vrr_stack+1185, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+2212, r12vrr_stack+2184, NULL, r12vrr_stack+3633, r12vrr_stack+3605, NULL, r12vrr_stack+2100);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+25806, r12vrr_stack+2212, r12vrr_stack+2184, r12vrr_stack+3969, r12vrr_stack+3633, r12vrr_stack+3605, r12vrr_stack+2121);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+26700, r12vrr_stack+25806, r12vrr_stack+2212, r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+3633, r12vrr_stack+2394);
 tmp = r12vrr_stack + 26700;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2730, r12vrr_stack+26700, r12vrr_stack+25806, r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+2520);
 tmp = r12vrr_stack + 2730;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+34258, r12vrr_stack+2730, r12vrr_stack+26700, r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+3150);
 tmp = r12vrr_stack + 34258;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29443, r12vrr_stack+2184, r12vrr_stack+25785, r12vrr_stack+5577, r12vrr_stack+3605, r12vrr_stack+2100, NULL);

 /*--- compute (p0||k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26700, r12vrr_stack+29443, NULL, r12vrr_stack+5613, r12vrr_stack+5577, NULL, r12vrr_stack+3605);

 /*--- compute (d0||k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26808, r12vrr_stack+26700, r12vrr_stack+29443, r12vrr_stack+6045, r12vrr_stack+5613, r12vrr_stack+5577, r12vrr_stack+3633);

 /*--- compute (f0||k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22597, r12vrr_stack+26808, r12vrr_stack+26700, r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+5613, r12vrr_stack+3969);
 tmp = r12vrr_stack + 22597;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23237, r12vrr_stack+22597, r12vrr_stack+26808, r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+4137);
 tmp = r12vrr_stack + 23237;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+40263, r12vrr_stack+23237, r12vrr_stack+22597, r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+4977);
 tmp = r12vrr_stack + 40263;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22597, r12vrr_stack+29443, r12vrr_stack+2184, r12vrr_stack+8106, r12vrr_stack+5577, r12vrr_stack+3605, NULL);

 /*--- compute (p0||l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22642, r12vrr_stack+22597, NULL, r12vrr_stack+8151, r12vrr_stack+8106, NULL, r12vrr_stack+5577);

 /*--- compute (d0||l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26700, r12vrr_stack+22642, r12vrr_stack+22597, r12vrr_stack+8691, r12vrr_stack+8151, r12vrr_stack+8106, r12vrr_stack+5613);

 /*--- compute (f0||l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30487, r12vrr_stack+26700, r12vrr_stack+22642, r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+8151, r12vrr_stack+6045);
 tmp = r12vrr_stack + 30487;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30937, r12vrr_stack+30487, r12vrr_stack+26700, r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+6261);
 tmp = r12vrr_stack + 30937;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31612, r12vrr_stack+30937, r12vrr_stack+30487, r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+7341);
 tmp = r12vrr_stack + 31612;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30487, r12vrr_stack+1620, r12vrr_stack+2520, r12vrr_stack+1770, r12vrr_stack+810, r12vrr_stack+376);
 tmp = r12vrr_stack + 30487;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30637, r12vrr_stack+2520, r12vrr_stack+4137, r12vrr_stack+3150, r12vrr_stack+1770, r12vrr_stack+1620);
 tmp = r12vrr_stack + 30637;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26700, r12vrr_stack+4137, r12vrr_stack+6261, r12vrr_stack+4977, r12vrr_stack+3150, r12vrr_stack+2520);
 tmp = r12vrr_stack + 26700;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+22597, r12vrr_stack+6261, r12vrr_stack+8961, r12vrr_stack+7341, r12vrr_stack+4977, r12vrr_stack+4137);
 tmp = r12vrr_stack + 22597;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20892, r12vrr_stack+8961, r12vrr_stack+12342, r12vrr_stack+10347, r12vrr_stack+7341, r12vrr_stack+6261);
 tmp = r12vrr_stack + 20892;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25751, r12vrr_stack+1770, r12vrr_stack+3150, r12vrr_stack+13817, r12vrr_stack+13142, r12vrr_stack+810);
 tmp = r12vrr_stack + 25751;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34846, r12vrr_stack+3150, r12vrr_stack+4977, r12vrr_stack+14783, r12vrr_stack+13817, r12vrr_stack+1770);
 tmp = r12vrr_stack + 34846;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21342, r12vrr_stack+4977, r12vrr_stack+7341, r12vrr_stack+16092, r12vrr_stack+14783, r12vrr_stack+3150);
 tmp = r12vrr_stack + 21342;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+7341, r12vrr_stack+10347, r12vrr_stack+17796, r12vrr_stack+16092, r12vrr_stack+4977);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+36707, r12vrr_stack+10347, r12vrr_stack+21772, r12vrr_stack+19947, r12vrr_stack+17796, r12vrr_stack+7341);
 tmp = r12vrr_stack + 36707;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+540, r12vrr_stack+13817, r12vrr_stack+14783, r12vrr_stack+23777, r12vrr_stack+22957, r12vrr_stack+13142);
 tmp = r12vrr_stack + 540;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24197, r12vrr_stack+14783, r12vrr_stack+16092, r12vrr_stack+25163, r12vrr_stack+23777, r12vrr_stack+13817);
 tmp = r12vrr_stack + 24197;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38471, r12vrr_stack+16092, r12vrr_stack+17796, r12vrr_stack+27039, r12vrr_stack+25163, r12vrr_stack+14783);
 tmp = r12vrr_stack + 38471;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18552, r12vrr_stack+17796, r12vrr_stack+19947, r12vrr_stack+29479, r12vrr_stack+27039, r12vrr_stack+16092);
 tmp = r12vrr_stack + 18552;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+16680, r12vrr_stack+19947, r12vrr_stack+35192, r12vrr_stack+32557, r12vrr_stack+29479, r12vrr_stack+17796);
 tmp = r12vrr_stack + 16680;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24638, r12vrr_stack+23777, r12vrr_stack+25163, r12vrr_stack+11132, r12vrr_stack+36347, r12vrr_stack+22957);
 tmp = r12vrr_stack + 24638;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19308, r12vrr_stack+25163, r12vrr_stack+27039, r12vrr_stack+37715, r12vrr_stack+11132, r12vrr_stack+23777);
 tmp = r12vrr_stack + 19308;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9411, r12vrr_stack+27039, r12vrr_stack+29479, r12vrr_stack+39255, r12vrr_stack+37715, r12vrr_stack+25163);
 tmp = r12vrr_stack + 9411;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+44107, r12vrr_stack+29479, r12vrr_stack+32557, r12vrr_stack+41271, r12vrr_stack+39255, r12vrr_stack+27039);
 tmp = r12vrr_stack + 44107;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+45115, r12vrr_stack+32557, r12vrr_stack+42567, r12vrr_stack+27823, r12vrr_stack+41271, r12vrr_stack+29479);
 tmp = r12vrr_stack + 45115;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22957, r12vrr_stack+1620, r12vrr_stack+1770, r12vrr_stack+2520, r12vrr_stack+2394, r12vrr_stack+1245);
 tmp = r12vrr_stack + 22957;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36347, r12vrr_stack+2520, r12vrr_stack+3150, r12vrr_stack+4137, r12vrr_stack+3969, r12vrr_stack+2394);
 tmp = r12vrr_stack + 36347;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1185, r12vrr_stack+4137, r12vrr_stack+4977, r12vrr_stack+6261, r12vrr_stack+6045, r12vrr_stack+3969);
 tmp = r12vrr_stack + 1185;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14132, r12vrr_stack+6261, r12vrr_stack+7341, r12vrr_stack+8961, r12vrr_stack+8691, r12vrr_stack+6045);
 tmp = r12vrr_stack + 14132;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6621, r12vrr_stack+8961, r12vrr_stack+10347, r12vrr_stack+12342, r12vrr_stack+12012, r12vrr_stack+8691);
 tmp = r12vrr_stack + 6621;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41019, r12vrr_stack+1770, r12vrr_stack+13817, r12vrr_stack+3150, r12vrr_stack+2520, r12vrr_stack+1620);
 tmp = r12vrr_stack + 41019;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37382, r12vrr_stack+3150, r12vrr_stack+14783, r12vrr_stack+4977, r12vrr_stack+4137, r12vrr_stack+2520);
 tmp = r12vrr_stack + 37382;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4417, r12vrr_stack+4977, r12vrr_stack+16092, r12vrr_stack+7341, r12vrr_stack+6261, r12vrr_stack+4137);
 tmp = r12vrr_stack + 4417;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15224, r12vrr_stack+7341, r12vrr_stack+17796, r12vrr_stack+10347, r12vrr_stack+8961, r12vrr_stack+6261);
 tmp = r12vrr_stack + 15224;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7881, r12vrr_stack+10347, r12vrr_stack+19947, r12vrr_stack+21772, r12vrr_stack+12342, r12vrr_stack+8961);
 tmp = r12vrr_stack + 7881;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15764, r12vrr_stack+13817, r12vrr_stack+23777, r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+1770);
 tmp = r12vrr_stack + 15764;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13352, r12vrr_stack+14783, r12vrr_stack+25163, r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+3150);
 tmp = r12vrr_stack + 13352;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8556, r12vrr_stack+16092, r12vrr_stack+27039, r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+4977);
 tmp = r12vrr_stack + 8556;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11672, r12vrr_stack+17796, r12vrr_stack+29479, r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+7341);
 tmp = r12vrr_stack + 11672;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3465, r12vrr_stack+19947, r12vrr_stack+32557, r12vrr_stack+35192, r12vrr_stack+21772, r12vrr_stack+10347);
 tmp = r12vrr_stack + 3465;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21762, r12vrr_stack+23777, r12vrr_stack+11132, r12vrr_stack+25163, r12vrr_stack+14783, r12vrr_stack+13817);
 tmp = r12vrr_stack + 21762;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11022, r12vrr_stack+25163, r12vrr_stack+37715, r12vrr_stack+27039, r12vrr_stack+16092, r12vrr_stack+14783);
 tmp = r12vrr_stack + 11022;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5397, r12vrr_stack+27039, r12vrr_stack+39255, r12vrr_stack+29479, r12vrr_stack+17796, r12vrr_stack+16092);
 tmp = r12vrr_stack + 5397;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+39059, r12vrr_stack+29479, r12vrr_stack+41271, r12vrr_stack+32557, r12vrr_stack+19947, r12vrr_stack+17796);
 tmp = r12vrr_stack + 39059;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41244, r12vrr_stack+32557, r12vrr_stack+27823, r12vrr_stack+42567, r12vrr_stack+35192, r12vrr_stack+19947);
 tmp = r12vrr_stack + 41244;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+27823, r12vrr_stack+26070, r12vrr_stack+960, r12vrr_stack+23777, r12vrr_stack+13817, r12vrr_stack+1770, r12vrr_stack+13142);
 tmp = r12vrr_stack + 27823;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+28243, r12vrr_stack+33817, r12vrr_stack+26385, r12vrr_stack+25163, r12vrr_stack+14783, r12vrr_stack+3150, r12vrr_stack+13817);
 tmp = r12vrr_stack + 28243;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+1465, r12vrr_stack+34258, r12vrr_stack+2730, r12vrr_stack+27039, r12vrr_stack+16092, r12vrr_stack+4977, r12vrr_stack+14783);
 tmp = r12vrr_stack + 1465;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+33817, r12vrr_stack+40263, r12vrr_stack+23237, r12vrr_stack+29479, r12vrr_stack+17796, r12vrr_stack+7341, r12vrr_stack+16092);
 tmp = r12vrr_stack + 33817;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+28831, r12vrr_stack+31612, r12vrr_stack+30937, r12vrr_stack+32557, r12vrr_stack+19947, r12vrr_stack+10347, r12vrr_stack+17796);
 tmp = r12vrr_stack + 28831;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];


}

