#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_g0hh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+4);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+196, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+161, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1542, r12vrr_stack+6, r12vrr_stack+161, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+196);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1560, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1578, r12vrr_stack+39, r12vrr_stack+1560, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+161);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1614, r12vrr_stack+75, r12vrr_stack+1578, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+1542);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+30, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1674, r12vrr_stack+226, r12vrr_stack+30, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+1560);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1734, r12vrr_stack+256, r12vrr_stack+1674, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+1578);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1834, r12vrr_stack+376, r12vrr_stack+1734, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+1614);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+226, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+229, r12vrr_stack+27, r12vrr_stack+226, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+235, r12vrr_stack+180, r12vrr_stack+229, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+245, r12vrr_stack+186, r12vrr_stack+235, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+260, r12vrr_stack+867, r12vrr_stack+245, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+305, r12vrr_stack+882, r12vrr_stack+260, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+30);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1984, r12vrr_stack+927, r12vrr_stack+305, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+1674);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2134, r12vrr_stack+1017, r12vrr_stack+1984, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+1734);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2359, r12vrr_stack+1317, r12vrr_stack+2134, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+1834);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+395, r12vrr_stack+51, r12vrr_stack+30, NULL, NULL, r12vrr_stack+506);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+72, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+93, r12vrr_stack+72, r12vrr_stack+51, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+867, r12vrr_stack+245, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+30, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1626, r12vrr_stack+395, r12vrr_stack+1563, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+882);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+93, r12vrr_stack+395, r12vrr_stack+72, r12vrr_stack+51, r12vrr_stack+521);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2674, r12vrr_stack+1752, r12vrr_stack+1626, r12vrr_stack+93, r12vrr_stack+395, r12vrr_stack+927);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+521, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+882, r12vrr_stack+521, r12vrr_stack+72, NULL, NULL, r12vrr_stack+491);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2884, r12vrr_stack+882, r12vrr_stack+93, r12vrr_stack+521, r12vrr_stack+72, r12vrr_stack+566);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3010, r12vrr_stack+2884, r12vrr_stack+1752, r12vrr_stack+882, r12vrr_stack+93, r12vrr_stack+611);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+542, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+545, r12vrr_stack+226, r12vrr_stack+542, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+551, r12vrr_stack+229, r12vrr_stack+545, r12vrr_stack+27, r12vrr_stack+226, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+561, r12vrr_stack+235, r12vrr_stack+551, r12vrr_stack+180, r12vrr_stack+229, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+576, r12vrr_stack+245, r12vrr_stack+561, r12vrr_stack+186, r12vrr_stack+235, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+597, r12vrr_stack+1542, r12vrr_stack+576, NULL, NULL, r12vrr_stack+245);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3220, r12vrr_stack+1563, r12vrr_stack+597, r12vrr_stack+30, r12vrr_stack+1542, r12vrr_stack+260);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3346, r12vrr_stack+1626, r12vrr_stack+3220, r12vrr_stack+395, r12vrr_stack+1563, r12vrr_stack+305);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3556, r12vrr_stack+2674, r12vrr_stack+3346, r12vrr_stack+1752, r12vrr_stack+1626, r12vrr_stack+1984);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3871, r12vrr_stack+3010, r12vrr_stack+2674, r12vrr_stack+2884, r12vrr_stack+1752, r12vrr_stack+1017);
 tmp = r12vrr_stack + 3871;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4186, r12vrr_stack+3871, r12vrr_stack+3556, r12vrr_stack+3010, r12vrr_stack+2674, r12vrr_stack+2134);
 tmp = r12vrr_stack + 4186;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+260, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+288, r12vrr_stack+72, r12vrr_stack+51, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+316, r12vrr_stack+30, r12vrr_stack+1542, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+945, r12vrr_stack+260, r12vrr_stack+316, NULL, NULL, r12vrr_stack+30);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1029, r12vrr_stack+288, r12vrr_stack+260, NULL, NULL, r12vrr_stack+51);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1878, r12vrr_stack+1029, r12vrr_stack+945, r12vrr_stack+288, r12vrr_stack+260, r12vrr_stack+395);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+344, r12vrr_stack+521, r12vrr_stack+72, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+372, r12vrr_stack+344, r12vrr_stack+288, NULL, NULL, r12vrr_stack+72);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2046, r12vrr_stack+372, r12vrr_stack+1029, r12vrr_stack+344, r12vrr_stack+288, r12vrr_stack+93);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93, r12vrr_stack+1542, r12vrr_stack+576, r12vrr_stack+867, r12vrr_stack+245, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+121, r12vrr_stack+316, r12vrr_stack+93, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4627, r12vrr_stack+945, r12vrr_stack+121, r12vrr_stack+260, r12vrr_stack+316, r12vrr_stack+1563);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4795, r12vrr_stack+1878, r12vrr_stack+4627, r12vrr_stack+1029, r12vrr_stack+945, r12vrr_stack+1626);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5075, r12vrr_stack+2046, r12vrr_stack+1878, r12vrr_stack+372, r12vrr_stack+1029, r12vrr_stack+1752);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5355, r12vrr_stack+5075, r12vrr_stack+4795, r12vrr_stack+2046, r12vrr_stack+1878, r12vrr_stack+2674);
 tmp = r12vrr_stack + 5355;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2674, r12vrr_stack+542, r12vrr_stack+27, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2680, r12vrr_stack+545, r12vrr_stack+2674, r12vrr_stack+226, r12vrr_stack+542, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+551, r12vrr_stack+2680, r12vrr_stack+229, r12vrr_stack+545, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2690, r12vrr_stack+561, r12vrr_stack+867, r12vrr_stack+235, r12vrr_stack+551, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2711, r12vrr_stack+576, r12vrr_stack+2690, r12vrr_stack+245, r12vrr_stack+561, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2739, r12vrr_stack+93, r12vrr_stack+2711, NULL, NULL, r12vrr_stack+576);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+121, r12vrr_stack+2739, r12vrr_stack+316, r12vrr_stack+93, r12vrr_stack+597);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+4627, r12vrr_stack+1563, r12vrr_stack+945, r12vrr_stack+121, r12vrr_stack+3220);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6055, r12vrr_stack+4795, r12vrr_stack+5775, r12vrr_stack+1878, r12vrr_stack+4627, r12vrr_stack+3346);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6475, r12vrr_stack+5355, r12vrr_stack+6055, r12vrr_stack+5075, r12vrr_stack+4795, r12vrr_stack+3556);
 tmp = r12vrr_stack + 6475;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3220, r12vrr_stack+260, r12vrr_stack+316, r12vrr_stack+51, r12vrr_stack+30, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3256, r12vrr_stack+288, r12vrr_stack+260, r12vrr_stack+72, r12vrr_stack+51, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3292, r12vrr_stack+316, r12vrr_stack+93, r12vrr_stack+30, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3328, r12vrr_stack+3220, r12vrr_stack+3292, NULL, NULL, r12vrr_stack+316);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3436, r12vrr_stack+3256, r12vrr_stack+3220, NULL, NULL, r12vrr_stack+260);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3544, r12vrr_stack+3436, r12vrr_stack+3328, r12vrr_stack+3256, r12vrr_stack+3220, r12vrr_stack+945);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+945, r12vrr_stack+344, r12vrr_stack+288, r12vrr_stack+521, r12vrr_stack+72, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3760, r12vrr_stack+945, r12vrr_stack+3256, NULL, NULL, r12vrr_stack+288);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7063, r12vrr_stack+3760, r12vrr_stack+3436, r12vrr_stack+945, r12vrr_stack+3256, r12vrr_stack+1029);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+981, r12vrr_stack+93, r12vrr_stack+2711, r12vrr_stack+1542, r12vrr_stack+576, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1017, r12vrr_stack+3292, r12vrr_stack+981, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7279, r12vrr_stack+3328, r12vrr_stack+1017, r12vrr_stack+3220, r12vrr_stack+3292, r12vrr_stack+121);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7495, r12vrr_stack+3544, r12vrr_stack+7279, r12vrr_stack+3436, r12vrr_stack+3328, r12vrr_stack+4627);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7855, r12vrr_stack+7063, r12vrr_stack+3544, r12vrr_stack+3760, r12vrr_stack+3436, r12vrr_stack+1878);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8215, r12vrr_stack+7855, r12vrr_stack+7495, r12vrr_stack+7063, r12vrr_stack+3544, r12vrr_stack+4795);
 tmp = r12vrr_stack + 8215;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3868, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4627, r12vrr_stack+27, r12vrr_stack+3868, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4633, r12vrr_stack+2674, r12vrr_stack+4627, r12vrr_stack+542, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4643, r12vrr_stack+2680, r12vrr_stack+4633, r12vrr_stack+545, r12vrr_stack+2674, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+867, r12vrr_stack+4643, r12vrr_stack+551, r12vrr_stack+2680, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4658, r12vrr_stack+2690, r12vrr_stack+1542, r12vrr_stack+561, r12vrr_stack+867, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4686, r12vrr_stack+2711, r12vrr_stack+4658, r12vrr_stack+576, r12vrr_stack+2690, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+542, r12vrr_stack+981, r12vrr_stack+4686, NULL, NULL, r12vrr_stack+2711);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4722, r12vrr_stack+1017, r12vrr_stack+542, r12vrr_stack+3292, r12vrr_stack+981, r12vrr_stack+2739);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8755, r12vrr_stack+7279, r12vrr_stack+4722, r12vrr_stack+3328, r12vrr_stack+1017, r12vrr_stack+1563);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9115, r12vrr_stack+7495, r12vrr_stack+8755, r12vrr_stack+3544, r12vrr_stack+7279, r12vrr_stack+5775);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9655, r12vrr_stack+8215, r12vrr_stack+9115, r12vrr_stack+7855, r12vrr_stack+7495, r12vrr_stack+6055);
 tmp = r12vrr_stack + 9655;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+3220, r12vrr_stack+3292, r12vrr_stack+260, r12vrr_stack+316, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5820, r12vrr_stack+3256, r12vrr_stack+3220, r12vrr_stack+288, r12vrr_stack+260, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5865, r12vrr_stack+3292, r12vrr_stack+981, r12vrr_stack+316, r12vrr_stack+93, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5910, r12vrr_stack+5775, r12vrr_stack+5865, NULL, NULL, r12vrr_stack+3292);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6045, r12vrr_stack+5820, r12vrr_stack+5775, NULL, NULL, r12vrr_stack+3220);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6180, r12vrr_stack+6045, r12vrr_stack+5910, r12vrr_stack+5820, r12vrr_stack+5775, r12vrr_stack+3328);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3328, r12vrr_stack+945, r12vrr_stack+3256, r12vrr_stack+344, r12vrr_stack+288, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+3328, r12vrr_stack+5820, NULL, NULL, r12vrr_stack+3256);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1698, r12vrr_stack+1563, r12vrr_stack+6045, r12vrr_stack+3328, r12vrr_stack+5820, r12vrr_stack+3436);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3373, r12vrr_stack+981, r12vrr_stack+4686, r12vrr_stack+93, r12vrr_stack+2711, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2739, r12vrr_stack+5865, r12vrr_stack+3373, NULL, NULL, r12vrr_stack+981);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30, r12vrr_stack+5910, r12vrr_stack+2739, r12vrr_stack+5775, r12vrr_stack+5865, r12vrr_stack+1017);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10411, r12vrr_stack+6180, r12vrr_stack+30, r12vrr_stack+6045, r12vrr_stack+5910, r12vrr_stack+7279);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10861, r12vrr_stack+1698, r12vrr_stack+6180, r12vrr_stack+1563, r12vrr_stack+6045, r12vrr_stack+3544);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11311, r12vrr_stack+10861, r12vrr_stack+10411, r12vrr_stack+1698, r12vrr_stack+6180, r12vrr_stack+7495);
 tmp = r12vrr_stack + 11311;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7279, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7282, r12vrr_stack+3868, r12vrr_stack+7279, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2874, r12vrr_stack+4627, r12vrr_stack+7282, r12vrr_stack+27, r12vrr_stack+3868, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+11986, r12vrr_stack+4633, r12vrr_stack+2874, r12vrr_stack+2674, r12vrr_stack+4627, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7288, r12vrr_stack+4643, r12vrr_stack+11986, r12vrr_stack+2680, r12vrr_stack+4633, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7309, r12vrr_stack+1542, r12vrr_stack+7288, r12vrr_stack+867, r12vrr_stack+4643, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7337, r12vrr_stack+4658, r12vrr_stack+7309, r12vrr_stack+2690, r12vrr_stack+1542, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7373, r12vrr_stack+4686, r12vrr_stack+7337, r12vrr_stack+2711, r12vrr_stack+4658, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7418, r12vrr_stack+3373, r12vrr_stack+7373, NULL, NULL, r12vrr_stack+4686);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7553, r12vrr_stack+2739, r12vrr_stack+7418, r12vrr_stack+5865, r12vrr_stack+3373, r12vrr_stack+542);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12001, r12vrr_stack+30, r12vrr_stack+7553, r12vrr_stack+5910, r12vrr_stack+2739, r12vrr_stack+4722);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12451, r12vrr_stack+10411, r12vrr_stack+12001, r12vrr_stack+6180, r12vrr_stack+30, r12vrr_stack+8755);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13126, r12vrr_stack+11311, r12vrr_stack+12451, r12vrr_stack+10861, r12vrr_stack+10411, r12vrr_stack+9115);
 tmp = r12vrr_stack + 13126;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8755, r12vrr_stack+5775, r12vrr_stack+5865, r12vrr_stack+3220, r12vrr_stack+3292, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8810, r12vrr_stack+5820, r12vrr_stack+5775, r12vrr_stack+3256, r12vrr_stack+3220, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8865, r12vrr_stack+5865, r12vrr_stack+3373, r12vrr_stack+3292, r12vrr_stack+981, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8920, r12vrr_stack+8755, r12vrr_stack+8865, NULL, NULL, r12vrr_stack+5865);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9085, r12vrr_stack+8810, r12vrr_stack+8755, NULL, NULL, r12vrr_stack+5775);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9250, r12vrr_stack+9085, r12vrr_stack+8920, r12vrr_stack+8810, r12vrr_stack+8755, r12vrr_stack+5910);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5910, r12vrr_stack+3328, r12vrr_stack+5820, r12vrr_stack+945, r12vrr_stack+3256, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4722, r12vrr_stack+5910, r12vrr_stack+8810, NULL, NULL, r12vrr_stack+5820);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3418, r12vrr_stack+4722, r12vrr_stack+9085, r12vrr_stack+5910, r12vrr_stack+8810, r12vrr_stack+6045);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+3373, r12vrr_stack+7373, r12vrr_stack+981, r12vrr_stack+4686, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+981, r12vrr_stack+8865, r12vrr_stack+5965, NULL, NULL, r12vrr_stack+3373);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14071, r12vrr_stack+8920, r12vrr_stack+981, r12vrr_stack+8755, r12vrr_stack+8865, r12vrr_stack+2739);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14401, r12vrr_stack+9250, r12vrr_stack+14071, r12vrr_stack+9085, r12vrr_stack+8920, r12vrr_stack+30);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14951, r12vrr_stack+3418, r12vrr_stack+9250, r12vrr_stack+4722, r12vrr_stack+9085, r12vrr_stack+6180);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15501, r12vrr_stack+14951, r12vrr_stack+14401, r12vrr_stack+3418, r12vrr_stack+9250, r12vrr_stack+10411);
 tmp = r12vrr_stack + 15501;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+10411, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+10414, r12vrr_stack+7279, r12vrr_stack+10411, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+10420, r12vrr_stack+7282, r12vrr_stack+10414, r12vrr_stack+3868, r12vrr_stack+7279, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+2874, r12vrr_stack+10420, r12vrr_stack+4627, r12vrr_stack+7282, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1146, r12vrr_stack+11986, r12vrr_stack+867, r12vrr_stack+4633, r12vrr_stack+2874, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10430, r12vrr_stack+7288, r12vrr_stack+1146, r12vrr_stack+4643, r12vrr_stack+11986, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10458, r12vrr_stack+7309, r12vrr_stack+10430, r12vrr_stack+1542, r12vrr_stack+7288, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10494, r12vrr_stack+7337, r12vrr_stack+10458, r12vrr_stack+4658, r12vrr_stack+7309, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4627, r12vrr_stack+7373, r12vrr_stack+10494, r12vrr_stack+4686, r12vrr_stack+7337, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10539, r12vrr_stack+5965, r12vrr_stack+4627, NULL, NULL, r12vrr_stack+7373);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6020, r12vrr_stack+981, r12vrr_stack+10539, r12vrr_stack+8865, r12vrr_stack+5965, r12vrr_stack+7418);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16326, r12vrr_stack+14071, r12vrr_stack+6020, r12vrr_stack+8920, r12vrr_stack+981, r12vrr_stack+7553);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16876, r12vrr_stack+14401, r12vrr_stack+16326, r12vrr_stack+9250, r12vrr_stack+14071, r12vrr_stack+12001);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17701, r12vrr_stack+15501, r12vrr_stack+16876, r12vrr_stack+14951, r12vrr_stack+14401, r12vrr_stack+12451);
 tmp = r12vrr_stack + 17701;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12001, r12vrr_stack+8755, r12vrr_stack+8865, r12vrr_stack+5775, r12vrr_stack+5865, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12067, r12vrr_stack+8810, r12vrr_stack+8755, r12vrr_stack+5820, r12vrr_stack+5775, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12133, r12vrr_stack+8865, r12vrr_stack+5965, r12vrr_stack+5865, r12vrr_stack+3373, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12199, r12vrr_stack+12001, r12vrr_stack+12133, NULL, NULL, r12vrr_stack+8865);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12397, r12vrr_stack+12067, r12vrr_stack+12001, NULL, NULL, r12vrr_stack+8755);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12595, r12vrr_stack+12397, r12vrr_stack+12199, r12vrr_stack+12067, r12vrr_stack+12001, r12vrr_stack+8920);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8920, r12vrr_stack+5910, r12vrr_stack+8810, r12vrr_stack+3328, r12vrr_stack+5820, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7418, r12vrr_stack+8920, r12vrr_stack+12067, NULL, NULL, r12vrr_stack+8810);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18856, r12vrr_stack+7418, r12vrr_stack+12397, r12vrr_stack+8920, r12vrr_stack+12067, r12vrr_stack+9085);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8986, r12vrr_stack+5965, r12vrr_stack+4627, r12vrr_stack+3373, r12vrr_stack+7373, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9052, r12vrr_stack+12133, r12vrr_stack+8986, NULL, NULL, r12vrr_stack+5965);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19252, r12vrr_stack+12199, r12vrr_stack+9052, r12vrr_stack+12001, r12vrr_stack+12133, r12vrr_stack+981);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19648, r12vrr_stack+12595, r12vrr_stack+19252, r12vrr_stack+12397, r12vrr_stack+12199, r12vrr_stack+14071);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20308, r12vrr_stack+18856, r12vrr_stack+12595, r12vrr_stack+7418, r12vrr_stack+12397, r12vrr_stack+9250);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20968, r12vrr_stack+20308, r12vrr_stack+19648, r12vrr_stack+18856, r12vrr_stack+12595, r12vrr_stack+14401);
 tmp = r12vrr_stack + 20968;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3868, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9250, r12vrr_stack+10411, r12vrr_stack+3868, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9256, r12vrr_stack+10414, r12vrr_stack+9250, r12vrr_stack+7279, r12vrr_stack+10411, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9266, r12vrr_stack+10420, r12vrr_stack+9256, r12vrr_stack+7282, r12vrr_stack+10414, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+867, r12vrr_stack+9266, r12vrr_stack+2874, r12vrr_stack+10420, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9250, r12vrr_stack+1146, r12vrr_stack+1542, r12vrr_stack+11986, r12vrr_stack+867, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9278, r12vrr_stack+10430, r12vrr_stack+9250, r12vrr_stack+7288, r12vrr_stack+1146, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3373, r12vrr_stack+10458, r12vrr_stack+9278, r12vrr_stack+7309, r12vrr_stack+10430, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9250, r12vrr_stack+10494, r12vrr_stack+3373, r12vrr_stack+7337, r12vrr_stack+10458, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9305, r12vrr_stack+4627, r12vrr_stack+9250, r12vrr_stack+7373, r12vrr_stack+10494, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9371, r12vrr_stack+8986, r12vrr_stack+9305, NULL, NULL, r12vrr_stack+4627);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14071, r12vrr_stack+9052, r12vrr_stack+9371, r12vrr_stack+12133, r12vrr_stack+8986, r12vrr_stack+10539);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21958, r12vrr_stack+19252, r12vrr_stack+14071, r12vrr_stack+12199, r12vrr_stack+9052, r12vrr_stack+6020);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22618, r12vrr_stack+19648, r12vrr_stack+21958, r12vrr_stack+12595, r12vrr_stack+19252, r12vrr_stack+16326);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23608, r12vrr_stack+20968, r12vrr_stack+22618, r12vrr_stack+20308, r12vrr_stack+19648, r12vrr_stack+16876);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+1968, r12vrr_stack+12001, r12vrr_stack+12133, r12vrr_stack+8755, r12vrr_stack+8865, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16326, r12vrr_stack+12067, r12vrr_stack+12001, r12vrr_stack+8810, r12vrr_stack+8755, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16404, r12vrr_stack+12133, r12vrr_stack+8986, r12vrr_stack+8865, r12vrr_stack+5965, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16482, r12vrr_stack+1968, r12vrr_stack+16404, NULL, NULL, r12vrr_stack+12133);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16716, r12vrr_stack+16326, r12vrr_stack+1968, NULL, NULL, r12vrr_stack+12001);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16950, r12vrr_stack+16716, r12vrr_stack+16482, r12vrr_stack+16326, r12vrr_stack+1968, r12vrr_stack+12199);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+12133, r12vrr_stack+8920, r12vrr_stack+12067, r12vrr_stack+5910, r12vrr_stack+8810, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17418, r12vrr_stack+12133, r12vrr_stack+16326, NULL, NULL, r12vrr_stack+12067);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21958, r12vrr_stack+17418, r12vrr_stack+16716, r12vrr_stack+12133, r12vrr_stack+16326, r12vrr_stack+12397);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16326, r12vrr_stack+8986, r12vrr_stack+9305, r12vrr_stack+5965, r12vrr_stack+4627, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+16404, r12vrr_stack+16326, NULL, NULL, r12vrr_stack+8986);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22426, r12vrr_stack+16482, r12vrr_stack+5965, r12vrr_stack+1968, r12vrr_stack+16404, r12vrr_stack+9052);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14071, r12vrr_stack+16950, r12vrr_stack+22426, r12vrr_stack+16716, r12vrr_stack+16482, r12vrr_stack+19252);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22426, r12vrr_stack+21958, r12vrr_stack+16950, r12vrr_stack+17418, r12vrr_stack+16716, r12vrr_stack+12595);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24994, r12vrr_stack+22426, r12vrr_stack+14071, r12vrr_stack+21958, r12vrr_stack+16950, r12vrr_stack+19648);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3868, &(Data->ss_r12_ss), NULL, r12vrr_stack+24, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+21958, r12vrr_stack+3868, &(Data->ss_r12_ss), r12vrr_stack+701, r12vrr_stack+24, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+21964, r12vrr_stack+21958, r12vrr_stack+3868, r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+24, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+21964, r12vrr_stack+21958, r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+701, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1542, r12vrr_stack+867, r12vrr_stack+21964, r12vrr_stack+521, r12vrr_stack+717, r12vrr_stack+707, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+21958, r12vrr_stack+1542, NULL, r12vrr_stack+882, r12vrr_stack+521, NULL, r12vrr_stack+717);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+22021, r12vrr_stack+21958, r12vrr_stack+1542, r12vrr_stack+2884, r12vrr_stack+882, r12vrr_stack+521, r12vrr_stack+732);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+2674, r12vrr_stack+22021, r12vrr_stack+21958, r12vrr_stack+3010, r12vrr_stack+2884, r12vrr_stack+882, r12vrr_stack+777);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+21958, r12vrr_stack+1542, r12vrr_stack+867, r12vrr_stack+344, r12vrr_stack+521, r12vrr_stack+717, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+22147, r12vrr_stack+21958, NULL, r12vrr_stack+372, r12vrr_stack+344, NULL, r12vrr_stack+521);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+22231, r12vrr_stack+22147, r12vrr_stack+21958, r12vrr_stack+2046, r12vrr_stack+372, r12vrr_stack+344, r12vrr_stack+882);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+14071, r12vrr_stack+22231, r12vrr_stack+22147, r12vrr_stack+5075, r12vrr_stack+2046, r12vrr_stack+372, r12vrr_stack+2884);

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22147, r12vrr_stack+21958, r12vrr_stack+1542, r12vrr_stack+945, r12vrr_stack+344, r12vrr_stack+521, NULL);

 /*--- compute (p0||k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3220, r12vrr_stack+22147, NULL, r12vrr_stack+3760, r12vrr_stack+945, NULL, r12vrr_stack+344);

 /*--- compute (d0||k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14351, r12vrr_stack+3220, r12vrr_stack+22147, r12vrr_stack+7063, r12vrr_stack+3760, r12vrr_stack+945, r12vrr_stack+372);

 /*--- compute (f0||k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+372, r12vrr_stack+14351, r12vrr_stack+3220, r12vrr_stack+7855, r12vrr_stack+7063, r12vrr_stack+3760, r12vrr_stack+2046);

 /*--- compute (00||l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3373, r12vrr_stack+22147, r12vrr_stack+21958, r12vrr_stack+3328, r12vrr_stack+945, r12vrr_stack+344, NULL);

 /*--- compute (p0||l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+3373, NULL, r12vrr_stack+1563, r12vrr_stack+3328, NULL, r12vrr_stack+945);

 /*--- compute (d0||l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14567, r12vrr_stack+5775, r12vrr_stack+3373, r12vrr_stack+1698, r12vrr_stack+1563, r12vrr_stack+3328, r12vrr_stack+3760);

 /*--- compute (f0||l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10411, r12vrr_stack+14567, r12vrr_stack+5775, r12vrr_stack+10861, r12vrr_stack+1698, r12vrr_stack+1563, r12vrr_stack+7063);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+3373, r12vrr_stack+22147, r12vrr_stack+5910, r12vrr_stack+3328, r12vrr_stack+945, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8755, r12vrr_stack+5775, NULL, r12vrr_stack+4722, r12vrr_stack+5910, NULL, r12vrr_stack+3328);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+732, r12vrr_stack+8755, r12vrr_stack+5775, r12vrr_stack+3418, r12vrr_stack+4722, r12vrr_stack+5910, r12vrr_stack+1563);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19252, r12vrr_stack+732, r12vrr_stack+8755, r12vrr_stack+14951, r12vrr_stack+3418, r12vrr_stack+4722, r12vrr_stack+1698);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8755, r12vrr_stack+5775, r12vrr_stack+3373, r12vrr_stack+8920, r12vrr_stack+5910, r12vrr_stack+3328, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3220, r12vrr_stack+8755, NULL, r12vrr_stack+7418, r12vrr_stack+8920, NULL, r12vrr_stack+5910);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+3220, r12vrr_stack+8755, r12vrr_stack+18856, r12vrr_stack+7418, r12vrr_stack+8920, r12vrr_stack+4722);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8755, r12vrr_stack+5775, r12vrr_stack+3220, r12vrr_stack+20308, r12vrr_stack+18856, r12vrr_stack+7418, r12vrr_stack+3418);

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19802, r12vrr_stack+3871, r12vrr_stack+5355, r12vrr_stack+4186, r12vrr_stack+2359, r12vrr_stack+1317);
 tmp = r12vrr_stack + 19802;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16326, r12vrr_stack+5355, r12vrr_stack+8215, r12vrr_stack+6475, r12vrr_stack+4186, r12vrr_stack+3871);
 tmp = r12vrr_stack + 16326;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+16746, r12vrr_stack+8215, r12vrr_stack+11311, r12vrr_stack+9655, r12vrr_stack+6475, r12vrr_stack+5355);
 tmp = r12vrr_stack + 16746;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11986, r12vrr_stack+11311, r12vrr_stack+15501, r12vrr_stack+13126, r12vrr_stack+9655, r12vrr_stack+8215);
 tmp = r12vrr_stack + 11986;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+26164, r12vrr_stack+15501, r12vrr_stack+20968, r12vrr_stack+17701, r12vrr_stack+13126, r12vrr_stack+11311);
 tmp = r12vrr_stack + 26164;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+26989, r12vrr_stack+20968, r12vrr_stack+24994, r12vrr_stack+23608, r12vrr_stack+17701, r12vrr_stack+15501);
 tmp = r12vrr_stack + 26989;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1317, r12vrr_stack+3871, r12vrr_stack+4186, r12vrr_stack+5355, r12vrr_stack+5075, r12vrr_stack+3010);
 tmp = r12vrr_stack + 1317;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4186, r12vrr_stack+5355, r12vrr_stack+6475, r12vrr_stack+8215, r12vrr_stack+7855, r12vrr_stack+5075);
 tmp = r12vrr_stack + 4186;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6171, r12vrr_stack+8215, r12vrr_stack+9655, r12vrr_stack+11311, r12vrr_stack+10861, r12vrr_stack+7855);
 tmp = r12vrr_stack + 6171;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9415, r12vrr_stack+11311, r12vrr_stack+13126, r12vrr_stack+15501, r12vrr_stack+14951, r12vrr_stack+10861);
 tmp = r12vrr_stack + 9415;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12661, r12vrr_stack+15501, r12vrr_stack+17701, r12vrr_stack+20968, r12vrr_stack+20308, r12vrr_stack+14951);
 tmp = r12vrr_stack + 12661;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+17286, r12vrr_stack+20968, r12vrr_stack+23608, r12vrr_stack+24994, r12vrr_stack+22426, r12vrr_stack+20308);
 tmp = r12vrr_stack + 17286;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+4606, r12vrr_stack+2674, r12vrr_stack+22021, r12vrr_stack+3871, r12vrr_stack+3010, r12vrr_stack+2884, r12vrr_stack+1167);
 tmp = r12vrr_stack + 4606;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+22399, r12vrr_stack+14071, r12vrr_stack+22231, r12vrr_stack+5355, r12vrr_stack+5075, r12vrr_stack+2046, r12vrr_stack+3010);
 tmp = r12vrr_stack + 22399;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22819, r12vrr_stack+372, r12vrr_stack+14351, r12vrr_stack+8215, r12vrr_stack+7855, r12vrr_stack+7063, r12vrr_stack+5075);
 tmp = r12vrr_stack + 22819;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4921, r12vrr_stack+10411, r12vrr_stack+14567, r12vrr_stack+11311, r12vrr_stack+10861, r12vrr_stack+1698, r12vrr_stack+7855);
 tmp = r12vrr_stack + 4921;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1632, r12vrr_stack+19252, r12vrr_stack+732, r12vrr_stack+15501, r12vrr_stack+14951, r12vrr_stack+3418, r12vrr_stack+10861);
 tmp = r12vrr_stack + 1632;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2457, r12vrr_stack+8755, r12vrr_stack+5775, r12vrr_stack+20968, r12vrr_stack+20308, r12vrr_stack+18856, r12vrr_stack+14951);
 tmp = r12vrr_stack + 2457;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];


}

