#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppfd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+39, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+48, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+51, r12vrr_stack+3, r12vrr_stack+48, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+51, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+21, r12vrr_stack+57, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+39);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+6, r12vrr_stack+51, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+131, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+134, r12vrr_stack+48, r12vrr_stack+131, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+140, r12vrr_stack+51, r12vrr_stack+134, r12vrr_stack+3, r12vrr_stack+48, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+150, r12vrr_stack+111, r12vrr_stack+140, NULL, NULL, r12vrr_stack+51);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+6);
 tmp = r12vrr_stack + 180;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+150, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+57);
 tmp = r12vrr_stack + 210;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+140, r12vrr_stack+6, r12vrr_stack+51, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+285, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+270, NULL, NULL, r12vrr_stack+111);
 tmp = r12vrr_stack + 300;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+345, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+348, r12vrr_stack+131, r12vrr_stack+345, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+354, r12vrr_stack+134, r12vrr_stack+348, r12vrr_stack+48, r12vrr_stack+131, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+364, r12vrr_stack+140, r12vrr_stack+354, r12vrr_stack+51, r12vrr_stack+134, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+379, r12vrr_stack+270, r12vrr_stack+364, NULL, NULL, r12vrr_stack+140);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+424, r12vrr_stack+300, r12vrr_stack+379, r12vrr_stack+285, r12vrr_stack+270, r12vrr_stack+150);
 tmp = r12vrr_stack + 424;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+514, r12vrr_stack+270, r12vrr_stack+364, r12vrr_stack+111, r12vrr_stack+140, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+535, r12vrr_stack+285, r12vrr_stack+270, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+556, r12vrr_stack+535, r12vrr_stack+514, NULL, NULL, r12vrr_stack+270);
 tmp = r12vrr_stack + 556;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+619, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+622, r12vrr_stack+345, r12vrr_stack+619, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+628, r12vrr_stack+348, r12vrr_stack+622, r12vrr_stack+131, r12vrr_stack+345, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+638, r12vrr_stack+354, r12vrr_stack+628, r12vrr_stack+134, r12vrr_stack+348, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+364, r12vrr_stack+638, r12vrr_stack+140, r12vrr_stack+354, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+674, r12vrr_stack+514, r12vrr_stack+653, NULL, NULL, r12vrr_stack+364);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+737, r12vrr_stack+556, r12vrr_stack+674, r12vrr_stack+535, r12vrr_stack+514, r12vrr_stack+379);
 tmp = r12vrr_stack + 737;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+863, r12vrr_stack+514, r12vrr_stack+653, r12vrr_stack+270, r12vrr_stack+364, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+891, r12vrr_stack+535, r12vrr_stack+514, r12vrr_stack+285, r12vrr_stack+270, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+919, r12vrr_stack+891, r12vrr_stack+863, NULL, NULL, r12vrr_stack+514);
 tmp = r12vrr_stack + 919;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+131, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1003, r12vrr_stack+3, r12vrr_stack+48, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1012, r12vrr_stack+39, r12vrr_stack+1003, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+131);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1030, r12vrr_stack+51, r12vrr_stack+134, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1048, r12vrr_stack+57, r12vrr_stack+1030, r12vrr_stack+6, r12vrr_stack+51, r12vrr_stack+1003);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1084, r12vrr_stack+75, r12vrr_stack+1048, r12vrr_stack+21, r12vrr_stack+57, r12vrr_stack+1012);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+39, r12vrr_stack+140, r12vrr_stack+354, NULL, NULL, r12vrr_stack+134);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1144, r12vrr_stack+150, r12vrr_stack+39, r12vrr_stack+111, r12vrr_stack+140, r12vrr_stack+1030);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1204, r12vrr_stack+210, r12vrr_stack+1144, r12vrr_stack+180, r12vrr_stack+150, r12vrr_stack+1048);
 tmp = r12vrr_stack + 1204;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1003, r12vrr_stack+364, r12vrr_stack+638, NULL, NULL, r12vrr_stack+354);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1304, r12vrr_stack+379, r12vrr_stack+1003, r12vrr_stack+270, r12vrr_stack+364, r12vrr_stack+39);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1394, r12vrr_stack+424, r12vrr_stack+1304, r12vrr_stack+300, r12vrr_stack+379, r12vrr_stack+1144);
 tmp = r12vrr_stack + 1394;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1144, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1147, r12vrr_stack+619, r12vrr_stack+1144, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+622, r12vrr_stack+1147, r12vrr_stack+345, r12vrr_stack+619, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+270, r12vrr_stack+628, r12vrr_stack+111, r12vrr_stack+348, r12vrr_stack+622, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1144, r12vrr_stack+638, r12vrr_stack+270, r12vrr_stack+354, r12vrr_stack+628, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1544, r12vrr_stack+653, r12vrr_stack+1144, NULL, NULL, r12vrr_stack+638);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1607, r12vrr_stack+674, r12vrr_stack+1544, r12vrr_stack+514, r12vrr_stack+653, r12vrr_stack+1003);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1733, r12vrr_stack+737, r12vrr_stack+1607, r12vrr_stack+556, r12vrr_stack+674, r12vrr_stack+1304);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1304, r12vrr_stack+653, r12vrr_stack+1144, r12vrr_stack+364, r12vrr_stack+638, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1544, r12vrr_stack+863, r12vrr_stack+1304, NULL, NULL, r12vrr_stack+653);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1943, r12vrr_stack+919, r12vrr_stack+1544, r12vrr_stack+891, r12vrr_stack+863, r12vrr_stack+674);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+863, &(Data->ss_r12_ss), NULL, r12vrr_stack+12, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+866, r12vrr_stack+863, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+12, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+866, r12vrr_stack+863, r12vrr_stack+121, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+1544, r12vrr_stack+111, NULL, r12vrr_stack+180, r12vrr_stack+121, NULL, r12vrr_stack+15);
 tmp = r12vrr_stack + 1544;
 target_ptr = Libr12->rvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+866, r12vrr_stack+285, r12vrr_stack+121, r12vrr_stack+15, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+1574, r12vrr_stack+270, NULL, r12vrr_stack+300, r12vrr_stack+285, NULL, r12vrr_stack+121);
 tmp = r12vrr_stack + 1574;
 target_ptr = Libr12->rvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+514, r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+535, r12vrr_stack+285, r12vrr_stack+121, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+1619, r12vrr_stack+514, NULL, r12vrr_stack+556, r12vrr_stack+535, NULL, r12vrr_stack+285);
 tmp = r12vrr_stack + 1619;
 target_ptr = Libr12->rvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1682, r12vrr_stack+180, r12vrr_stack+300, r12vrr_stack+210, r12vrr_stack+75, r12vrr_stack+21);
 tmp = r12vrr_stack + 1682;
 target_ptr = Libr12->t2vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1304, r12vrr_stack+300, r12vrr_stack+556, r12vrr_stack+424, r12vrr_stack+210, r12vrr_stack+180);
 tmp = r12vrr_stack + 1304;
 target_ptr = Libr12->t2vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_p0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1003, r12vrr_stack+556, r12vrr_stack+919, r12vrr_stack+737, r12vrr_stack+424, r12vrr_stack+300);
 tmp = r12vrr_stack + 1003;
 target_ptr = Libr12->t2vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1144, r12vrr_stack+210, r12vrr_stack+424, r12vrr_stack+1204, r12vrr_stack+1084, r12vrr_stack+75);
 tmp = r12vrr_stack + 1144;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+619, r12vrr_stack+424, r12vrr_stack+737, r12vrr_stack+1394, r12vrr_stack+1204, r12vrr_stack+210);
 tmp = r12vrr_stack + 619;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2111, r12vrr_stack+737, r12vrr_stack+1943, r12vrr_stack+1733, r12vrr_stack+1394, r12vrr_stack+424);
 tmp = r12vrr_stack + 2111;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1349, r12vrr_stack+180, r12vrr_stack+210, r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+121);
 tmp = r12vrr_stack + 1349;
 target_ptr = Libr12->t1vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1066, r12vrr_stack+300, r12vrr_stack+424, r12vrr_stack+556, r12vrr_stack+535, r12vrr_stack+285);
 tmp = r12vrr_stack + 1066;
 target_ptr = Libr12->t1vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_p0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+345, r12vrr_stack+556, r12vrr_stack+737, r12vrr_stack+919, r12vrr_stack+891, r12vrr_stack+535);
 tmp = r12vrr_stack + 345;
 target_ptr = Libr12->t1vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39, r12vrr_stack+210, r12vrr_stack+1204, r12vrr_stack+424, r12vrr_stack+300, r12vrr_stack+180);
 tmp = r12vrr_stack + 39;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1204, r12vrr_stack+424, r12vrr_stack+1394, r12vrr_stack+737, r12vrr_stack+556, r12vrr_stack+300);
 tmp = r12vrr_stack + 1204;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1379, r12vrr_stack+737, r12vrr_stack+1733, r12vrr_stack+1943, r12vrr_stack+919, r12vrr_stack+556);
 tmp = r12vrr_stack + 1379;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+863, r12vrr_stack+1544, r12vrr_stack+111, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+121, r12vrr_stack+21);
 tmp = r12vrr_stack + 863;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+1712, r12vrr_stack+1574, r12vrr_stack+270, r12vrr_stack+424, r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+180);
 tmp = r12vrr_stack + 1712;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+1802, r12vrr_stack+1619, r12vrr_stack+514, r12vrr_stack+737, r12vrr_stack+556, r12vrr_stack+535, r12vrr_stack+300);
 tmp = r12vrr_stack + 1802;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];


}

